          CHANGELOG FÜR EMULE
        http://emule-project.net
        ========================

eMule 0.49c
-----------------------
- Feb, 18. 2009       -
-----------------------
.: Ein kleiner Bug beim Zeichnen des Transferfensters wurde behoben [dolphinX]
.: Mehr Kad Anfragen haben nun auch einen Namen für die Darstellung auf der Oberfläche [tHeWiZaRdOfDoS]
.: Sicherheitscheck für selten gesehendes Problem in Crashdumps beim SourceExchange-Antworten hinzugefügt
.: Der UDP-Socket-Puffer wurde vergrößert vom Packetloss zu vermeiden

eMule 0.49c BETA2
-----------------------
- Feb, 10. 2009       -
-----------------------
.: Die preferences.ini Option "FileBufferTimeLimit" ("eMule" sektion) legt die maximale Zeit bis zum leeren der Puffer für Downloads in Sekunden fest (default: 60)

-----------------------
- Feb, 9. 2009        -
-----------------------
.: Wenn ein anderer Benutzer eure freigegebenen Verzeichnisse sehen will (und ihr es erlaubt habt), benutzt eMule nun nur noch die Verzeichnisnamen (oder rlative Pfade) statt den vollen Pfad aus Datenschutzgründen

-----------------------
- Feb, 8. 2009        -
-----------------------
.: Bei einer neuen eMule-Installation sind nun standardmäßig einige weniger wichtige Spalten in Listen versteckt um ein Überladen der Oberfläche zu vermeiden
.: Die maximale Breite der Buttons der Haupttoolbar wurde ein wenig erhöht

-----------------------
- Feb, 7. 2009        -
-----------------------
.: Sicherheitschecks für einige Probleme aus Crashdumps beim Senden von Antworten wurde hinzugefügt
.: Wertecheck für die preferences.ini Option "tcp obfuscation padding länge" wurde hinzugefügt

[Hinweis: Einträge die sich ausschließlich auf Korrekturen der Betaversion beziehen sind im deutschen Changelog übersprungen]

eMule 0.49c BETA1
-----------------------
- Feb, 4. 2009        -
-----------------------
.: Zeitangaben in der Downloadliste haben nun ihr eigenes Format ("DateTimeFormat4Lists" in der preferences.ini), welches standardmäßig kompakter als das alte ist
.: Eine neue Spalte in der Downlaodliste zeigt den Zeitpunkt wann der Download hinzugefügt wurde

-----------------------
- Feb, 2. 2009        -
-----------------------
.: Kontakte aus Kad Routingantworten werden nun zusätzlich gegen die eigene Routingtabelle geprüft
.: Kad erlaubt nicht mehr als 2 Kontakte aus dem gleichen Subnetz bei Routingantworten (außer LANs)
.: Ein kleine Bug im Uploadthrottler wurde behoben [tHeWiZaRdOfDoS]

-----------------------
- Jan, 27. 2009       -
-----------------------
.: Der Kad UDP-Firewalltest fragt nun mehrere Kontakte zum externalen Port um zu vermeiden dass bei NATs die ihren Sourceport bei jeder Antwort wechseln ein falscher "Offen"-Status festgestellt wird
.: Kad überprüft nun eingehende Suchantworten erneut mit dem genutzten Suchfilter und verwirft alle Antworten die den Kriterien nicht entsprechen (was nur bei fehlerhaten Clients oder Spam der Fall sein sollte)

-----------------------
- Jan, 25. 2009       -
-----------------------
.: Wenn eine corrupte *.part.met-Datei entdeckt wird, versucht eMule nun automatisch ein Backup zu laden
.: Einige Daten (wie das AICH-Hashset, Statistiken, Metadaten, usw) von Dateien die über einen Monat nicht mehr gesehen (freigegeben) wurden, werden nun gelöscht um Ressourcen zu sparen und ein endloses wachsen der known*.met-Dateien zu verhindern
   (die erste Löschung wird einem Monat nach dem Update erfolgen)
.: Falls du die teilweise Löschung von Informationen über verwaiste Dateien aus irgendeinem Grund verhindern willst, kannst du "PartiallyPurgeOldKnownFiles=0" in die "eMule" Sektion der preferences.ini eintragen

-----------------------
- Jan, 20. 2009       -
-----------------------
.: Beim Sortieren nach Dateitypen wird nun nachrangig nach der Endung sortiert wenn zwei Dateitypen gleich sind

-----------------------
- Jan, 11. 2009       -
-----------------------
.: Bei einfachen Suchanfragen ordnet Kad die Schlüsselwörter nun selbständig neu und nutzt das längste um zu bestimmen welche Node gefragt werden muss. Dies reduziert die Last für Nodes mit kurzen, beliebten Schlüsselwörtern wie "das", macht sie ein schlechteres Ziel für Angriffe und erlaubt Suchen mit kurzen Startwörten wie "An eMule"
.: Das Umordnen von Schlüsselwörten kann mit dem Eintrag "RearrangeKadSearchKeywords=0" in die "eMule" Sektion der preferences.ini deaktiviert werden (es gibt jedoch normalerweise keinen Grund dafür)

-----------------------
- Jan, 10. 2009       -
-----------------------
.: Einzelne Dateien sowie Verzeichnisse können nun auch mit Drag&Drop freigegeben werden - ziehe einfach die Datei vom (z.B.) Windows Explorer in die Freigegebene Dateien-List
.: eMule kann nun auch einzelene Dateien (statt ganze Verzeichnisse) freigegeben oder entfernen, indem sie im Dateien-Dialog im "Alle Verzeichnisse"-Baum markiert werden. Downloads und Einträge im "Fertige Dateien"-Verzeichnis können jedoch nicht entfernt werden.
.: Kad Datei/Quellen-Suchantworten versuchen nun fragmentierte Pakete zu vermeiden um besser mit übereifrigen Firewalls/Routers zu funktionieren (Effekt wird sichtbar sobald ein Großteil der Benutzer auf diese Version updated)

-----------------------
- Jan, 5. 2009       -
-----------------------
.: Ein möglicher Absturz in der (minilib) UPnP-Implementation wurde behoben
.: Der Port für das Webinterface kann nun auch von UPnP eingerichtet werden (Optionen->Webinterface)
.: Die UPnP-Einträge werden vor einem Kad-Firewallcheck, beim Aufwachen aus dem StandBy-Modus und bei der Smart-LowID-Erkennung geprüft und ggf. aufgefrischt

-----------------------
- Jan, 3. 2009       -
-----------------------
.: Die maximale Länge von Kommentaren wurde auf 128 Zeichen vergrößert
.: Ein Bug der Text in der Downloadliste in falschen Farben darstellte (am auffäligsten bei speziellen Windowsthemes) wurde behoben

-----------------------
- Dec, 22. 2008       -
-----------------------
.: Support für Windows-Sicherheitsfeature  'Heap Corruption Detection' hinzugefügt (Windows Vista)
.: Support für Windows-Sicherheitsfeature 'Address Space Layout Randomization' hinzugefügt (Windows Vista)

-----------------------
- Dec, 21. 2008       -
-----------------------
.: Support für Previews des Inhalts von .ISO dateien hinzugefügt (liest den Inhalt von ISO9660, keine UDF-Unterstützung)
.: Es wurde sichergestellt dass eine Kad-Routing-Antwort nicht mehr Kontakte enthält als angefordert wurden [Xin Sun]

-----------------------
- Dec, 19. 2008       -
-----------------------
.: Support für Windows-Sicherheitsfeature 'Data Execution Prevention' hinzugefügt (Windows XP SP2 / Windows Vista)
.: Support für Windows-Sicherheitsfeature 'Exception Handling Protection' hinzugefügt (Windows XP SP2 / Windows Vista)

-----------------------
- Oct, 22. 2008       -
-----------------------
.: Crashdumps werden nun im Konfigurationsverzeichnis gespeichert [tHeWiZaRdOfDoS]
.: Ein Bug beim erstellen eines neuen Benutzerhashs, der zu unzureichender Zufälligkeit führte, wurde behoben [godlaugh2007]

-----------------------
- Oct, 21. 2008       -
-----------------------
.: Hinzugefügt: Anzeigen von Wasserzeichenbildern in Listen (siehe "LvBkImg" in "Template.eMuleSkin.ini"))

-----------------------
- Oct, 18. 2008       -
-----------------------
.: Darstellung von multiplen ausgewählten Einträgen in allen Listenelementen vereinheitlicht
.: Verschiedene Optimierungen beim Darstellen von Listen
.: Cursor-Bild beim Drag&Drop im Transfer-Fenster hinzugefügt (beim ziehen in eine Kategorie)
.: Tooltips bei multiplen ausgewählten Einträgen um Server- und Suchfenster korrigiert

-----------------------
- Oct, 11. 2008       -
-----------------------
.: Hinzugefügt: Automatische Größenanpassung bei Listenspalten (ein Doppelklick auf den Spaltenteiler verändert die Größe entsprechend)
.: Hinzugefügt: Labeltips für alle teilweise verdeckten Einträge in Listen
.: Hinzugefügt: Standardsuchreihenfolge für Listen im Transferfenster
.: Listen können nun auch nach Untereinträge durchsucht werden
.: Ein Sortierungsbug im Dateinamen-Dialog wurde behoben

-----------------------
- Sep, 27. 2008       -
-----------------------
.: Auswertung von Metadaten bei DVR-MS-Dateien zum Inhaltstab im Datei-Detailsdialog hinzugefügt.
.: Auswertung von Metadaten bei Wav-Dateien zum Inhaltstab im Datei-Detailsdialog hinzugefügt.
.: Veröffentlichung von ED2k-spezifischen Metadaten für WMA und WAV-Dateien hinzugefügt
.: Spalten für Metadaten wurde in die freigegebene Dateien-List hinzugefügt

-----------------------
- Sep, 23. 2008       -
-----------------------
.: eMule kann nun Windows Verkünpfungen folgen (Optionen->Erweitert) und freigeben. Dadurch können z.B. auch Dateien die in nicht freigegebnen Verzeichnisse liegen durch eine Verknüpfung in ein freigegebenes Verzeichnis veröffentlicht werden.
.: Auswertung von Metadaten bei Windows Media-Dateien zum Inhaltstab im Datei-Detailsdialog hinzugefügt.

-----------------------
- Sep, 14. 2008       -
-----------------------
.: Eine weitere Mehtode zum Auffinden der MediaInfo Bibliothek hinzugefügt
.: Support für Multiuser-System unter Win0x/WinME/WinNT hinzugefügt (benötigt IE5)
.: Support für Vorschau von Selbstextrahierenden RAR-Archiven hinzugefügt
.: Fehlerhafte ED2K-Link Registry Funtion unter Win98/ME/NT behoben

-----------------------
- Sep, 13. 2008       -
-----------------------
.: Ein Bug bei der Änderung der Größe der Haupttoolbar unter Win98 wurde behoben
.: Nachrichtenbox-Inhalte zum Download einer richtigen Version von DBGHELP.DLL unter Win9x/WinME/Win2000 wurde korrigiert
.: Ein Absturz beim Löschen von vollständigen Downloads unter Win98 wurde behoben
.: Heruntergeladene Dateien werden nun in der selben Weise markiert wie beim Internet Explorer, was zu einem Warnhinweis beim ausführen möglicher schädlicher Dateien führt
.: Beim Öffnen von DRM-geschützten Dateien zeigt eMule nun eine Wanrmeldung um zu verhindern dass versehentlich eine bösartige "Lizens"-Seite im Browser geöffnet wird

-----------------------
- Sep, 11. 2008       -
-----------------------
.: Beim wechseln der Sprache wurde der Text in Filtern nicht aktualisiert [JvA]
.: (Win98) Ein Bug beim Standard-Dateisuchtyp wurde behoben

-----------------------
- Sep,  4. 2008       -
-----------------------
.: Neue "Verzeichnisse durchsuchen"-Buttons im Optionsdialog hinzugefügt

-----------------------
- Sep,  2. 2008       -
-----------------------
.: Einige Akutalisierungs/Größenänderungs-Probleme wurde behoben und Flickern in einigen Fenstern reduziert

-----------------------
- Sep,  1. 2008       -
-----------------------
.: Ein Bug in den Tooltips unter Win98/2000 wurde behoben
.: Ein Problem mit korrupten gespeicherten Suchergebnissen wurde behoben [George1]

-----------------------
- Aug, 30. 2008       -
-----------------------
.: Korrigiert: Es war möglich eMule Installationsordner freizugeben
.: Ein Bug in den Statistiken von neuen Downloads wurde behoben
.: Ein mögliches Kompabilitätsproblem mit Windows NT 4.0 wurde behoben
.: Ein Problem mit fehlenden Icons unter Win98 wurde behoben

-----------------------
- Aug, 24. 2008       -
-----------------------
.: Korrigiert: Einige Unicodestrings wurden nicht korrekt in den Meta-Daten von Downloads gespeichert
.: Mögliche Unicode-Probleme in Kad-Suchausdrücken wurden behoben
.: Die Suchoption "Suche mit Unicode" wurde entfernt - alle Suchen benutzen nun Unicode
.: Rückwärtskomptiblität mit Pre-Unicode .met-Dateien wurde entfernt
.: Die preferences.ini-Option "SetSystemACP" wurde entfernt
.: eMule erkennt nun ob die MediaInfo Bibliothek (http://mediainfo.sourceforge.net/) installiert ist und nutzt diese automatisch für den Inhaltsdialog von Downloads/freigegebenen Dateien
.: Die Kad Unicode Abbildungstabelle wurde aktualisiert um den in Vista verwendeten Standard zu unterstützen

-----------------------
- Aug, 16. 2008       -
-----------------------
.: Korrigiert: Unicodestrings wurden nicht korrekt im Spamfilter gespeichert

-----------------------
- Aug, 15. 2008       -
-----------------------
.: Hinzugefügt: NT-Volumeninfo-Cache um das verarbeiten von freigebenen Verzeichnissen auf nicht-festen Laufwerken zu beschleunigen
.: Korrigiert: Auf eingen Code-Seiten wurden Unicodezeichen nicht korrekt in den .met-Dateien gespeichert [Borschtsch]
.: Korrigiert: Einige Unicodestrings wurden nicht korrekt in den Meta-Daten von vergegebenen Dateien gespeichert

-----------------------
- Aug, 11. 2008       -
-----------------------
.: Die "downloads.txt"-Datei wird nun im eMule-Knogurationsverzeichnis gespeichert

-----------------------
- Aug, 10. 2008       -
-----------------------
.: Sortierung für Enträge in "Alle freigegebenen Verzeichnisse" und "Fertige Dateien" im Freigegebene-Dateienfenster hinzugefügt
.: Anzeigen für "Nicht verbundende" Verzeichnisse im Freigegebene-Dateienfenster hinzugefügt
.: "Nicht verbundene" freigegebene Verzeichnisse werden nun beim eMule-Start nicht mehr entfernt
.: Verzeichnisse die mindestens ein freigegebenes aber nicht verbundenes Verzeichnis haben werden durch ein Warnicon gekennzeichnet
.: Der Verbunden-Status wird beim "Neu Laden" der freigegebenen Dateien erneut überprüft

-----------------------
- Aug, 9. 2008        -
-----------------------
.: Korrigiert: Aktivierung vom Start/Abbrechen Button im Suchfenster für geschlossende Kad-Suchen
.: Korrigiert: Unsichtbares Grpper-Element im Transferfenster
.: Korrigiert: Standard Windows-Eigenschaften-Dialog Verknüpfungen im Optionsfenster
.: Einige unwahrscheinliche aber theoretisch Mögliche Absturzbugs wurden behoben
.: Die Beschränkungen für freigegebene Laufwerke mit dem Buchstaben 'A:' und 'B:' wurden entfern

eMule 0.49b
-----------------------
- Jul, 31. 2008       -
-----------------------
.: Einige seltenere mögliche Abstürze wurden behoben

eMule 0.49b BETA2
-----------------------
- Jul, 28. 2008       -
-----------------------
.: Einzelne Einträge der Autovervollständigungslisten können mit der "Entf"-Taste gelöscht werden
.: Eine zusätzliche Suchmethodenoption "Automatisch" wurde hinzugefügt, die eMule wählen lässt welche Methode genutzt werden soll. eMule wird zwischen Server (Lokal) und Kad wählen, je nachdem zu welchen Netzwerk es verbunden ist und einige andere Faktoren wenn beide Netzwerke aktiv sind
.: In den Beta-Versionen wurde ein Ausnahmefehler-Handler entfernt. Die lässt eMule bei unbekannten Fehlern abstürzen statt sie zu ignorieren, was notwendig ist damit wir solche Fehler (falls sie existieren) in den Crashdumps entdecken können.

-----------------------
- Jul, 26. 2008       -
-----------------------
.: Eine Implementierung einer spezielle nodes.dat Version, die sich für die Massenverteilung eignet ohne die Kontakte zu sehr zu belasten, wurde hinzugefügt. Dies wird es uns hoffentlich ermöglichen eine nodes.dat im Installer zu liefern so dass neue Nutzer nicht mehr mit Servern verbunden sein müssen um sich zum ersten mal zu Kad zu verbinden 

-----------------------
- Jul, 19. 2008       -
-----------------------
.: Eine zusätzliche Methode um den Anzahl der Kadbenutzer abzuschätzen, die nicht auf der lokalen Routingtabelle beruht wurde hinzugefügt. Sie ist experimentell und wird nu im Netwerkdialog (Doppelklick auf das Welticon in der Statusbar) gezeigt
.: Die Anzeige der Benutzerzahlen wurde geändert, so dass nur noch die Zahlen angezeigt werden für das Netzwerk zu dem eMule verbunden ist

-----------------------
-  14. Jul  2008      -
-----------------------
.: Ein kleinerer Bug in Kad beim Antworten auf unobfuskierte Pakete wurde behoben
.: Kad sendet nun nur ein Testpaket zum verifizieren eines Kontaktes gleichzeitig an die selbe IP

eMule 0.49b BETA1
-----------------------
-  11. Jul  2008      -
-----------------------
.: MiniUPnPLib wurde als zusätzliche UPnP-Implementierung hinzugefügt, die derzeitige Windowsservice-basierende Implementierung wird nun als Fallback genutzt. Die wird hoffentlich eMules UPnP kompatibel zu fast allen Routern machen [miniupnplib by Thomas Bernard, Test & Idee: leuk_he]
.: Eine spezielle UPnP-Implementierung kann abgeschaltet werden indem "DisableMiniUPNPLibImpl=1" oder "DisableWinServImpl=1" in die "UPnP"-Sektion der preferences.ini eingefügt wird

-----------------------
-  5. Jul  2008       -
-----------------------
.: Wenn eine nodes.dat ohne verifizierte Kontakte gelesen wird (möglicherweise eine alte Version) nimmt eMule an dass alle Kontakte verifiziert sind um die Verbindungsphase nicht zu verlangsamen
.: Projektdateien für VS2005 und VS2008 wurden hinzugefügt, die offizielle Version wird jedoch weiterhin auf VS2003 entwickelt und kompiliert

-----------------------
-  27. Jun  2008      -
-----------------------
.: Verschiedene Änderungen wurden in Kad gemacht um Routingangriffe abzuwehren, die von University of Minnesota Angehörigen untersucht wurden [Peng Wang, James Tyra, Eric Chan-Tin, Tyson Malchow, Denis Foo Kune, Nicholas Hopper, Yongdae Kim], im Detail:
.: Kad Kontakte können sich nun nur in den Routingtabellen von anderen Kontakten aktualisieren wenn sie den passenden Schlüssel (0.49a+) nachweisen um unmöglich zu machen sie zu "hijacken"
.: Kad nutzt nun einen 3-Wege-Handshake (oder für ältere Versionen etwas ähnliches) für neue Kontakte um sicherzustellen dass sie keine gefälschten IPs nutzen
.: Nicht verifizierte werden nicht mehr für Routing-Aufgaben genutzt und in der GUI mit einem speziellen Icon gekennzeichnet

-----------------------
-  22. Jun  2008      -
-----------------------
.: Korrigiert: Der Splitter im freigegebene Datei-Fenster speicherte seine Position nicht korrekt
.: Ein erster kleiner Schritt beim Entfernen des Kad1-Supports: Kad testet unbekannte Kontakte nicht mehr auf Kad1 um Overhead zu sparen, entsprechende Clienten funktionieren trotzdem bisher noch problemlos 
.: Ein Bug wurde behoben der einen Kad2 manchmal als Kad1-Kontakt ansah, wenn Kad den Kontakt auf beide Versionen testete

-----------------------
-  10. Jun  2008      -
-----------------------
.: Korrigiert: Speicherleck in den Contextmenüs
.: Hinzugefügt: Contextmenüs unter Vista haben nun das entsprechende Vista-Look&Feel

-----------------------
-  10. Jun  2008      -
-----------------------
.: Korrigiert: Das Drücken von ESC im Freigegebene Dateien-Filter zerstörte das Fenster 

-----------------------
-  10. Jun  2008      -
-----------------------
.: Ein zusätzliche Sicherheitscheck kontrolliert dass eMule niemals geladene Daten in einen bereits kompletten Teil schreibt
.: Der Kad-Paketverfolgungscode wurde optimiert so dass nur Pakete erfasst werden die später auch kontrolliert werden um Ressourcesn zu sparen

-----------------------
-  9. Jun  2008       -
-----------------------
.: Ein 100% CPU-Last Bug der Tooltips im Statistikgraphen wurde behoben
.: Der Tooltip im Statistikgraphen zeigt nun auch den Y-Wert
.: Kad versucht nicht länger UDP Firewalled (und damit größtenteils unerreichbare) Nodes in seine Routingtabellen aufzunehmen, womit der Overhead reduziert und die Zuverlässigkeit gesteigert wird
.: Kad versucht das Verhältnis von Firewalled Nutzern im Netzwerk festzustellen und zeigt sie im Statistikbaum. Dies funktioniert nur wenn du selbst nicht Firewalled bist und genug 0.49b+ Nodes existieren
.: Beim Errechnen der Benutzerzahl in Kad wird nun die richtige Nummer (falls bekannt) von Firewalled Nutzern einbezogen, statt einen festen Wert anzunehmen. Dieser Effekt wird stärker wenn 0.49b Nodes zahlreicher werden
       
-----------------------
-  5. Jun  2008       -
-----------------------
.: Der "eD2k-Links"-Button in den Optionen funktioniert nun korrekt unter Vistas mit eingeschaltetem UAC

-----------------------
-  31. Mai  2008      -
-----------------------
.: Context-Menüeinträge zum entfernen der Freigabe von Verzeichnissen wurden im virtuellen "Freigegebene Versichnisse"-Ordnder hinzugefügt

-----------------------
-  28. Mai  2008      -
-----------------------
.: Hinzugefügt: Vista-Theme für alle Reiter-Elemente
.: Hinzugefügt: Vista-Theme für alle Kategorieauswah-Elemente
        
-----------------------
-  25. Mai  2008      -
-----------------------
.: Probleme beim Darstellen der Toolbar unter Vista wurden behoben
.: eMules Verbindungs-Funktion wurde überarbeitet und dabei einige kleinere sowie ein paar größere Bugs behoben, inkl. einer möglichen Endlosschleife bei unerreichbaren DirectCallback-Quellen
        
-----------------------
-  19. Mai  2008      -
-----------------------
.: Reiter haben ein neues Schließen-Icon
.: Kad ignoriert nun Routing-Antworten in den mehrere IDs auf eine IP zeigen 

-----------------------
-  18. Mai  2008      -
-----------------------
.: Korrektur: Reiter hatten nicht immer die korrekte Größe bei einigen Textinhalten     

-----------------------
-  17. Mai  2008      -
-----------------------
.: Korrektur: Kategorie-Reiter im Transfer-Fenster zeigten nicht die korrekte Standard-Textfarbe
.: Korrektur: Kategorie-Reiter im Details-Dialog zeigten nicht immer die korrekte Kategoriefarbe
.: Für Vista wurden "Hot Tracking"-Effekte für alle Reiter hinzugefügt  

-----------------------
-  12. Mai  2008       -
-----------------------
.: Korrektur: Tooltips wurden in Vista mit Aero Thema nicht richtig dargestellt

0.49a
-----------------------
-  8. Mai  2008       -
-----------------------
.: Wenn erweiterte Steuerelemente eingeschaltet sind (und die Daten verfügbar) zeigt eMule bei Kad-Suchen in der Verfügbarkeitsspalte die Zahl der Bekannten Publisher in Klammern (das ist nicht das gleiche wie Quellen, aber ein etwas vertrauenswürdigerer Indikator wie verbreitet eine Datei ist).
.: CxImagelib wurde auf die aktuellste Version aktualisiert, wobei eine Schwachstelle behoben wurde (geringes Risiko für eMule) [Berichtet: Steve Manzuik/Juniper Networks]
.: Ein Unicode-Problem beim anzeigen von gespeicherten Suchergebnissen wurde behoben
.: DirectCallback-Quellen werden nun korrekt zur "Deadsources"-Liste hinzugefügt bzw. getestet

0.49a BETA3
-----------------------
-  5. Mai  2008       -
-----------------------
.: Wenn sowohl der externe als auch der interne UDP Port beim Firewalltest ereichbar sind, wird nun sichergestellt dass immer der Interne genutzt wird
.: Steuerzeichen werden aus ed2k-links / empfangenden Dateinamen nun herausgefiltert [eklmn]
.: Ein kleiner Bug beim Laden von nicht mehr existierenden Kategorie-Verzeichnisse wurde behoben [tHeWiZaRdOfDoS]
.: Der Installer wählt nun die derzeit bereits genutzte Einstellung für die "Gemeinsame Nutzung" von eMule als Standardeinstellungen bei Updates/Neuinstallationen

-----------------------
-  3. Mai  2008       -
-----------------------
.: Ein weitere Bug beim neuen UDP firewalltest, der Ergebnisse zum externen Port und unerreichbaren Clienten falsch auswertete, wurde behoben
.: Captchas können nun auch aus Zahlen bestehen (außer 0)
.: Einige Probleme bei Suchen und Verbinden zu Buddys wurden behoben
.: Das Interval der Buddy-Suche wurde verringert, um die Chance zeitnahe einen Buddy zu finden zu erhöhen

-----------------------
-  1. Mai  2008       -
-----------------------
.: Die Krypt-Funktionen wurden etwas für Geschwindigkeit optimier [netfinity]

0.49a BETA2
-----------------------
- 29. April  2008     -
-----------------------
.: Ein seltener Bug, der doppeltes Download von Daten die Bereits in eMules Puffern liegen möglich machte, wurde behoben [tHeWiZaRdOfDoS]
.: Der UPnP Support wurde ein wenig angepasst um einige zusätzliche Router zu unterstützen [leuk_he]
.: Libpng wurde auf die aktuellste Version 1.2.27 aktualisiert

-----------------------
- 27. April  2008     -
-----------------------
.: Das Protokoll für Kad-TCP-Firewalltests wurde geändert um es möglich zu machen den "Offen"-Status für TCP zu erhalten auch wenn der UDP Port nicht erreichbar ist
.: Jeder Dialog (Kad, Server, usw) hat nun seine eigene Einstiegs-Hilfeseite, die von eMule statt der Indexseite beim drücken von F1 aufgerufen (Derzeit noch nicht in allen Sprachen) 

-----------------------
- 20. April  2008     -
-----------------------
.: Zwei Bugs im neuem Firewalltest, die zu falschen Ergenissen führen konnten, wurden behoben [tHeWiZaRdOfDoS]
.: eMule unterstützt nun ed2k-Links zum Downloaden der nodes.dat von einer URL. Ein solcher Link sollte so aussehen: ed2k://|nodeslist|http://domain/nodes.dat|/
.: Zwei kleinere Anzeigefehler in den Statistiken und der Warteschleife wurden behoben [tHeWiZaRdOfDoS]

-----------------------
- 23. April  2008     -
-----------------------
.: Das Laden und Speichern von Kad-Schlüßelwörtern und Quellen wurde in einen seperaten Thread verlegt um eine Interface-Blockierung während des Ladens der Daten zu vermeiden
.: Kad (tcp) Firewall und Buddy TCP Verbindungen unterstützen nun die Protokoll-Obfuskation korrekt

-----------------------
- 15. April  2008     -
-----------------------
.: Strg+W schließt nun den aktiven Reiter im Suchfenster

0.49a BETA1        
-----------------------
- 12. April  2008     -
-----------------------
.: Betaversionen erzeugen nun eine kleine Testdatei welche von eMule freigegeben wird. Sie soll uns helfen, Änderungen im Protokoll zu debuggen (besonders Kad). Bei Programmende wird diese Datei gelöscht.
.: Korrektur eines Fehlers mit dem "Eingangsverzeichnis öffnen..." Menüeintrag bei den freigegebenen Dateien [Stulle]

-----------------------
- 11. April 2008      -
-----------------------
.: Obfuskation-Einstellung zum Erststart-Assistenten hinzugefügt
.: Peercache Downloads standardmäßig deaktiviert (veraltet)
.: Beta nagging Dialog hinzugefügt

-----------------------
- 06. April 2008      -
-----------------------
.: mehrere Fehler in den neuen Kad Firewall-Tests, Obfuskation und Callbackfunktionen korrigiert

-----------------------
- 30, März 2008       -
-----------------------
.: eMule erkennt nun Windows' Standby-Modus und stellt Verbindungen nach dem Aufwachen wieder her [MorphXt]

-----------------------
- 18. März 2008       -
-----------------------
.: Korrektur: Datei-Tooltips nutzten falsche Schriftgrößen wenn eigene Windows Metriken benutzt wurden
.: Hinzugefügt: Windows Standardschriftarten können nun in Listen und Baumansichten von eMules Hauptfenstern benutzt werden. Dadurch können größere Schriften für fast alle eMule-Listenanzeigen verwendet werden (Systemeinstellung/Anzeige). Setze "UseSystemFontForMainControls=1" in "preferences.ini" um dies zu aktivieren.
.: Korrektur: Baumansicht der freigegebenen Verzeichnisse verlor die Icons nach dem Ändern von Windows Systemeinstellungen.
.: Korrektur von falschen Schriftarten für einzelne GUI-Elemente bei manchen Systemsprachen

-----------------------
- 17. März 2008       -
-----------------------
.: Korrektur: Liste freigegebener Dateien zeigte nicht Fokus-Umrandung der Einträge

-----------------------
- 16. März 2008       -
-----------------------
.: Korrektur: Menüpunkt "Suche zugehörige Dateien" im Kontextmenü von Suchergebnissen war nicht immer korrekt aktiviert/deaktiviert [Tuxman]
.: Korrektur: Speicherfehler bei Spalteneigenschaften im Webinterface [tHeWiZaRdOfDoS]
.: Korrektur: Such-Labels im Webinterface normalisiert [ducho]
.: Korrektur: Einige Suchresultate tauchten noch auf, nachdem "Schließe alle Ergebnisse" betätigt wurde [bengarchy]
.: Korrektur: (De)Aktivieren der Transferanzeige von "In Warteschlange" und "Bekannte Clients" aktualisierte nicht immer korrekt die Liste [Xman]
.: Korrektur: Toolbars im Transferfenster zeigten nicht Tooltips nach dem Wechseln von "In Warteschlange" und "Bekannte Clients"

-----------------------
- 15. März 2008       -
-----------------------
.: Korrektur einiger GDI Ressource-Lecks [Rapid_Mule]
.: Korrektur beim Erzeugen von Zufallszahlen [leuk_he]
.: Korrektur eines Fehlers beim Speichern von Suchen [netfinity]

-----------------------
- 26. Februar 2008    -
-----------------------
.: Beim Löschen vor mehr als 50 Dateien werden nur die ersten 50 Namen im Bestätigungsdialog angezeigt [tHeWiZaRdOfDoS]
.: Korrektur eines Fehlers beim Aufspüren von Sendern korrupter Daten, welcher zu falschen Treffern führen konnte [DavidXanatos]

-----------------------
- 10. Februar 2008    -
-----------------------
.: Kad erzwingt nun einige Limits beim Hinzufügen von neuen Kontakten zur Routingtablelle: Nicht mehr als 1 KadNode pro IP, 2 ähnliche KadNodes (gleicher bin) von einem /24 Netzwerk und maximal 10 verschiedene KadNodes von einem /24 Netzwerk sind erlaubt. Dies soll Routingattacken gegen Kad schwieriger machen (bzw ressourcenintensiver).
(Man kann weiterhin mehr als einen Kad Client pro IP ohne Probleme oder Einschränkungen nutzen. Sie werden nur nicht beide Teil des internen Kad Routings.)

-----------------------
- 03. Februar 2008    -
-----------------------
.: Im Downloadkommentar-Dialog kann der Kommentarspamfilter nun direkt bearbeitet werden. Änderungen werden sofort auf alle Kommentare angewendet.
.: Clients, welche Kommentare senden die vom Spamfilter ausgefiltert werden, werden nun wie Nachrichten-Spammer behandelt und gebannt.
.: Das "ed2k:" in ed2k-Links ist nicht mehr case sensitive
.: Beim Verbinden zum Ed2k-Netz wird mit einem zufälligen Server begonnen, anstatt des Ersten aus der server.met. Sortierungen, Prioritäten,... haben keinen Einfluss auf die Erstauswahl.

-----------------------
- 01. Februar 2008    -
-----------------------
.: Mehrere Änderungen wurden implementiert um die Widerstandsfähigkeit gegen bösartiges keyword publishing zu verbessern:
.:  Kad merkt sich nun, welche Dateinamen von verschiedenen Quellen für die gleiche Datei bekanntgegeben wurden und nutzt den häufigsten Namen (anstatt des letzten gesendeten) beim Beantworten von Suchanfragen.
.:  Gleiche File-Hashs mit verschiedenen Dateigrößen werden nun separat gespeichert anstatt sich gegenseitig zu überschreiben.
.:  Kad errechnet eine Bewertung basierend darauf, wieviele verschiedene Quellen eine Datei veröffentlichen und wieviele Dateien eine Quelle veröffentlicht. Beim Beantworten einer Suchanfrage werden Dateien mit einer Bewertung kleiner als ein gesetztes Limit als letztes gesendet um zu verhindern, dass gespammte Dateien die gültigen ausstechen.
.: Das Kad-Rating für veröffentlichte Dateien wird auch in den Suchresultaten mitgesendet (als Indikator für zukünftige Versionen) 

-----------------------
- 16. Januar 2008     -
-----------------------
.: Ein Anti-Flood-Schutz wurde zu Kad hinzugefügt. Wenn Kad mehr Anfragen eines spezifischen Typs von einer IP als erwartet erhält, werden weitere dieser Anfragen ignoriert und evtl die Quelle gebannt. Dies soll verschiedene Angriffsszenarios verhindern oder erschweren.
.: Korrektur eines Fehlers, welcher DNS Server in die Routingtabellen einfließen lassen konnte. Alte Quellen mit Port 53 als Kad Port werden ignoriert, neue Clients (0.49a+) können den Port 53 als Kad Port wieder nutzen, es ist aber nicht empfohlen. [gefunden von netfinity]
.: Korrektur eines Fehlers in Kad2 bzgl. des Veröffentlichens von Dateien >4GB [netfinity]

-----------------------
- 11. Januar 2008     -
-----------------------
.: Wird ein neues Eingangsverzeichnis ausgewählt welches Dateien enthält, werden diese nun in die Liste freigegebener Dateien aufgenommen.

-----------------------
- 08. Januar 2008     -
-----------------------
.: Eine Filtereingabe wurde zur Liste freigegebener Dateien hinzugefügt (wie bei Suchresultaten). Der Filter soll nur helfen, freigegebene Dateien zu finden, es hat keinen Einfluss darauf, welche Dateien nun veröffentlicht werden.
.: Die Symbole im Verzeichnisbaum der freigegebenen Dateien wurden leicht umgeordnet.

-----------------------
- 15. Dezember 2007   -
-----------------------
.: Die Onlinehilfe für die Optionen-Dialoge sind nun themensensitiv (Hilfeseite des aktiven Dialog öffnet sich) für alle Sprachen außer Englisch. Weitere Stellen werden in Zukunft Schritt für Schritt erledigt.
.: Offene Suchen werden nun beim Beenden von eMule gespeichert und bei Neustart wiederhergestellt. Dies kann in den Optionen (Anzeige) deaktiviert werden.

-----------------------
- 02. Dezember 2007   -
-----------------------
.: Kads Firewallhandling und -testen wurde überarbeitet:
Der Kad Firewallzustand ist jetzt in TCP und UDP aufgeteilt. Der TCP-Zustand ist quasi der der alte Zustand, welcher testet, ob die TCP-Port erreichbar ist. Der UDP-Zustand ist neu und prüft ob dein UDP-Port erreichbar ist. Zum Beispiel bei "Full Cone" Routern ohne Portweiterleitung wirst du TCP-Firewalled erhalten (wie bisher) aber UDP-Offen (neu). Wenn der UDP-Test erfolgreich war (Offen), braucht eMule keinen Buddy mehr und kann vollständig am Kad Netzwerk teilnehmen. Dadurch wird der Overhead wegfallen, welcher in vorigen Versionen auftrat. Du kannst dich aber weiterhin nicht zu anderen TCP-Firewalled Clients verbinden wenn du auch TCP-Firewalled bist.
.: Der neue UDP-Zustand wird im "Meine Info"-Feld des Server-Fensters angezeigt. Solange der UDP-Firewalltest nicht fertig ist, wird "unbestätigt" angezeigt.
.: Clients mit dem Kad UDP-Offen Zustand unterstützen nun direkte Callbacks (gestartet durch ein UDP Paket) um sich mit nicht-firewalled Clients zu verbinden. Diese Callbacks sind schneller, zuverlässiger und nutzen weniger Ressourcen als Buddies oder Server-Callbacks.
.: Der neue Firewall-Test korrigiert nun auch einen Fehler / Designschwäche welcher dazu führte dass eMule immer des Clients Quell-IP-Port nutzte anstatt zu testen ob der intern gesetzte UDP-Port die bessere Wahl wäre. Dies war vor allem bei "Restricted Cone" Routern mit PAT (Port Address Translation) ein Problem.

-----------------------
- 29. November 2007   -
-----------------------
.: Korrektur eines Fehlers von u.U. einer falschen lokalen IP-Adresse wenn die "BindAddr" Option genutzt wurde
.: Korrektur eines Fehlers welche Details von markierten Freunden in der Freundesliste nicht aktualisierte

-----------------------
- 24. November 2007   -
-----------------------
.: Korrektur eines Fehlers in Tooltips, welcher einige Inhalte teilweise in Fettschrift darstellte

-----------------------
- 19. November 2007   -
-----------------------
.: Unicode-Unterstützung für das "statische Server"-Feature hinzugefügt

-----------------------
- 12. November 2007   -
-----------------------
.: Korrektur mehrerer Listenanzeigen in eMule um Windows' Kontextmenüs der Scrollbalken zu unterstützen
.: Option hinzugefügt (Optionen->Allgemein) um Windows daran zu hindern, in den Standbymodus zu wechseln während eMule läuft (und etwas tut)

-----------------------
- 11. November 2007   -
-----------------------
.: Korrektur eines Fehlers im IRC-Fenster, welcher die Kanal-Fenster in verkehrter Reihenfolge öffnete
.: Korrektur eines Fehlers welcher tote Server manchmal nicht aus der GUI entfernte [fox88].
.: Korrektur eines Fehlers welcher auf einigen Windowssystemen die E-Mail Benachrichtigung deaktivierte [Lewpy]
.: Hinzugefügt: IRC-Warnungen und -Fehler werden im aktiven Kanal-Fenster angezeigt
.: Hinzugefügt: Privater IRC-Kanal wird automatisch aktiviert wenn Unterhaltung initiiert wird
.: Korrektur eines Fehlers mit extra großen Icons in den Dateitooltips
.: Korrektur eines Fehlers der bei HTTP-Downloads zu einem Crash bei voller Festplatte führen konnte
.: Korrektur eines Speicherlecks bei fehlgeschlagenen "ge-gzipten" HTTP Downloads.

-----------------------
- 07. November 2007   -
-----------------------
- Korrektur der Anzeige des HTTP-Statusfensters

-----------------------
- 31. Oktober 2007    -
-----------------------
.: Das Nachrichtensystem ist jetzt in der Lage eure Freunde auch dann zu finden wenn ihre IP wechselte, solange alle Beteiligten 'Offen' mit Kad verbunden sind, also nicht 'Firewalled'. Dies ermöglicht es, mit Freunden länger als nur für die jeweilige Session in Kontakt zu bleiben. (Funktioniert nur mit neu hinzugefügten bzw. neu gefundenen Freunden, die mit Kademlia verbunden sind)
.: Wenn einem Freund eine Nachricht geschickt wird, stellt eMule jetzt nach dem Verbinden sicher, dass der Userhash tatsächlich übereinstimmt und SecureIdent benutzt wird (wenn aktiviert) um sicherzustellen, dass es sich auch wirklich um euren Freund handelt.

-----------------------
- 28. Oktober 2007    -
-----------------------
.: Jetzt kann mit Angabe einer URL, welche auf eine nodes.dat verweist, mit dem Kademlia Netzwerk verbunden werden. (im Kademlia Reiter)

-----------------------
- 22. Oktober 2007    -
-----------------------
.: Um Spamnachrichten zu reduzieren und somit das Nachrichtensystem wieder benutzbarer zu machen unterstützt eMule nun Captcha Authentifizierung. Wenn aktiviert muss jemand der euch eine Nachricht schicken will erst ein Captcha lösen (die Buchstaben aus einem Bildchen abschreiben) bevor die Nachricht bei euch angezeigt wird.
Ältere Clients ohne diese Unterstützung für Captchas können euch dann keine Nachrichten mehr schicken und erhalten eine dahingehende Rückmeldung.

-----------------------
- 11. Juli 2007       -
-----------------------
.: Obfuskation zum Kad UDP Protokoll hinzugefügt. Kad Obfuskation ist Teil des Protokolls und unabhängig von den Einstellungen der Ed2K-Obfuskation.

-----------------------
- 5. Juni 2007        -
-----------------------
.: Korrektur eines Fehlers, durch welchen Kad versuchte, seine Einstellungen vom ehemals gültigen config-Ordner zu laden.

-----------------------
- 16. Mai 2007        -
-----------------------
- neue Übersetzung hinzugefügt: Uyghur                 [von Abduqadir]



0.48a
-----------------------
- May, 13. 2007     -
-----------------------
.: Happy Birthday eMule :)

-----------------------
- May, 12. 2007     -
-----------------------
.: Fehlerkorrektur einiger Bugs in UPnP und etwas verändertes Verhalten für ADSL-Geräte
.: Fehlerkorrektur eines Bugs beim doppelten Hinzufügen eines Freundes
.: Wenn eMule auf Vista mit Aero läuft wird die "Zum Systemicon minimieren" bei Minimieren-Option standardmäßig aktiviert. Dies kann unter Anzeigeoptionen geändert werden

0.48a BETA2
-----------------------
- May, 08. 2007     -
-----------------------
Ornis: Der Installer setzt nun die richtigen Dateizugriffrechte für die Config-Dateien
.: Fehlerkorrektur eines weiteren Bugs im Quellentausch [Xman1]
.: Sortieren nach kumulativen Eigenschaften wird nun von eMule nach einem Neustart richtig wiederhergestellt
.: Die "UDP deaktivieren" und das Aktivieren von Kad Optionen schließen sich nun gegenseitig aus
.: IRC optionale Serverports sollten nur richtig funktionieren
.: Fehlerkorrektur eines Bugs im IRC beim empfangen von ED2k Links
.: Ein Excess-Flood Schutz für eMule Antworten im IRC wurde hinzugefügt

-----------------------
- May, 05. 2007     -
-----------------------
.: Das Spam-Indikator Icon wurde ausgetauscht [Icon von Daan]
.: Der Erste-Start Wizzard nutzt nun die richtigen Ports für den UPnP test, falls diese vom Benutzer geändert wurden
.: Fehlerkorrektur das (Fehler-)Behandlung von Dateien deren Pathlänge das Systemlimit überschreitet
.: Wenn eMule den UPnP-Service startet, aber die Einrichtung der Port fehlschlägt, wird der Service von eMule danach wieder beendet
.: Eine Option um Smileys zu dekativieren wurde hinzugefügt
.: Ein kleines Speicherleck in den Simley-Auswahlfenstern wurde behoben

0.48a BETA1
-----------------------
- April, 29. 2007     -
-----------------------
.: Die "offizielle" Entwicklungsumgebung für eMule ist nun VS2003 SP1. VS2002 wird nicht länger unterstützt (sollte aber trotzdem funktionieren)

-----------------------
- April, 28. 2007     -
-----------------------
.: Sorting in the ipfilter dialog has been fixed on Vista
.: Tooltips now have the proper size on Vista
.: All file related tooltips should look a bit nicer now (on all systems)
.: Added tooltips to the shared files list

-----------------------
- April, 21. 2007     -
-----------------------
.: Sparse files have been disabled on Vista, due to a faulty / limited Vista implementation of them, which cannot be worked arround by eMule

-----------------------
- April, 15. 2007     -
-----------------------
.: Ein Spamfilter für suchergebnisse wurde hinzugefügt, der hauptsächlich durch das ausfiltern von ähnlichen Dateien, die vom Benutzer als Spam markiert wurden, funktioniert.
.: Spam-Suchergebnisse werden in Grau dargestellt und befinden sich immer am Ende der Liste
.: Spam-Suchergebnisse zählen als max. 5 Quellen für das 100 Quellen globale Suchlimit

-----------------------
- April, 9. 2007     -
-----------------------
.: The default paddingsize for obfuscated TCP connections has been increased to 128 bytes (from 16) in order to be harder detectable by size pattern matchings
.: The paddinglength can be changed manually by adding "CryptTCPPaddingLength=[1-256]" into the eMule section in the preferences.ini

-----------------------
- March, 12. 2007     -
-----------------------
.: eMule Untersützt nun Mulit-Benutzer-Installationen, was insbesondere Rechteprobleme unter Vista löst. In Kürze: Auf XP, 2000, 98, etc bleibt standardmäßig alles beim alten, unter Vista werden Benutzereigene Verzeichnise genutzt.
.: Die Einstellung für die Art der Installation kann unter "Erweiterte Einstellungen" geändert werden

-----------------------
- March, 11. 2007     -
-----------------------
.: In Vista wird das Limit für Halb-Offene von eMule nun korrekt auf 9 gestellt (statt 50)

-----------------------
- Feb, 20. 2007       -
-----------------------
.: Wenn "Automatischen Verbinden beim Start" aktiviert ist oder der Verbindenbutton gedrückt wurde und UPnP noch beschäftigt ist, wartet eMule mit dem Verbinden.

-----------------------
- Feb, 18. 2007       -
-----------------------
.: UPnP Untersützung hinzugefügt [shareaza]
.: UPnP-Test button in den Erster Start-Wizzard eingefügt

-----------------------
- Feb, 09. 2007       -
-----------------------
Ornis: Farsi Übersetzung hinzugefügt [übersetzt von Mory Abdi & Ali Mojarad]
.: Die Berechnung der credits für die ersten 9MB (weniger als ein teil) wurde etwas geändert um die Belohnung für Clienten die weniger als ein Teil hochladen zu verringern

-----------------------
- Jan, 20. 2007       -
-----------------------
.: Ein mit Obfuskation verbundener Bug im Quellentausch wurde behoben
.: Das Quellentauschprotokoll wurde geändert um Rückwärtkomptiblitätsprobleme und andere Bugs in Zukunft zu vermeiden
.: Untersützung für Multiple-"Zugehörige Dateien"-Suchen wurde hinzugefügt [Serverseitige Implementation von Lugdunum]

-----------------------
- Jan, 14. 2007       -
-----------------------
.: Ein Möglicher Crash im Statistikfenster wurde behoben 
Ornis: Übersetzung für Valencian hinzugefügt [übersetz von "Valencian"]
Ornis: Größere Überarbeitung der Slovenischen Übersetzung [Gusar]
Ornis: Beschriftungen für Kategorierreiter werden nun in der Kategorierfrabe dargestellt
Ornis: Rückkehr der Jedi.. contextmenüs für Nachrichtenreiter 

-----------------------
- Jan, 5. 2007       -
-----------------------
.: Kad wurde für Obfuskation-Unterstützung vorbereitet. Dies ist in dieser Version nur passiv.

-----------------------
- Dec, 13. 2006       -
-----------------------
.: Ein Speicherleck in den list controls wurde behoben [eklmn]

-----------------------
- Dec, 12. 2006       -
-----------------------
.: Fehlerkorrektur für Performanceproblem bei zu großen ED2k-Links mit "Beaobachte Zwischenablage"-Funktion

-----------------------
- Dec, 9. 2006        -
-----------------------
.: Verschiedene Änderungen um eMule besser unter 640x480 Auflösungen laufen zu lassen

-----------------------
- Dec, 6. 2006        -
-----------------------
.: Fehlerkorrektur der Speicherung und Wiederherstellung der Position/Größe des Kollektions-Dialogs
.: Win98: Fehlerkorrektur von fehlenden Volume-Lables und shell icons in der Verzeichnis-Eigenschaftenseite
.: Win98: Fehlerkorrektur von Mulitzeilen-Tooltip in der Traybar
.: Win98/WinME: Fehlerkorrektur von nicht unterstützter Toolbar-Personalisierung
.: Win98/WinME/Win2000: Fehlerkorrektur von toolbar chevron.
.: Win98/WinME: Fehlerkorrektur von vertikelen Achsenbeschriftungen im Statisikengraph.
.: Win98/WinME: Fehlerkorrektur für speicher/wiederherstellen im von Items im Statistikbaum.
.: Win98/WinME/Win2000: Fehlerkorrektur für unsichtbare Knöpfe im Transferfewsnter
.: Win98: Fehlerkorrektur für "ShowActiveDownloadsBold=1"-Option im Transferfenster

-----------------------
- Nov, 22. 2006       -
-----------------------
.: Langzeit-Speicherverbrauch für die GUI wurde reduziert
.: eMule speichert nun Hash von Hash in der cancelled met für bessere Privatsphäre

-----------------------
- Nov, 21. 2006       -
-----------------------
.: Beide Fenster im Transerfenster zeigen nun toolsbars um den Inhalt auszuwählen

-----------------------
- Nov, 18. 2006       -
-----------------------
.: Edit controls im Nachrichten- und IRC-Fenster nutzen etwas größere Fonts

-----------------------
- Nov, 17. 2006       -
-----------------------
.: Fehlerkorrektur eines Bugs im IRC-Fenster bei dem Namensänderungsnachrichten nicht immer gezeigt wurden
.: Fehlerkorrektur eines Bugs im IRC-Fenster bei URLs mit spezielle Zeichen am Ende

-----------------------
- Nov, 15. 2006       -
-----------------------
.: Kleinere visuelle Verbesserungen für IRC- und Nachrichtenfenster text format buttons
.: Multizeilen-Nachrichten im IRC-Fenster hinzugefügt
.: Kleinere visuelle im Kollektion-Dialog

-----------------------
- Nov, 12. 2006       -
-----------------------
.: IRC Channel Filterung um die Netzwerklast zu reduzieren hinzugefügt
.: IRC-Fenster: Aktivität wird nun auch im "Channels"-Fenster angezeigt
.: IRC-Fenster: Nicknamenliste zeigt die modes und namen 

-----------------------
- Nov, 11. 2006       -
-----------------------
.: Ein Bug beim Einzelklick auf das eMuleicon in der Traybar wurde behoben
.: Ein Bug beim Hinzufügen von Freunden aus IRC wurde behoben
.: Die eMule-Channelliste zeigt standardmäßig nun nur noch eMule-Hilfe channel
.: IRC Serveradressen können nun optional einen Port enthalten (getrent durch ':')
.: Fehlerkorrektur eines Bugs der Hintergrundfarbe bei farbigen Nachrichten im IRC
.: Titelfenster für IRC Channel hinzugefügt

-----------------------
- Nov, 9. 2006        -
-----------------------
.: Ein Smileyauswahl-Fenster wurde zum Nachrichten und IRC-Fenster hinzugefügt

-----------------------
- Nov, 7. 2006        -
-----------------------
.: Fehlerkorrektur von nicht angezeigten IRC Notiz-Nachrichten
.: Fehlerkorrektur beim Nachrichten Fensterteiler

-----------------------
- Nov, 6. 2006        -
-----------------------
.: Fehlerkorrektur beim IRC Fensterteiler

-----------------------
- Nov, 5. 2006        -
-----------------------
.: Fehlerkorrektur von falschen Sortiereinstellungen bei neuen eMuleinstallationen
.: Fehlerkorrektur beim Verbinden zum IRC wenn der gewählte Name schon genutzt wird
.: Fehlerkorrektur eines Bugs beim Wechseln von Fontsgrößen im IRC-Fenster

-----------------------
- Nov, 1. 2006        -
-----------------------
.: Im IRC- und Nachrichtenfenster werden nun Simleays graphisch dargestellt [Simeys von Daan]
.: Die Autoscroll funktion in allen Logfenster wurde überarbeitet und deaktiviert sich während nicht das Ende des Fenster angezeigt wird
.: Fehlerkorrektur einiger Bugs im IRC Farbhandling
.: Fehlerkorrektur eines Bugs bei schwarzer Hintergrundfarbe im IRC Fenster
.: Skins: Ein Problem mit der Vordergrundskinfarbe in Richedit controls wurde behoben
.: Skins: Alle Icons können von allen Formaten gelesen werden die von GDI+ unterstützt werden (GIF, PNG, ...)

-----------------------
- Oct, 26. 2006       -
-----------------------
.: Korrigiert: "exit" Kommandozeilenbefehl started eMule nicht mehr wenn es nicht bereits lief
.: Fehlerkorrektur beim behandeln von ED2k-Urls für bessere Untersützung beim Kopieren von URLs von Webseiten
.: Fehlerkorrektur eines Bugs in der Laufwerkspeicherplatz-Statistik bei pre-allocated Dateien
.: Fehlerkorrektur beim Nutzen des "ed2k::<hash>" Suchausdrucks zusammen mit anderen Attributen. Hinweis: "ed2k::<hash>" kann weiterhin nur für ED2k-Suchen genutzt werden.
.: Fehlerkorrektur eines Bugs im lokalem Suchfilter beim Wechseln der Spalte
.: Fehlerkorrektur von Unicodestrings in Kategorieeigenschaften
.: Optionalen zeichnen von soliden Graphen im Statistikfenster hinzugefügt
.: Verschiedene Performanceverbesserungen und kleinere Fehlerkorrekturen im IRC-Modul

-----------------------
- Sep, 23. 2006       -
-----------------------
.: Ein potentieller Crash beim Schließen von eMule wurde behoben [DavidXanatos]

-----------------------
- Sep, 21. 2006       -
-----------------------
.: Unterstützung für RealMedia-Dateien zum "Content"-Dialog hinzugefügt (optional vorhandende MediaInfoLib wird nicht mehr für RealMedia-Dateien genutzt)
.: Unterstützung für Veröffentlichung von Metadaten für Realmedia-Dateien hinzugeügt
.: Verschiedene Optimierungen für Kad vorgenommen um Overhead und Speicher zu sparen
 - Redunante Metadaten werden nicht mehr veröffentlicht
 - Dateiformat Metadaten werden nicht mehr explizit veröffentlich und in speziellen Suchausdrücken behandelt
 - Ungenutzte Daten vom Hello-Paket entfernt

-----------------------
- Sep, 16. 2006       -
-----------------------
.: Fehlerkorrektur von unsichtbarem text im Suchfilter bei Hoch-KOntrast Farbschemen
.: Taskbar Benachrichtigung: Unterstützung für Aplha-Channel Hintergrundbilder
.: Taskbar Benachrichtigung: Änderungen in notitfier.ini während eMule läuft werden automatisch ohne Neustart eingelesen
.: Unicode-Untersützung für id3lib hinzugefügt


v0.47c Hotfix
-----------------------
- Sep, 14. 2006       -
-----------------------
.: Einige größere Bugs im Kad 2.0 Quellen/Schlüsselwort-Publishing wurden behoben

-----------------------
- Sep, 13. 2006       -
-----------------------
.: Ein Bug beim verarbeiten von Kad1.0-Paketen, von dem wir annehmen das er von außen ausgenutzt werden kann und daher ein potentielles Risiko darstellt wenn Kad aktiviert ist [entdeckt von tHeWiZaRdOfDoS]
.: Ein Fehler beim speichern der Einstellungen für einen deaktivierten UDP-Port wurde behoben
.: Ein Bug im First Runtime Wizzard der den UDP port deaktivierte wurde behoben
.: Mehr Kontrollen für Kad-Pakete wurden hinzugefügt so dass alle unangeforderten Antworten ignoriert werden

-----------------------
- Sep, 11. 2006       -
-----------------------
.: Ein Speicherleck in einem Fehlerhandler wurde behoeben [tHeWiZaRdOfDoS]
.: Das lesen von "addresses.dat" und "shareddir.dat" Dateien wurde verbessert um Leerzeichen und leere Zeilen zu ignorieren
.: Ein Bug bei der Warnung vor falschen Dateiendungen, der auftreten konnte wenn mehrer Dateien markiert waren wurde behoben

0.47b
-----------------------
- Sep, 7. 2006        -
-----------------------
Ornis: Fortschrittsanzeige zur Archivdurchsuchung hinzugefügt (bei Live Archivvorschau)

-----------------------
- Sep, 5. 2006        -
-----------------------
.: eMule achtet darauf dass die zufällig gewählten Ports nicht bereits belegt sind
.: Ein mögliches Problem beim Suchen von Kad-Buddies wurde behoben [DavidXanatos]
.: Ein kleiner Bug im Sanitycheck für bestimmte Kadantworten wurde behoben [WiZardofDoS]

-----------------------
- Sep, 1. 2006        -
-----------------------
.: mehrere Optimierungen für IP-Filterung in Kad.
.: Fehlerkorrektur bzgl. Senden falscher Kad 1.0 Kommentar-Pakete
.: Korrektur eines Fehlers, welcher MiniMule nicht öffnen lies, wenn eMule in ein Verzeichnis mit Sonderzeichen installiert wurde.


0.47b BETA1
-----------------------
- Aug, 31. 2006       -
-----------------------
.: Korrektur eines Fehlers beim Verbinden zu einem gewählten Server - wenn dieser nicht rechtzeitig antwortet versucht eMule nicht mehr, sich zu anderen Servern zu  verbinden.
.: Korrektur eines Fehlers, welcher auftrat, wenn ED2K UDP Pakete von einem Client empfangen wurde, welcher sich hinter einem UDP portmapping router befindet.
Ornis: Vietnamesische Übersetzung von Paul Tran HQ Loc hinzugefügt

-----------------------
- Aug, 26. 2006       -
-----------------------
Ornis: Anzeige des Dateityps im Dateidetail-Dialog hinzugefügt. Für die meist verbreiteten Formate wird der heruntergeladene Dateikopf geprüft und mit der Dateiendung verglichen. Ein Warnicon erscheint, wenn die Endung zu einem anderen Format gehört.
Ornis: Korrektur eines Fehlers im Webinterface beim Bannen von IPs nach zu vielen fehlerhaften Loginversuchen [thx DreamWalker]

-----------------------
- Aug, 24. 2006       -
-----------------------
.: Bei einer KAD-Suche nach Kommentaren weist nun ein entsprechendes Icon (am Platz des Bewertungsicons) auf die aktive Suche hin.
   Der Knopf um in Kad nach Kommentaren zu suchen ist deaktiviert solange eine Suche aktiv ist.
   
-----------------------
- Aug, 21. 2006       -
-----------------------
.: Korrektur mehrerer möglicher Speicherlecks [WiZardofDoS]
.: Bei einer neuen Installation von eMule werden nun Zufallsports (TCP/UDP) ausgewählt, anstatt der Standardports 4662 and 4672. Die Ports werden bei existierenden Installationen nicht geändert (und bleiben auch nach Neustarts). Die Hilfedateien werden entsprechend aktualisiert.

-----------------------
- Aug, 20. 2006       -
-----------------------
.: Korrektur einer fehlenden IP-Filter-Prüfung für ausgehende UDP Pakete von KAD / KAD Knoten [leuk he]
.: Eingehende ED2K UDP Antwortpakete werden jetzt ignoriert wenn sie nicht angefordert wurden.
.: Eine Option zum An- und Ausschalten des MiniMule wurde zur Hauptseite des Optionsdialoges hinzugefügt.
.: (sehr seltener) potentieller Integerüberlauf wurde korrigiert, der Probleme bereiten konnte, wenn sehr große Dateien heruntergeladen wurden. [avi-3k]

-----------------------
- Aug, 17. 2006       -
-----------------------
.: Korrektur eines potentiellen Fehlers in TryToConnect (verfrühtes Send) [eklm]
.: Server, welche von anderen Clients oder Servern geschickt wurden erhalten nun standardmäßig die niedrige Priorität
.: Server werden nun mit dem IPFilter verglichen, auch wenn sie bereits in der Serverliste waren (im Gegensatz zum Prüfen von nur neu hinzugefügten Servern) [BlueSonicBoy]

-----------------------
- Aug, 15. 2006       -
-----------------------
.: Überarbeitung des Dateikommentar-Fensters: Bewertungsicons, Netzwerkinformation und sortierbare Kommentarliste hinzugefügt.

-----------------------
- Aug, 12. 2006       -
-----------------------
Ornis: 2 Fehlerkorrekturen im Statistikfenster, wenn der vertikale Splitter (Fensterteiler) nach ganz links oder recht bewegt wurde. [BlueSonicBoy]
Ornis: Korrektur eines Fehlers in der Transferliste der Weboberfläche, bei Dateien mit Apostroph (führte zur fehlendem Javascript Popupmenü)

-----------------------
- Aug, 5. 2006        -
-----------------------
Ornis: Live-Vorschau für ZIP,RAR und ACE-Archive implementiert. Die Seite "Inhaltsangabe" des Dateidetails-Dialoges (Tempdateien & freigegebene Dateien)) listet den Inhalt des Archivs auf (Dateinamen & -pfade, Dateigrößen, CRC,...) und Archivangaben wie vorhandener Passwortschutz und weitere Attribute...
       Vollständigkeit dieser Liste hängt vom Downloadstatus ab. Heruntergeladene Bereiche werden gescannt und das ZIP-Zentraldirectory wird ausgelesen sofern bereits heruntergeladen (Dateiende).
Ornis: Hinzugefügt: Archivwiederherstellung für ACE-Archive. (Wie bereits für ZIP & RAR: es wird eine Version des Archivs erstellt, welches nur die bereits komplett verfügbaren (heruntergeladenen) Dateien enthält.)
       Einige Korrekturen bei Archivwiederherstellungen, inklusive Löschen einer zusätzlichen Tempdatei, wenn Wiederherstellung fehlschlug.
Ornis: Verbesserung der Verarbeitung von eingefügten Links in den Ed2k-Link-Dialog, wenn diese Leerzeilen und Whitespaces enthalten [zoom]

-----------------------
- Jul, 26. 2006        -
-----------------------
.: Obfuskation (Protokoll-Verschleierung) für ED2K/Kad TCP, ED2K UDP, Server TCP und Server UDP Verbindungen implementiert. Kad UDP ist noch nicht verschleierbar (obfuskierbar) . Für eine detaillierte Erklärung dieses Features, siehe folgende Seite unserer Onlinehilfe: http://www.emule-project.net/home/perl/help.cgi?l=2&rm=show_topic&topic_id=848
.: Einstellungsdialog: die Sicherheitsoptionsseite wurde geteilt und enthält nun auch Einstellungen zur Obfuskation. Einstellungen zu Kommentaren und Nachrichten haben nun eine eigene Seite.

-----------------------
- Jun, 24. 2006       -
-----------------------
zz: Verbesserung in der Chunkauswahl des Downloads: starke Verbesserung für sehr seltene Dateien (weniger als 5 Quellen), und auch Verbesserungen für normale Dateien und Vorschau-Chunks

-----------------------
- Jun, 21. 2006       -
-----------------------
.: Unterstützung der MediaInfoLib v0.7.1+ hinzugefügt

-----------------------
- Jun, 7. 2006        -
-----------------------
.: Korrektur eines Fehler in der Funktion zum Aufrufen des Standardplayers in der Vorschaufunktion - die Standardanwendung wurde für manche Dateitypen nicht gestartet.
.: Option hinzugefügt, um die Vorschau-Kommandozeile anzugeben.

-----------------------
- Jun, 6. 2006        -
-----------------------
.: Korrektur eines Fehler beim Umbenennen von Dateien in der Liste freigegebener Dateien [SiRoB]

-----------------------
- Jun, 4. 2006        -
-----------------------
.: Korrektur eines Fehlers, der u.U. zu Dateikorruption führen konnte, wenn eMule als 'sicherer Benutzer' lief und ein Systemlogoff/Reboot stattfand.

-----------------------
- May, 31. 2006       -
-----------------------
.: Fehlerkorrektur im Verbindungsmanagement.

-----------------------
- May, 29. 2006       -
-----------------------
.: zusätzliches Informationsfenster im MediaInfo-Dialog überarbeitet.

-----------------------
- May, 26. 2006       -
-----------------------
.: Mediainfo-Dialog (Inhaltsinformation) zeigt Hinweis für Dateien, welche mit DRM geschützt sind.
.: Korrektur eines Fehlers im Mediainfo-Dialoges (Inhaltsinformation) für manche Tempdateien beim Abfragen von AVI-Eigenschaften
.: Hinzugefügt: Workaround für den Mediainfo-Dialog hinzugefügt, um verlässlichere Angaben zur Spieldauer bei MPEG Datei zu machen, wenn die MediaInfoLib benutzt wird.

-----------------------
- May, 21. 2006       -
-----------------------
.: Hinzugefügt: Suchergebnis-spezifisches Menü (achte auf den Titel über der Suchergebnislist!) für folgende Funktionen:
- spezifiziere das Format/Einheit für Angaben der Dateigröße der Suchresultate (KB = zeigte Größen in Kilobyte im selben Format wie der Windows Explorer, MB = zeigt Größen in Megabyte, Voreinstellung = freier Stil)
- Suchergebnisfilter zurücksetzen

-----------------------
- May, 17. 2006       -
-----------------------
.: Korrektur eines Fehlers in der "Suche" Funktion wenn für nicht-Dateinamenfelder benutzt.

-----------------------
- May, 16. 2006       -
-----------------------
.: Hinzugefügt: Einfacher On-the-fly Filter für Suchergebnisse um die erhaltenen Resultate zu filtern.
   Der Filter wird automatisch angewendet, wenn bei Tippen in der Filtereingabe pausiert wird.
   Alle mit Leerzeichen getrennten Terme werden mit UND verbunden ausgewertet. Akzeptierte Suchergebnisse
   müssen also diese Zeichenketten im Dateinamen enthalten, 
   Terme mit vorangestelltem '-' (Negativ-Filter) dürfen darin nicht vorkommen.
   Beispiel: -xyz -abc cool file
   Dies wird nur noch die Sucheinträge angezeigt lassen, welche die Wörter "cool" und
   "file" enthält, aber weder "xyz" noch "abc".

-----------------------
- May, 13. 2006       -
-----------------------
.: Kontextmenü von Suchergebnis-Reitern bietet nun die Option an, alle benutzen Suchparameter dieser Suche wiederherzustellen

-----------------------
- May, 12. 2006       -
-----------------------
.: Server Infoanzeige zeigt die mit Zeitangabe versehene "Verbunden mit..." Nachricht vor der Server-Info-Nachricht.
.: Korrektur eines Fehlers im Server UDP-Socket bzgl ignorierter empfangener Server Statistiken von dynIP-Servers.
.: Korrektur eines Fehlers im Server UDP-Socket bei der Behandlung von DNS Anfragen und ausgehenden UDP Paketen (für dynIP-Server).
.: Server können aus der Serverliste mit Strg+X "ausgeschnitten" werden

-----------------------
- May, 11. 2006       -
-----------------------
.: IP-Filter: dynIP-Servers werden nicht mehr abgewiesen wenn die Sicherheits-Option "Server anhand der IP filtern" aktiviert ist. Sie werden evtl gefiltert nachdem der DN aufgelöst wurde.
.: IP-Filter: Nicht-dynIP-Server und dynIP-Servers mit bereits bekannter IP werden gefiltert wenn die IP-Filterliste oder eine entsprechende IP-Filter-Option geändert werden.
.: Korrektur eines Fehlers im Webinterface bzgl. Serversortierung und dynIP-Servern.
.: Korrektur eines Fehlers mit ed2k-Server-URLs und dynIP Servern
.: Korrektur eines Fehlers beim automatischen Serververbindens, welcher dazu führen konnte, dass zu keinem Server verbunden wurde.
.: Korrektur mehrerer Fehler bzgl. doppelter DynIP-Servereinträge in Serverliste

-----------------------
- May, 8. 2006        -
-----------------------
.: Fehlerkorrektur einiger Unicode Fehlermeldungen [Xman1]
.: Korrektur eines Fehlers bzgl. nicht fertigstellbarer Dateien aufgrund ungültigen Dateinamenprefixes

-----------------------
- Apr, 27. 2006       -
-----------------------
Unk: Korrektur eines Absturzfehlers in Kad [Hinweis von Ani]

-----------------------
- Apr, 10. 2006       -
-----------------------
.: Korrektur eines GUI-Problems in der Download-Fortschrittsanzeige für Cients [SiRoB]

-----------------------
- Apr, 1st 2006      :->
-----------------------
.: Korrektur eines Fehlers bzgl. erneut heruntergeladener und erneut freigegebener Dateien.
.: Korrektur eines Fehlers bzgl. "Zusammenfassung nicht aktualisiert, nachdem eine freigegebene Datei gelöscht wurde" [raccoon.i]
.: Hinzugefügt: preferences.ini Einstellung: "UserSortedServerList=1". Wenn aktiviert, wird beim Verbinden zu Servern die selbe Reihenfolge angewendet wie in der GUI dargestellt.
        
-----------------------
- Mar, 26. 2006       -
-----------------------
.: Korrektur eines Fehlers, welcher eMule von minimiert in den Vordergrund holte, wenn eine Chatnachricht empfangen wurde [raccoon.i]
.: Korrektur eines Win2K-spezifischen GUI Problems bei den Suchergebnissen

-----------------------
- Mar, 25. 2006       -
-----------------------
.: Korrektur einiger Icon Ressource-Lecks
.: Korrektur eines Fehlers beim Wechseln des Windows Farbeschemas während der Laufzeit und für das Schema "Hoher Kontrast"
.: Korrektur eines Fehlers bzgl. ausgetauschter Bewertungs-Strings [Aenarion[ITA]]
.: Korrektur fehlender Einträge im Verbindungsassistenten [FrankyFive]
.: Korrektur eines Fehlers im Webinterface bei Dateien >4GB [zAxel]
.: Korrektur eines Fehlers im Webinterface in Verbindung mit HTTP Fehlerantwort.

-----------------------
- Mar, 9. 2006        -
-----------------------
Unk: Schlüsselwortsuche für Kad2.0 mit Kad1.0 Integration funktioniert.
Unk: Korrektur eines u.U. auftretenden Speicherlecks in Kad

-----------------------
- Mar, 4. 2006        -
-----------------------
Unk: Schlüsselwort speichern Kommentar Suche für Kad2.0 mit Kad1.0 Integration funktioniert. Kad2.0/1.0 Integration fertig.

-----------------------
- Feb, 4. 2006        -
-----------------------
Unk: SMIRC unterstützt nun Farben (BlueSonicBoy-TK4)
Unk: Fix: GetClosestTo gab nicht die Anzahl der gewünschten Resultate zurück (tatikiran)
.: Korrektur eines Absturzfehlers in Verbindung mit MiniMule
.: Quellcode für VS2005 portiert
.: Mehrere Laufzeit-Performanceverbesserungen für 64bit-Arithmetik
.: Korrektur eines Fehlers bei großen Suchergebnismengen

-----------------------
- Jan, 29. 2006       -
-----------------------
Unk: Beginne Kad2.0 mit Kad1.0 Integration... Hello Pakete, Knotensuche, BootStraps, Quellen Speichern/Suchen, Kommentare speichern fertig.



0.47a
-----------------------
- Jan, 25. 2006       -
-----------------------
Unk: Ein Bug bei Kad während des Suchens eines Buddy wurde korrigiert [leuk_he]
.: Ein Problem welches known2_64.met korrupiert wenn die "Merke heruntergeladene Dateien"-Funktion abgeschaltet ist wurde behoben

-----------------------
- Jan, 24. 2006       -
-----------------------
.: Statistik der gebannten Benutzer wurde korrigiert [Xman1]
.: Statistik der kumulaitven übertragenen Daten wurde korrigiert [TimDzang]
.: Die Menge der übertragenden Daten wird nun wieder in der komplett-Spalte angezeigt wenn die übertragen-Spalte nicht sichtbar ist
.: Statistik für IP-Filter wurde korregiert
.: Mögliches (kurzzeitiges) Einfrieren der GUI während der Allokation von Speicherplatz wurde für Part-Dateien wurde behoben


0.47a BETA2
-----------------------
- Jan, 23. 2006       -
-----------------------
.: Clients die gefilterte Nachrichten senden wurden nun auch als Spammer erkannt
.: Ein Bug mit HTTP/Peercache-Quellen wurde behoben (SiRob)
.: Ein Problem beim konvertieren der known2.met wurde behoben, Datei sollten nun nicht erneut gehasht werden beim Upgrade

-----------------------
- Jan, 21. 2006       -
-----------------------
Unk: Arbeit an Kad2.0 fortgesetzt
Unk: Einige kleine Verbesserungen für Kad1.0
Unk: Korrektur der LPhant Versionsanzeige
Unk: Kad Konfigurationsdateien werden nicht mehr von älteren eMule versionen gelesen

-----------------------
- Jan, 20. 2006       -
-----------------------
.: Ein Bug beim Laden der part.met Datei von großen Datein wurde behoben
.: Das Protocol wurde geändert um den Hash und Dateigröße bei angefragten Dateien kontrollieren statt nur den Hash
 

0.47a BETA1
-----------------------
- 15. Januar 2006     -
-----------------------
Unk: Arbeiten an Kad2.0 begonnen. Die Idee ist es, das Protokoll zu verbessern und einige neue Funktionen hinzuzufügen. Diese Version wird das neue Protokoll enthalten (aber nicht aktiv nutzen). Die nächste Version wird eine Option bereitstellen um zwischen Kad and Kad2.0 zu wechseln
.: Komplette Dateien können jetzt auch via Kontextmenü von der Transferliste entfernt werden
.: MobileMule Protokoll für große Dateien aktualisiert

-----------------------
- 14. Januar 2006     -
-----------------------
.: Clients, welche als Spammer identifiziert werden, werden jetzt gebannt anstatt nur deren Nachrichten zu ignorieren

-----------------------
- 11. Januar 2006     -
-----------------------
Unk: Korrektur: Vermeidung dass ein Schlüsselwort einer nicht freigegebenen Datei publiziert wird

-----------------------
-  8. Januar 2006     -
-----------------------
.: Unterstützung für große Dateien hinzugefügt. Die neue Obergrenze für Dateigrößen welche eMule erlaubt und verarbeitet ist jetzt 256GB (vorher 4GB)
.: es gelten folgende Kompatibilitätseigenheiten:
        - große Dateien können nur von Clients gefunden, heruntergeladen und hochgeladen werden die dies unterstützen (gegenwärtig nur eMule v0.47a und höher)
        - Kollektionen mit großen Dateien können nicht mehr von Clients gelesen werden welche große Dateien nicht unterstützen
        - part.met Dateien von großen Dateien können nicht mit alten eMuleversionen oder ed2k-Tools benutzt werden
        - Wenn eine große Datei freigegen wird oder bekannt ist, ist die known.met nicht mehr kompatibel zu älteren eMuleversionen
        - Known2.met wird konvertiert zu Known2_64.met welche nicht von alten eMuleversionen benutzt werden kann
Unk: Kad aktualisiert um mit großen Dateien umgehen zu können
    - ältere Clients können nicht Schlüsselworte großer Dateien indeziert. Das bedeutet, dass Schlüsselwort Resultate bei großen Dateien nicht gut funktioniert bis ein Großteil des Kadnetzes die neue Version benutzt.

-----------------------
- 30. Dezember 2005   -
-----------------------
.: "Zum Systemicon minimieren" zum Systemmenü hinzugefügt

-----------------------
- 26. Dezember 2005   -
-----------------------
.: Korrektur einer falschen "Download Zeit", welche für pausierte Dateien gemeldet wurden

-----------------------
- 24. Dezember 2005   -
-----------------------
.: Korrektur eines Fehlers in der Prioritäteneinstellung von statischen Servern, welche nach einem Neustart verloren gingen
.: Hinzugefügt: Durchlaufen der eMule-Hauptfenster mit Strg-Tab bzw. Shift+Strg+Tab

-----------------------
- 17. Dezember 2005   -
-----------------------
.: Korrektur eines Problems mit freigegebenen Dateien mit ungültigem Dateidatum [thx Kro/MorphXT]

-----------------------
-  3. Dezember 2005   -
-----------------------
.: Proxyunterstützung: mehrere Optimierungen für die Proxyunterstützung
.: Proxyunterstützung: Der Eintrag "Proxy/ShowErrors" in der preferences.ini  hat keine Bedeutung mehr, da alle Proxyfehler jetzt als Teil der regulären Verbindungsfehlermeldungen für Server und Clients angezeigt werden.
.: Proxyunterstützung: Fehlerkorrektur in der SOCKS 5 Authentication.
.: Proxyunterstützung: Unterstützung für HTTP/1.0 proxies hinzugefügt, welche Proxy overhead sparen. Tipp: Wenn du einen HTTP proxy benutzt, sollte HTTP/1.0 benutzt werden, es sei denn HTTP/1.1 muss benutzt werden.
        Die Reihenfolge der Proxy Protokoll Performance:
        1. SOCKS 4a (höchste Performance da geringster Overhead)
        2. SOCKS 4
        3. SOCKS 5
        4. HTTP/1.0
        5. HTTP/1.1 (geringste Performance, da am meisten Overhead)
.: Beschleunigen des Ladens von großen IP-Filterlisten

-----------------------
- 30. November 2005   -
-----------------------
zz: Option, um eMule einen höher auflösenden Timer nutzen zu lassen (höhere Präzision für Sleeps und einige Timer). Nutzung auf eigenes Risiko. :)  Zum Aktivieren, trage in die preferences.ini in die Sektion "[eMule]" ein: "HighresTimer=1"

-----------------------
- 26. November 2005   -
-----------------------
.: Änderung der Suchfunktion im IP-Filter Dialog: Wenn nach einer IP in der "Start" Spalte gesucht wird, wird der "Bereich" gesucht in welchem die IP enthalten ist. Tipp: Auf diese Weise kann geprüft werden, ob eine gegebene IP durch die Liste geblockt wird.
Ornis: Importer für begonnen Downloads kann nun auch (ed2k)Shareaza Tempdateien einlesen  [von David Xanatos]

-----------------------
- 24. November 2005   -
-----------------------
.: Hinzugefügt: "BindAddr=<IP>" Einstellung in der preferences.ini , um eD2K/Kad+WebServer Sockets an eine bestimmte IP Adresse zu binden
.: Korrektur eines Fehlers bzgl. "minimiert Starten" und "zum Systemicon minimieren".
.: Hauptfenster kann nun auch wiederhergestellt werden, indem auf die Titelzeile des MiniMule doppelgeklickt wird.
.: Die "Enter"-Taste kann nun in Listen (Listviews) benutzt werden, um die Hauptaktion für die ausgewählten Einträge auszuführen.

-----------------------
- 20. November 2005   -
-----------------------
Unk: Bereinigung des SMIRC Codes
1) Codeformatierung vereinheitlicht
2) Nahezu komplettes Neuschreiben im Kerncode, um die folgenden Probleme zu beseitigen:
. eine Änderung in den Default-Einstellungen veranlasste SMIRC nicht dazu, eine Aufforderung zum Ändern des Default-Nicks anzuzeigen
. manche Nutzer konnten nicht sehen was sie tippen
. Channel Modes wurden in vielen Fällen nicht korrekt gehandhabt
. Senden von neuen Channel Modes vom Tabmenü sendete oft nicht korrekte Modes
. Sortieren von Nicks in einem Raum funktionierte nicht richtig
. Notices wurden manchmal nicht korrekt verarbeitet
. Ping/Pong zwischen Nutzern funktionierte nicht
. Serverfilter-Option in den Einstellungen konnte nicht entfernt werden

-----------------------
- 14. November 2005   -
-----------------------
Unk: Bereinigung des Kad Codes
1) Codeformatierung vereinheitlicht
2) Entfernung einiger ungenutzter Methodenparameter und -variablen.
3) Versuch einigen Code zu optimieren
4) Korrektur eines möglichen Problems, dass wenn das Ziel beim ersten Versuch gefunden wurde, kein Request/Store gesendet wurde
5) Hinzufügen von Codekommentaren für besseres Verständnis (wird langsam fortgeführt wenn je beendet)
6) Sicherheitsprüfung für Schlüsselwortresultate wieder eingefügt
7) Korrektur eines Problems mit nicht vereinten Zonen wenn die Kontaktzahl gering wurde [Danke an Kry]
8) geändert, wie Kontakte als aktiv geführt werden, um die Kontaktlist aktueller zu halten mit weniger CPU Last
9) Anpassungen bei Aufrufen vom Jumpstart, um CPU Last zu verringern
10) Anpassung in Nutzerzählung um Firewalled Nutzer mit einzubeziehen

-----------------------
- 13. November 2005   -
-----------------------
.: Codebereinigungen und Performanceoptimierungen bzgl. 16Bit Integer Nutzung
.: E-Mail Benachrichtigung für nicht-XP-SP2 Systeme deaktiviert, wenn gebaut mit ATL 7.1
.: das "Suchen"-Kommando nun zu allen Listen hinzugefügt (Tastenkürzel: Strg+F=neue Suche, F3=Weitersuchen, Shift+F3=voriges suchen)

-----------------------
-  5. November 2005   -
-----------------------
.: Unterstützung für geRARte IP-Filterlisten hinzugefügt. Downloade UNRAR.DLL von http://www.rarlab.com und kopiere sie in das eMule Installationsverzeichnis.
.: Unterstützung für geRARte Skin-Profile hinhzugefügt. (wie mit geZIPten Skin-Profilen, können heruntergeladene geRARte Skin-Profile direkt von der Liste freigegebener Dateien über "Installiere eMule-Skin" im Kontextmenü angewendet werden. )
Unk: Verringerung der CPU-Last im Routing von KAD. [Kry]

-----------------------
- 30. Oktober 2005    -
-----------------------
.: Korrektur eines Fehlers in der IP-Filter-Combobox im Einstellungsdialog "Sicherheit" - welche alle Einträge verlieren konnte.
.: Hinzugefügt: Überprüfung heruntergeladener IP-Filter Dateien, um Dateien ohne IP Filter zu erkennen (zB. tote URLs).
.: ein ZIP mit IP-Filter muss eine Datei (mit den Filtern) namens "guarding.p2p" oder "ipfilter.dat" enthalten. Alle anderen Dateien im ZIP werden ignoriert.

-----------------------
- 15. Oktober 2005    -
-----------------------
Ornis: Option, Tempfiles mit der Endgröße anzulegen (wenn erste Daten empfangen werden) (erweiterte Einstellungen)
Ornis: Systray-Icon blinkt mit Nachrichten-Icon, wenn eine neue Nachricht (Nachricht, (noch) nicht IRC !) bereit liegt. Zu aktivieren in der preferences.ini (Sektion "eMule" setze "IconflashOnNewMessage=1")

-----------------------
-  8. Oktober 2005    -
-----------------------
.: Media Info Dialog zeigt nun auch Informationen über zusätzliche Audio/Video/Untertitel-Streams. (nutze MediaInfo DLL (http://mediainfo.sourceforge.net/) um diese Unterstützung für nicht-AVI Dateien zu erhalten).
.: MP3 Dateien mit variabler Bitrate und Xing-VBR frame werden mit der durchschnittlichen VBR Bitrate gemeldet und veröffentlicht.

----------------------- 
- September, 30. 2005 - 
----------------------- 
.: Die Speicherverwaltung für kleine Blöcke wurde optimiert 
.: Zusätzliche Sicherheitschecks beim verarbeiten von hello Paketen [thx Kry] 
 
----------------------- 
- September, 29. 2005 - 
----------------------- 
.: Der Dateidetail-Dialog zeigt die akkumulierte verbleibende Größe wenn mehrere Dateien selektiert sind  
 
----------------------- 
- September, 26. 2005 - 
----------------------- 
.: Ein Bug im 'Ext' Kommando der 'PreviewApps.dat'-Datei wurde behoben 
 
----------------------- 
- September, 25. 2005 - 
----------------------- 
.: Unterstützungen für ED2KServer-Dateibewertungen in den Suchergebnissen wurde hinzugefügt. Empfangene Bewertungen werden als zusätzlichen Icon wie im Downloadfenster gezeigt. 
.: Ein Bug durch den beim Doppelklicken auf das Bewerungsicon sich nicht immer die Bewerungs-Dialogseite öffnete wurde behoben 
.: Ein Bug mit den Eigenschaften-Seiten, die nicht immer korrekt wiederhergestellt wurden wurde behoben 
 
----------------------- 
- September, 24. 2005 - 
----------------------- 
.: Die Bedeutung des "Abbrechen"-Suchbuttons wurde etwas verändert: Es bricht nun nur die aktiven Suchen ab, dessen Ergebnisseite aktiv ist. 
   Damit kann nun eine Kad-Suche abgebrochen werden ohne das Ergebnis zu löschen 
 
----------------------- 
- September, 20. 2005 - 
----------------------- 
.: Fließkommazahl-Unterstützung für Suchen nach Attributen in der GUI und den Metadaten wurde hinzugefügt (z.B. @size<1.23g) 
.: Größe-, Verfügbarkeits-, Komplette Quellen-, Bitrate und Länge-Suchattribute können in der GUI-Suche genauso genutzt werden wie in der eMule-Suche (siehe dort) 
 
 
----------------------- 
- September, 19. 2005 - 
----------------------- 
.: Eine neue Methode Metadaten von AVI/WAV Dateien zu extrahieren ohne DirectShow-Filter zu nutzen wurde hinzugefügt 
 
 
----------------------- 
- September, 13. 2005 - 
----------------------- 
.: "Exakte Phrasen"-Suche für Kad-Suchen wurde hinzugefügt (z.B. "dies das" statt dies das) - nur neue Kad-Knoten können diese korrekt verarbeiten 
Ornis: Webinterface: Eine Fehler im Informations-Popup für Uploadzeiten wurde behoben 
  
----------------------- 
- September, 12. 2005 - 
----------------------- 
.: Die eMule-Suchfunktion wurde überarbeitet und bietet viele neue Funktionen wie z.B. "-" als nicht ("dies -das"). Eine detailierte Erklärung ist (bald) in der (Online)Hilfe zu finden

-----------------------
- 11. September 2005  -
-----------------------
.: Suchausdrücke Bäume wurden optimiert, um die CPU Last für Server und Kad Knoten beim Auswerten des Baumes zu verringern (weniger Rekursionen).

----------------------
-  9. September 2005  -
----------------------
.: Korrektur eines Problems mit dem Indikator aktiver Kad-Suchen, welcher zu früh deaktiviert wurde.
.: Hinzugefügt: "exakter String" Suche für ED2K Suchen (Strings in Anführungszeichen werden an den Server unverändert übermittelt)
.: Meta-Daten Suche dem Suchausdrucksparser hinzugefügt
.: Boolean Suchausdrucksparser überarbeitet:  Implizite ANDs müssen nicht mehr angegeben werden (zB. "a AND (b OR c)" kann nun angegeben werden als "a (b OR c)")

----------------------
-  4. September 2005  -
----------------------
.: String file format meta Tags werden nicht mehr an eserver und eMule Clients gesendet um Bandbreite einzusparen [thx lugdunum]
.: Senden von neuen Integer Dateitypen Metatags hinzugefügt , für eserver um Bandbreite zu sparen [thx lugdunum]
.: verfügbare 'Komplett' Info wird nun korrekt in Suchresultaten angezeigt, wenn die Freigaben von anderen Clients abgefragt werden.
.: verfügbare 'Komplett' Info wird nun korrekt für Dateien <9280000 bytes in den Suchergebnissen für Kad-Suchen angezeigt.
.: "Suche zugehörige Dateien" dem Kontextmenü der Downloadliste hinzugefügt.
.: Korrektur: Menge der übertragenen Daten für eine Quelle wird nicht länger in der "Fertiggestellt"-Spalte sondern in der "Übertragen"-Spalte angezeigt

----------------------
- 30. August 2005    -
----------------------
Unk: unbenutztes Tag aus dem Login-Anfrage Paket entfernt [Avi-3k & Lug]
Unk: Korrektur: Wenn ein sehr populärer Server online kommt, erhielt er nun nicht mehr alle 4h einen großen Ping-Ansturm.  [Lug]
Unk: Ablegen von Dateibewertungen in Servern [Lug]
Unk: wir senden nicht mehr FT_FILEFORMAT Tabs an Server [Lug]
Unk: Korrektur einiger falsch geformter Strings in MIRC [Avi-3k]

----------------------
- 18. August 2005    -
----------------------
Ornis: Übersetzung Maltese hinzugefügt [by Reuben]
Ornis: Korrektur eines Grafikfehlers in der Serveransicht (Log-Reset-Knopf nach Sprachwechsel; verhinderte minimierbares Log und Chat-Fenster)

----------------------
-  8. August 2005    -
----------------------
Ornis: Korrektur eines Absturzes beim Klick aufs Systray-Icon (konnte unter seltenen Momenten auftreten, u.a. wenn der Rechner stark ausgelastet war)

----------------------
-  1. August 2005    -
----------------------
Ornis: Ukrainische Übersetzung hinzugefügt [von Kex]

----------------------
- 29. Juli 2005      -
----------------------
Unk: Korrektur: "Öffne Verzeichnis" (Avi-3k)
Unk: Korrektur: ClientCredit debug mode (Avi-3k)
Unk: Korrektur: DownloadListen Soriterfehler (Avi-3k)
Unk: Korrektur eines Fehlers in Ppgfiles (eMulefan83)
Unk: Korrektur eines Cursorfehlers (Slugfiller)
Unk: Codeänderung in den Einstellungsfenstern für leichteres Hinzufügen/Entfernen von Einstellungsfenstern (CiccioBastardo)
Unk: Änderung in der Anzeige von LPhant Versionen (Famerlor)



v0.46c
----------------------
- 24. Juli 2005      -
----------------------
.: Unterstützung für die MediaInfo DLL v0.6.1 und v0.7.x hinzugefügt [von Zenitram]

----------------------
- 22. Juli 2005      -
----------------------
.: Update auf zlib v1.2.3 , aufgrund von Sicherheitslücken in v1.2.2 

----------------------
- 18. Juli 2005      -
----------------------
Unk: Korrektur eines möglichen Absturzes bei fehlerhaften Kad Paketen (Kry)
Unk: Kad reconnect repariert. Auto-Kad-Bootstrap wurde nicht für eMules Multipacket-Protokoll angepasst. 

----------------------
- 16. Juli 2005      -
----------------------
Ornis: Korrektur eines Fehlers (aus v0.46b) durch welchen reguläre Ausdrücke im Ansichtsfilter von Kategorien nicht funktionierte [thx kinmenalex]

----------------------
-  9. Juli 2005      -
----------------------
Ornis: Korrektur eines Fehlers beim Prüfen von Dateien/Ordnern auf Tempverzeichnis (wenn mehrere Tempverzeichnisse benutzt wurden); und eine Korrektur eines kleinen Fehlers in einem Fensterteiler (Splitterbar) [tHeWiZaRdOfDoS]
Ornis: neue und geänderte Eingangsverzeichnisse von Kategorien erscheinen nun in der neuen Kontrolle der freigegebenen Dateien

----------------------
-  8. Juli 2005      -
----------------------
.: Das Uploadlimit,Uploadkapazität (Bandbreite) und Downloadlimit wird nun standardmäßig auf unbegrenzt (undefiniert) gesetzt
.: Wenn die Uploadkapazität auf unbegrenzt (0) steht, wird USS automatisch aktiviert, um die beste Uploadgeschwindigkeit zu ermitteln
.: Wird die alte Standardkapazität verwendet, wird diese einmalig für diese Version auf den neuen Standard (unbegrenzt) gesetzt
zz: UploadSpeedSense erhöht nun maximal 30KB/s über die aktuelle Uploadgeschwindigkeit. Dies verhindert einen Anstieg auf zu hohe Limits wenn der Client nicht schnell genug Hochladen kann um das Limit zu erreichen, aufgrund fehlender Clients in der Warteschlange.
zz: Fehlerkorrektur+Erweiterung zum USS Code, welcher von langsamen Quellen weniger Daten der Datei anfragt. Dieser Code wird nun nur aktiviert, wenn nur noch wenig Daten bis zur Fertigstellung übrig sind.
Ornis: Fenster für Kollektionen sind nun größenveränderbar
Ornis: einige USS Übersetzungen hinzugefügt
Unk: Einige CPU-Lastkorrekturen für Kad (Kry)
Unk: Änderung, wie Kad-Kontakte gehalten werden
Unk: Kad node lookup Algorithmus verändert um viel weniger Overhead und bessere Resultate zu erreichen
Unk: Kollektionen speicherten Extra Tags, welche die Dateien aufblähten.  Korrigiert.

----------------------
-  5. Juli 2005      -
----------------------
Ornis: Korrektur & Verbesserung bei Download von großen Dateien via Webinterface
Ornis: Korrektur eines kleinen Speicherlecks im Einstellungsdialog (Statistiken)


v0.46b
----------------------
- July, 4. 2005     -
----------------------
zz: Korrektur eines Upload-Sortierungsfehlers
Unk: Namenshandhabung für Kollektionen wurde vereinfacht (z.B.: der Name wird nicht bereinigt oder umformatiert)
Unk: Kad: Verringerung der Anzahl zwischengespeicherter Informationen, um Router zu entlasten.
Ornis: Fehlerbeseitigung in Multi-Temp
Unk: Korrektur in bleibenden Icons, wenn keine Kommentare/Bewertungen mehr verfügbar sind.
.: Korrektur mehrerer kleiner Fehler in der neuen Kontrolle für freigegebene Dateien
.: Korrektur für das Dateigrößenlimit für Heruntergeladenene Dateien im Webinterface
.: Korrektur von Abstuzfehlern in Verbindung mit doppelten Dateien
.: Korrektur einiger kleiner GUI Fehler (Icons, Speicher&Wiederherstellen, etc)

----------------------
- July, 1. 2005     -
----------------------
Unk: Statuszeile: da in manchen Sprachen der Platz für die Angabe von "Benutzern | Dateianzahl" nicht ausreicht, wird nun beim Doppelklick darauf ein Fenster mit diesen Informationen erscheinen
Unk: einige weitere Informationen der Fullbildanzeige-Meine Informationen hinzugefügt [teils auf MorphMod basierend]


----------------------
- June, 28. 2005     -
----------------------
zz: "Automatisch alle (A4AF)-Quellen zu dieser Datei"-Menüeintrag entfernt. Erhöhe die Downloadpriorität der Datei für den gleichen Effekt.
zz: Wenn von einer sehr langsamen Quelle geladen wird, werden weniger Daten auf einmal angefordert.
.: Kollektionen werden nun (optional) unterschrieben/verifiziert. Wenn die Unterschrift ungültig ist wird der Autor-Schlüssel und Name entfernt
.: Downloadanfragen für Sammlungen ignorieren die Warteschlange und werden sofort beantwortet
.: Eine Splitterbar wurde in das "Freigegebene Dateien"-Fenster hinzugefügt
.: Das Aussehen der Splitterbar wurde etwas verändert
.: Kollektionen-Dateien können nun mit eMule verknüpft werden, klicke den "Nehme Ed2k-Links"-Button um dies zu tun, wenn es nicht schon der Installer tat

----------------------
- June, 27. 2005     -
----------------------
Ornis: Crash bei HTTP-Quellen im Download-Clients Fenster behoben

----------------------
- June, 26. 2005     -
----------------------
.: Erweiterung der "Ausführen als unpriviligierter Benutzer"-Funktion: Wenn das Starten mit dem eMule-Benutzer fehlschlägt (z.B. wegen fehlender Rechte)
   wird eMule als gleicher Benutz aber mit reduzierten Privilegien neustarten (aber den gleichen Dateirechten).
   Dies hilft Benutzern die kein Admin-Konto verwenden die Sicherheit ein bisschen zu erhöhen

----------------------
- June, 25. 2005     -
----------------------
Ornis: MiniMule zeigt nun die Anzahl aller kompletten Dateien in allen Kategorien [by TED]

----------------------
- June, 19. 2005     -
----------------------
.: Ein neues Fenster wurde in den "Freigegebene Datein"-Dialog eingefügt, welches das ansehen von freigegebenen Dateien nach Verzeichnissen erlaubt
   und es ermöglicht neue Verzeichnisse freizugeben/zu entfernen (per Drag&Drop ein Verzeichnis von "Alle Verzeichnisse" auf "Freigegebene Verzeichnisse" ziehen)
.: Support für Verwandete/Ähnliche Dateien hinzugefügt, welches es erlaubt auf dem lokalen Servern nach Dateien zu suchen die von Benutzern freigegeben wurden, die auch die gewählte Datei freigaben

----------------------
- June, 16. 2005     -
----------------------
Unk: Kad Kommentare werden nun wie auch normale Kommentare gefiltert
Unk: Tray-Beenden bug behoben [Xman1]

----------------------
- June, 14. 2005     -
----------------------
Unk: Bewertung-Icons zeigen nun eine Skala basierend auf den durchschnittlichen Bewertungen statt nur gut/schlecht
Unk: Alle Kommetarlisten in eMuleType-Listen konvertiert
.: 16 Farben Support hinzugefügt (eMule sieht besser aus beim betrachten mit 16 Farben, z.B. per Remote-Desktop)

----------------------
- June, 13. 2005     -
----------------------
Unk: Ein Bug in Kad wurde behoben der die unkorrekte Abfolge von Kontakten beim Starten einer Suchen verursachte (thx Agthorr)
Unk: Sortierung bei Kad-Anfragen wurde verbessert
Unk: Ein bug wurde behoben der alle Kad-Ergebnisse als beste Ergebnisse behandelte und dadurch zusätzlichen Overhead verursachte (thx Agthorr)
Unk: Ein bug wurde behoben der erwünschte Kontakte in der Suchliste löschte (thx Agthorr)
Ornis: Splitter-Bar im Server-Fenster
Ornis: Speichern/Wiederherstellen von Listeneigenschaften überarbeitet
        - Speichern/Wiederherstellen für Sortierungen hinzugefügt
        - Spalten-Sortierfehler behoben

----------------------
- June, 10. 2005     -
----------------------
Ornis: Unterstützung für mehrere Temp-Verzeichnisse (zu trennen mit | ). Ein Temp-Verzeichnis wird automatisch beim hinzufügen eines Downloads gewählt, basierend auf dem Incoming-Verzeichnis und freiem Speicherplatz)
Ornis: Webinterface links sind nun relativ
Unk: DialogDetailDialog wird nun bei allen CListCtrl verwendet die mit Dateien zu tun haben.
Unk: Allegemeine Codeüberarbeitungen (Ex. AbstractFile, SearchFile, KnownFile, StatisticFile are now in seperate .cpp/.h files. Changed class name of kademlia tags to avoid confusion of ED2K tags.)

----------------------
- June, 5. 2005      -
----------------------
zz: Schreibe "0" statt "<0" in der Komplette Quellen-Spalte in "Freigegebene Dateien"-Fenster

----------------------
- June, 3. 2005      -
----------------------
.: Support für MediaInfo library version 0.5.1 und 0.6.0 hinzugefügt (http://mediainfo.sourceforge.net)

----------------------
- June, 2. 2005      -
----------------------
.: Support für Vorschauen von verschlüsselten RAR-Dateien mit "solid"-Kompression

----------------------
- June, 1. 2005      -
----------------------
Unk: Alle Kommentarlisten aktualisieren automatisch
Unk: Kommentar-Icon für Dateinen in der "Freigegebene Dateien"-Liste hinzugefügt
Unk: Möglicher Bug durch Zugriff auf ein gelöschtes Objekt beim betrachten von Kommentaren behoben
Unk: Kommentare mehrerer Dateien können gleichzeitig angesehen werden

----------------------
- May, 31. 2005      -
----------------------
.: Unterstützung für die Vorschau von RAR-Archiven hinzugefügt, welche erweiterte Datums/Zeit-Informationen enthalten
Unk: Möglichkeit hinzugefügt, Kommentare (Kad Notizen) in Suchergebnissen einzusehen
Unk: mögliches Speicherleck bzgl. Kad Notizen korrigiert

----------------------
- May, 28. 2005      -
----------------------
.: Fehlerkorrektur: mögliche Beseitigung des in-Tray-minimieren Problems, welches für Windows NT SP6 gemeldet wurde
.: Hinzugefügt: Prüfung beim eMule-Start auf eine korrekte Version der Windows Shell32 DLL - sollte auch Nutzern von Windows NT helfen Probleme zu vermeiden!
Unk: Korrektur eines Fehlers, welcher User mit niedriger ID eine falsche Buddy-IP/Port Informationen sendete
Unk: Kommentare (Kad Notizen) werden nun für freigegebene Dateien angezeigt 

----------------------
- May, 26. 2005      -
----------------------
.: Korrektur eines Fehlers, durch welchen ED2K Suchergebnisse in Kad-Suchergebnissen angezeigt wurden

----------------------
- May, 26. 2005      -
----------------------
.: Korrektur eines Fehlers in der Statistik bzgl. der Client-Versionen, durch welchen gleiche Clientzahlen nicht angezeigt wurden

----------------------
- May, 23. 2005      -
----------------------
.: MiniMule zeigt die Anzahl der gegenwärtig fertig gestellten Dateien nur dann, wenn die Funktion "Beendete Downloads aus Liste entfernen" nicht aktiviert wurde, sonst wird die Anzahl fertig gestellter Dateien der aktuellen Sitzung angezeigt

----------------------
- May, 21. 2005      -
----------------------
zz: Korrektur eines Unterlauffehlers für die Spalte "freigegebene Teile" der Liste freigegebener Dateien. Dies konnte dazu führen, dass sie als selten markiert wurden, obwohl sie weit verbreitet sind.
----------------------
- May, 19. 2005      -
----------------------
zz: Fehlerkorrektur im UploadSpeedSense (USS). Mit niedrigen Pingzeiten und niedriger Pingtoleranz-Einstellung, konnte USS bei der minimalen Geschwindigkeit fest hängen.
zz: USS erkennt nun wenn das Uploadlimit erhöht wurde und schaltet für eine kurze Zeit in den "fast reaction mode", um schnell feststellen zu können, ob das Limit erhöht werden kann.
zz: Wenn mehrere Pings benutzt werden (erweiterte Einstellungen), nutzt USS nun einen Medianwert anstelle eines Mittelwertes, für bessere Performance. Etwa 1-8 Pings sind empfohlen.
zz: Leicht veränderte Farben in der Anzeige der erhaltenen Teile:
      White = du hast diesen Teil nicht
      Red   = Du bist der einzige, der diesen Teil freigegeben hat (daher: weiter freigegeben lassen!)
      Blue  = Du und auch andere geben diesen Teil frei. Je heller das Blau, desto weniger Benutzer haben diesen Teil
      Black = Du hast diesen Teil aber die Verfügbarkeit ist unbekannt (z.B.: keener hat dich bisher nach dieser Datei gefragt und du lädst sie nicht herunter)

----------------------
- May, 16. 2005      -
----------------------
.: verschiedene Änderungen, um das Verschwinden des Suchparameterfensters zu verhindern
.: neue Funktion der PreviewApps.dat Datei hinzugefügt. Nach dem Kommandozeilenparameters  (getrennt durch  ';') kann angegeben werden:
Ext=<Dateiendung > (das Kommando wird nur für die angegebene Dateiendung ausgeführt, gib mehrmals das "Ext" Kommando an, wenn mehrere Erweiterungen zugewiesen werden sollen)
MinSize=<bytes> (min. fertig gestellte Partdatei-Größe, um die Vorschau zu ermöglichen)
MinStart=<bytes> (fertig gestellte Partdatei-Größe vom Start aus, um die Vorschau zu ermöglichen)
----------------------
- May, 15. 2005      -
----------------------
.: Neue Tooltips(anzeige) im Transferfenster
.: Fehlerkorrektur in der ZIP-Archivvorschau, für Archive mit verzeichniseinträgen

----------------------
- May, 11. 2005      -
----------------------
.: Korrektur eines Fehlers bzgl. der SetSystemACP Einstellung einer frischen eMule Installation
Ornis: Limit der Dateigröße für den Upload im Webinterface kann nun in der preferences.ini, Sektion [WebServer] :  "MaxFileUploadSizeMB=5"  (oder 0 für kein Limit) angegeben werden

----------------------
- May, 10. 2005      -
----------------------
.: Korrektur falscher kBit/s und KB/s -Nutzung an verschiedenen Stellen
.: Korrektur von Darstellungsfehlern der Hauptstatusleiste bei großen Systemschriftarten
.: Änderung: ini-Datei der Benachrichtigen-Funktion wird nun standardmäßig im eMule-Config-Ordner gesucht

----------------------
- May, 9. 2005       -
----------------------
.: Korrektur eines Fehlers mit den Dropdown-Knöpfen im Transferfensters, bei großen Systemschriftarten
.: Hinzugefügt: Behandlung der mittleren Maustaste im Transferfenster [thx SiRoB]
.: .cbz und .cbr Dateiendungen als Archivtypen und vorschaufähige Archivtypen hinzugefügt

----------------------
- May, 8. 2005       -
----------------------
.: Korrektur eines Crashs im Nachrichtenfensters, wenn mit Rechts der Schließen-Knopf betätigt wurde
.: Neue Makros für Webservices bereitgestellt:
#name Fügt den Dateiname ohne Dateiendung ein
#cleanname Fügt den bereinigten Dateinamen ohne Erweiterung ein
#cleanfilename Fügt den bereinigten Dateinamen ein
.: Korrektur eines Problems beim Registrieren von eD2K-Links für eMule.
zz: A4af Code für Quellen ohne benötigte Teile verbessert. (vorher konnte eine Quelle an einer NNP-Datei mit hoher Priorität hängen bleiben, auch wenn es nicht-NNP-Dateien mit niedrigerer Prio gab.

----------------------
- 7. Mai 2005       -
----------------------
.: Serverliste: Servers mit einem Fehlerstand von >= 2 oder größer des spezifizierten Limits werden in Graustufen angezeigt
.: 'Quelle-hinzufügen'-Dialog und 'Freund hinzufügen'-Dialog : die IP und Port kann optional auch rechts vom IP-Dialogelement angegeben werden
Ornis: Korrektur einiger Fehler im Webinterface (Kategorienwechsel, Javascriptproblemen mit manchen Sprachen, Geschwindigkeits-Balken, Timeout der Einstellungen speichern, verwechselte Prioritätenzuweisung bei Servern)

----------------------
- 6. Mai 2005        -
----------------------
Ornis: wurden dateieigene Quellenlimits angegeben, werden diese in der Quellenspalte der Downloadliste in [eckigen Klammern] angezeigt, und im Dateidetails-Dialog
Ornis: Korrektur des Status vom Quellenmanagement-Untermenü (auswahlabhängig)


eMule v0.46a
----------------------
-  3. Mai 2005       -
----------------------
.: eMail-Benachrichtigung in der GUI konfigurierbar. Optionale Verschlüsselung ist in der preferences.ini anzugeben
.: Einstellung für zusätzliche Toolbar des Transferfensters in den Einstellungdialog hinzugefügt
Ornis: Korrektur eines Fehlers beim Entfernen eines Servers aus der statischen Liste vom Webinterface aus

----------------------
-  2. Mai 2005       -
----------------------
.: Korrektur eines Socket-Ressourceleaks im Webinterface
.: Der Zugriff auf das Webinterface kann für bestimmte IP-Adressen eingegrenzt werden. preferences.ini, Eintrag: "AllowedIPs=<IP>[;<IP>]" in der Sektion "[WebServer]"
Ornis: Umbenennung der Konfigurationsdatei "adresses.dat" in "addresses.dat" (für das automatische Laden von Serverlisten). Diese Umbenennung wird für diese Version automatisch beim Programmstart durchgeführt.

----------------------
-  1. Mai 2005       -
----------------------
.: eMule merkt sich nun (optional) die abgebrochenen Downloads und markiert diese in den Suchlisten
.: das Merken von heruntergeladenen Dateien kann nun (in Einstellungen/Datei) deaktiviert werden. eMule löscht in diesem Fall alle unnötigen Einträge aus der known.met und known2.met
.: Korrektur eines Fehlers, welcher manchmal einen Dateizugriffsfehler beim Zugriff auf die known2.met beim Start von eMule verursachten konnte

----------------------
- 28.April 2005      -
----------------------
.: Implementierung der von lugdunum vorgeschlagenen Protokolländerung für GetSources (local/udp)

----------------------
- 26.April 2005      -
----------------------
.: Hinzugefügt: neue aufklappbare Knöpfe im Transferfenster, um verschiedene Ansichten der beiden Listen auszuwählen
.: neue Einstellung in der preferences.ini: "WinaTransToolbar=1" (Sektion "eMule") zur Anzeige einer alternativen Toolbar im Transferfenster (anstatt der Dropdownbuttons)

----------------------
- 23.April 2005      -
----------------------
.: Korrektur: Warteschlangenplatz von Quellen in der Downloadliste wurde nicht immer korrekt aktualisiert
.: Einige fehlende Protokoll-Overheadstatistiken hinzugefügt
Unk: einige kleine GUI-Änderungen im Setup-Wizard und der Dateikommentarliste

----------------------
- 19.April 2005      -
----------------------
.: Ansichtsauswahl im Transferfenster aus Mods hinzugefügt [TBH]

----------------------
- 17.April 2005      -
----------------------
.: Korrektur eines Fehlers, welcher es theoretisch in seltenen Fällen erlaubte, dass eMule ungeprüfte Daten an andere Clients sendete
Ornis: Korrektur eines Fehlers in der Downloadliste, durch welchen in bestimmten Situationen Befehle auf eine Dateimehrfachauswahl ignoriert wurden
Ornis: manuelles Dateinamenbereinigen für ausgewählte Dateien in der Downloadliste, durch Betätigung von Strg+F2

----------------------
- 13.April 2005      -
----------------------
.: Korrektur eines Fehlers bei der Dateikommentierung und -bewertung, welcher auftrat wenn eine Bewertung ohne Kommentar eintraf [thx MogTheCat]
.: Unterstützung des neuen PeerGuardian IP Filter Dateiformates v2
.: um generelles Netzwerkoverhead zu reduzieren, werden nun tote Server schneller entdeckt und nicht für UDP-Quellen und Dateisuchen benutzt
.: Die Priorität in heruntergeladenen server.met -Dateien wird ignoriert. Serverprioritäten kann jedoch weiterhin für lokale Serverlisten benutzt werden.

----------------------
-  6.April 2005      -
----------------------
.: Sortierreihenfolge und Scrollposition werden nun für Suchresultate gemertk und wiederhergestellt, wenn zwischen verschiedenen Resultatslisten gewechselt wird.

----------------------
-  4.April 2005       -
----------------------
.: Hinzugefügt: E-Mail Benachrichtigungen für "Download beendet" und "wichtige Fehler". Konfigurierbar in der preferences.ini, Sektion [eMule]
        Aktivieren mit "NotifierSendMail=1"
        SMTP server: "NotifierMailServer=<server>"
        Empfängeradresse: "NotifierMailRecipient=<e-mail-address>"
        Sender Emailadresse: "NotifierMailSender=<e-mail-address>"
Optional: Angabe eines Zertifikates für die Verschlüsselung der Email mit S/MIME: "NotifierMailEncryptCertName=<certificate-subject>". Das Zertifikat wird im lokalen Windows Adressbuch gesucht.

----------------------
-  1.April 2005       -
----------------------
.: Korrektur eines Fehlers bei dem Parsen von eD2k Links ohne Dateinamen (oder Dateinamen mit ausschließlich Leerzeichen)
.: Korrektur eines Fehlers beim Umbenennen von Partfiles wenn der Dateiname nur Leerzeichen enthält

----------------------
- 23. März 2005      -
----------------------
.: Quellcode wird nun mit Warninglevel 4 kompiliert (und wurde entsprechend korrigiert)
.: Kad Schlüsselwortsuche und Publishing von kurzen Worten wurde geändert, um einige Einschränkungen für asiatische Wörter zu umgehen
.: Korrektur eines Fehlers beim Publishing von Schlüsselworten in Verbindung mit Dateinamen mit zu vielen unveröffentlichten Zeichen am Ende
.: Korrektur einiger GUI Fehler in der Freundesliste
.: Korrektur eines Fehlers, welcher das Minimieren in den Systray verhinderte
.: Einstellungen/Dateien: Kontextmenü für die Liste freigegebener Ordner aufpoliert
.: alle Funktionen zur Wiedergabe von Klängen geändert, um nicht den PC-Speaker zu anzusprechen falls keine Soundkarte installiert ist
.: Log-Dateien zeigen nun eindeutiger den Beginn und das Ende von Sessions
.: Korrektur eines Fehlers, welcher verhinderte, dass Log-Nachrichten nicht in die Logdateien beim Programmstart geschrieben wurden. 
.: MiniMule zeigt das korrekte Verbindungsicon.
.: MiniMule zeigt die Anzahl fertiger Downloads, die gegenwärtig in der Downloadliste vorhanden sind
.: MiniMule kann an jede Ecke des Desktops angedockt werden (abhängig von der Position der Programmleiste).
.: MiniMule - Korrektur eines Problems wenn der eMule-Installationspfad Sonderzeichen enthält
.: Hinzugefügt: Optionale Sprachausgabe für Benachrichtigungen (siehe Einstellungen). Jede dargestellte Benachrichtigung kann von eMule mit der Standard-"Text-To-Speech-Engine" des Systems vorgelesen werden.
.: Unterstützung von GZip-komprimierten IP-Filter-Dateien hinzugefügt
.: Korrektur eines Fehlers in der Log-Anzeige, welcher eine Endloschleife im Nach-Oben-Scrollen erzeugen konnte
.: Korrektur eines Fehlers in der Log-Anzeige, welcher Text zu weit oben darstellte, wenn das Log das erste Mal aktiviert wurde
.: Deaktivierung des Auslesens von Metadaten mittels DirectShow - bis ein zuverlässigerer Weg gefunden wird
.: Experimentell: ein effizientere Methode zum Abweisen von TCP-Verbindungen von gefiltereten und/oder gebannten Clients; siehe Einstellungen/Erweitert
.: Alle Graphen im Statistik-Fenster haben ein anderes Aussehen, wenn "StraightWindowStyles=1" in der Preferences.ini, Sektion [emule] angegeben wird
.: Einige Optimierungen beim Zeichnen der Statistikgraphen.
.: Beim Schließen des Einstellungen-Dialoges wird die preferences.ini nur noch gespeichert wenn nötig
.: Suchresultatslisten: Beim Schalten von/zu Listen mit aufgeklappten Einträgen, wird dieser Status gespeichert & wiederhergestellt
.: Einige Optimierungen beim Behandeln von Suchergebnissen
.: Beim Empfangen von verschiedenen Dateinamen in Suchresultaten, wird der Dateiname mit der höchsten Verfügbarkeit als Wurzelname angezeigt
.: bei Anzeige der erweiterten Kontrollen: Suchresultate zeigen die Anzahl kompletter Quellen mit Prozentangabe und genauer Zahl
.: Korrektur eines Fehlers welcher verfügbare Quellen nicht dem Download hinzufügte, wenn ein Untereintrag zum Starten des Downloades ausgewählt wurde

----------------------
- 14. März 2005      -
----------------------
Ornis: Dateinamenbereinigung: Zeichen hinter Apostroph nicht groß schreiben
Ornis: Korrektur falscher Dateistatistik von (zuvor) pausierten Dateien [Xman]
Ornis: Angabe einer maximalen Quellenanzahl pro Datei über das Kontextmenü in der Downloadliste (wenn erweiterte Kontrollen aktiviert)

----------------------
- 27. Februar 2005   -
----------------------
.: Logdateiformat für das Hauptlog und das Verboselog kann nun auf UTF-8 gesetzt werden, via preferences.ini Eintrag: "LogFileFormat=1" (Sektion "[eMule]").
.: Unterstützung für das neue PeerGuardian IP Filter Dateiformat v1 hinzugefügt.

----------------------
- 26. Februar 2005   -
----------------------
.: Korrektur eines Fehlers welcher zu einem zu hohem PeerCache Sockettimeout führte [thx so8so]
zz: Korrektur für USS, um zu verhindern dass es sich selbst deaktiviert wenn die Netzwerkverbindung abbrach. Wenn die erste Initialisierung von USS durchgeführt wurde, solle es sich nicht mehr selber deaktivieren.

----------------------
- 22. Februar 2005   -
----------------------
.: Korrektur eines Fehlers, wenn fehlerhafte kompatible Clients Quellen für eine Datei erhalten konnten, nach welcher sie nicht gefragt haben.
.: Korrektur eines Fehlers mit Kad-Notizen, welche empfangen aber nicht gespeichert wurden.

----------------------
- 18. Februar 2005      -
----------------------
Ornis: Wird die Maus über Statistikgraphen bewegt und die linke Maustaste gedrückt gehalten, wird die Uhrzeit und Zeitdifferenz als Tooltip angezeigt (berechnet anhand der AKTUELLEN Statstikeinstellungen!)
Ornis: Webinterface von eMule+ integriert, angepasst, kleine Korrekturen und folgendes hinzugefügt:
                         - Kad
                         - zeigte Kommentare und Bewertungen von Dateien
                         - Download von fertig gestellten Downloads über den Browser (nur Admin, nur bis zu 5MB Dateigröße)

----------------------
- 12. Februar 2005   -
----------------------
.: Korrektur der 'Übertragen'-Spalte und Sortierung in der Upload-Liste.
.: Alle Dialoge überarbeitet, um das '&'-Zeichen in Dateinamen korrekt anzuzeigen.
.: Korrektur der Kommentar/Bewertung Beschriftungsreihenfolge.
.: Korrektur möglicherweise falsch platzierter Hoch/Runter-Knöpfe im Detailsdialog.
.: Upgrade von zlib auf v1.2.2
.: Experimentell: Rechts-nach-Links Lese Unterstützung. Aktivierbar in der Preferencs.ini: Sektion [eMule]; Eintrag: "RTLWindowsLayout=1"


eMule 0.45b
----------------------
- 11. Februar 2005     -
----------------------
.: Ein Fehler im Zusammenhang mit den neuen Kad-Dateikommentaren, der eMule einfrieren lassen konnte wurde behoben [thx gcostanza]
.: Ein Fehler im UDP-Server Protokoll, der dazu führen konnte dass eMule Pakete ignorierte oder bei bösartig hergestellten Paketen einfrieren könnte wurde behoben  [kry]
.: Das Download-Fenster merkt sich nun die 4 letzten Sortierreihenfolgen und benutzt sie als sekundäre Sortierreihenfolgen
.: Ein Anzeigebug im Uploadfenster wurde behoben
.: Ein Problem welches eMule manchmal die Onlinehilfe aufrufen ließ selbst wenn die passende Hilfedatei verfügbar war wurde behoben [cml]
Ornis: Korrektur von kleingeschriebenen Pfadangaben in der Liste freigegebener Dateien
Ornis: Automatisches Fortsetzen nach fertiggestellter Datei korrigiert
Ornis: >100% Statistikangabe der SecIdent-Angabe korrigiert


eMule 0.45a
----------------------
- 25. Januar 2005    -
----------------------
Ornis: kleinere Aktualisierungen im Webinterface, bzgl. Kategorienauswahl, Merken der gewählten Kategorie innerhalb einer Session, erste Suchergebnisse gleich nach der Suche anzeigen,...)
Ornis: Statistikgraphen: vertikale Markierungen im Stundenabstand hinzugefügt; größere mögliche Zeitspanne in der Statistikupdateverzögerung  [CB mod]
Ornis: neues Kommandozeilenargument hinzugefügt, um IPFilter-Datei neu zu laden:   "emule.exe reloadipf"
Unk:   Korrektur eines Problems, welches dazu führte, dass ein Keyword oder Quellenindex nicht wiederhergestellt wurde
.:                  Korrektur eines Fehler mit falscher User-ID/IP bei HTTP-Quellen [thx SiRoB]

----------------------
- 23. Januar 2005    -
----------------------
Unk: Korrektur eines Fehlers, welcher zu einer Situation führen konnte, in welcher Kad Quellen nicht speicherte
Unk: Entfernen einiger unnötiger Parameter in der Suchklasse
Unk: Einführung von "Notizen" in Kad. Derzeit nur genutzt, um Dateikommentare zu speichern (sobald ein Großteil der Nutzer die neue Version nutzen)
Unk: Kad: die Zeit zwischen Quellenanfragen für Dateien wird nun mit der Zeit ständig angepasst, um Overhead und Redundanz in den Resultaten zu verringern.

----------------------
- 17. Januar 2005    -
----------------------
Unk: verschiedene Codecleanups, aufgrund der Integration des früher separaten Kad-Threads in den Main-Thread.
Unk: Korrektur eines Downloadliste-Sortierfehlers, durch welchem Quellen zur falschen Datei angezeigt werden konnten         [Fix von KinkyJohn]
Ornis: Kategorien-Ansichtsfilter flexibler (allgemeingültige Filter nicht mehr nur für die Standard-Kategorie)
Ornis: Kategorieninhalte können durch reguläre Ausdrücke für den Dateinamen gefiltert werden
Ornis: Klick mit der mittleren Maustaste auf Reiter schließt diese (Nachrichtenfenster, IRC, Suchresultate)
Ornis: farbliche Markierungen der Suchresultate in Skins anpassbar

----------------------
- 16. Januar 2005    -
----------------------
Unk: Korrektur: das AddOnNextConnect flag welches für LoadID-User gesetzt wurde welche ihren Uploadslot verpassten, hatte nicht korrekt gearbeitet, da der User innerhalb eines bestimmten Zeitfensters sich neu verbinden musste
- ein Client mit diesem Flag kann nun zu jeder Zeit (welche nicht das Protokoll verletzt) sich neu verbinden und erhält den Uploadslot
- nur ein User kann diesen Slot halten, um zu vermeiden, dass die Uploadliste überschwemmt wird, wenn mehrere LowID-Users markiert wurden
- sobald ein solcher User wieder von der Uploadliste entfernt wird, ist dieser Slot wieder verfügbar
Unk: Aufweichung der Bedingungen für User, um die Uploadqueue eines LowID Users zu betreten
- wir beobachten weiterhin User auf der Uploadliste, welche versuchen über Server um das LowID-Callbacklimit herum zu kommen
- wir beobachten nicht Kad User auf der Uploadliste, da deren Callbacks derzeit alle ok sind
Ornis: automatische Kategorienzuweisung kann nun auch über Auswertung eines regulären Ausdrucks getätigt werden
.:          Navigation im Dateidetail-Fenster und Clientdetail-Fenster: Hoch/Runter-Knöpfe in diesen Dialog erlauben das Durchlaufen der Einträge innerhalb der aktuellen Liste

----------------------
- 14. Januar 2005    -
----------------------
.: Korrektur eines Fehlers mit Unicode-Passwärter im Webinterface und MobileMule-Interface. Hinweis: das Passwort muss erneut für diese Interfaces angegeben werden!

----------------------
- 9. Januar 2005    -
----------------------
.: neue Einstellungen in der Preferences.ini hinzugefügt: (Section=[eMule], Keyword=PreviewOnIconDblClk, Value=1) um das Vorschaukommando auszuführen, wenn auf das Dateiicon in der Downloadliste gedoppelklickt wird. Die Einstellung wird nur genutzt, wenn "Doppelklick öffnet Download" (in Einstellungen/Anzeige) nicht aktiviert ist.)
Unk: Nutzung von Load Balancing: Beim Senden eines Keywords in eine Sektion des Netzwerkes mit hoher Last, erhöhen wir die Verzögerung bis zum nächsten Senden (keyword Publishing). Diese Zeiten werden über Programmneustarts gehalten.
Unk: Umarbeitungen der Schleife zur Prüfung der zu sendenden Keywords, um die CPU Last zu verringern

----------------------
- 31. Dezember 2004  -
----------------------
bluecow: Änderung: Menge der Heruntergeladenen/Hochgeladeten Daten von/zu einem Client wird nun der tatsächlich übertragenen (komprimierten) Größe angezeigt (welche auch für die Kreditberechnung herangezogen wird).
bluecow: Korrektur eines Sortierungsfehlers in der Uploadliste.
bluecow: Änderung: maximale unterstützte Dateigröße ist 4290048000 Bytes

----------------------
- 30. Dezember 2004  -
----------------------
bluecow: Fehlerkorrektur in der Clientstatistik für gebannte Clients und IP-gefilterte Clients
bluecow: Korrektur eines Absturzes, beim Senden einer Nachricht an einen neu hinzugefügten Freund [thx Libbnor]
bluecow: Korrektur eines Fehlers mit falscher Hashseterstellung in dem Fall, dass die Datei nicht erfolgreich gelesen werden konnte (kann bei NTFS komprimierten Dateien mit sehr hoher Kompression geschehen!)
bluecow: Korrektur eines Fehlers beim Hinzufügen von zu großen Dateien (größer als unterstützt Größe) aus Suchresultaten heraus

----------------------
- 29. Dezember 2004  -
----------------------
bluecow: Option 'Meta Daten extrahieren' zu den erweiterten Einstellungen hinzugefügt
Unk: Korrektur eines Fehlers in SMIRC, wenn CHANMODES nicht in der Willkommensnachricht enthalten war

----------------------
- 27. Dezember 2004  -
----------------------
Unk: Ping/Pong System für Buddies (Kad) hinzugefügt, um die Verbindung zu diesem Client aufrecht zu erhalten.
Unk: Korrekt mehrerer Fehler im Hello-Paket für Buddy-Informationen
- ...falls du den Status "firewalled" hast und Quellen in der Warteschlange hast, können diese dir nun leichter folgen wenn du den Buddy wechselst
- ...nur User im Status "firewalled" mit einem Buddy senden die Buddy-Info, um den Overhead zu verringern

----------------------
- 26. Dezember 2004  -
----------------------
bluecow: Erstellung des 'skins'-Unterverzeichnisses im eMule-Ordner. Dieses wird als Standardverzeichnis für Skins und Toolbar-Bitmaps gesetzt.
Ornis:   Sprache Bretonisch hinzugefügt [Übersetzung von KAD-Korvigelloù an Drouizig]
                                  Japanische Übersetzung aktualisiert [Aktualisierung von DukeDog]

----------------------
- 24. Dezember 2004  -
----------------------
bluecow: Windows Internet Security Manager für extern geladene HTML-Dateien hinzugefügt
- Internet Security Zone Einstellungen werden vom Windows Internet Settings System Applet (same settings as used by Internet Explorer) übernommen.
- von eMule verwendete Standard Internet Security Zone ist auf höhste Stufe gesetzt: "nicht vertrauenswürdige Zone"
- Internet Security Zone kann in der Datei preferences.ini geändert werden: Sektion=[eMule], Schlüssel=InternetSecurityZone, Werte=Untrusted|Internet|Intranet|Trusted|LocalMachine
bluecow: Sortierung von Kontextmenüeinträgen für die Toolbar Bitmaps und Skin-Profile
bluecow: freigegebene Dateien mit Kommentaren und/oder Bewertungen werden mit einem kleinen Overlayicon in der Liste markiert
bluecow: Hinzugefügt: Icons für die Angabe, in welchen Netzen die einzelnen Dateien veröffentlich wurden (Liste der freigegeben Dateien)
bluecow: Korrektur einiger GUI-Darstellungsfehler [thx apph]
bluecow: Korrektur einiger Fehler mit den Statistiken-Farben in der Einstellungen/Statistiken-Seite
bluecow: einige Doppelklick-Funktionen hinzugefügt: 
- Serverfenster: Doppelklick auf Serverlistenicon (oben links) öffnet die Einstellungen/Server-Seite
- Fenster der freigegeben Dateien: Doppelklick auf das Icon für freigegebene Dateien (oben links) öffnet die Einstellungen/Verzeichnisse-Seite.
- Nachrichtenfenster: Doppelklick auf das Freundeslisten-Icon (oben links) öffnet die Einstellungen/Dateien-Seite.
- Statistikenfenster: Doppelklick auf einen Graphen öffnet die Einstellungen/Statistiken-Seite.

----------------------
- 22. Dezember 2004  -
----------------------
bluecow: Status.log Dateien gibt nun den kompletten Dateinahmen aus (vorher auf 50 Zeichen gekürzt)

----------------------
- 21. Dezember 2004  -
----------------------
zz: Verbesserungen zum Downloadthrottler, um die Menge der fehlgeschlagenen Sessions und "timed out"-Sessions zu verringern

----------------------
- 19. Dezember 2004  -
----------------------
bluecow: Korrektur eines Unicode-Fehlers mit ed2k-Links, welche über das Webinterface hinzugefügt werden.
bluecow: Korrektur eines Fehlers mit der Dateipriorität im Webinterface [thx CML]
bluecow: Unicode-Suchparameter dem Webinterface hinzugefügt [thx CML]
bluecow: lokaler Hostname (wenn in den erweiterten Einstellungen angegeben) wird für die Anzeige der Webinterface-URL im "Meine Info" Kasten.
Unk: Knotensuche wird erzwungen, wenn es scheint das Kad die Verbindung verloren hat, um zu testen, ob wir wirklich keine Verbindung mehr haben
Unk: Firewalled Kad User sucht sofort nach einem neuen Buddy, wenn der aktuelle Buddy verloren wurde, anstatt bis zum nächsten Firewall-Check zu warten
Unk: Firewalled Users senden erneut seine Quellen, wenn sie ihren Buddy gewechselt haben
Unk: Wenn die Suche nach einem Kad Buddy fehlschlägt, wird dieser solange wiederholt, bis er erfolgreich ist

----------------------
- 13. Dezember 2004  -
----------------------
Unk: Kad-Suchliste geändert, um die Information klarer darzustellen und um die Spalte "Knoten Last" hinzuzufügen
Unk: Korrektur eines Fehlers, welcher zu einem Zugriff auf einen NULL Kad Buddy Pointer führen konnte
bluecow: Korrektur eines Absturzes in Verbindung mit dem Systemtray-Kontextmenüs, geöffnetem Optionendialog und wiederhergestelltem Hauptfenster
bluecow: Korrektur eines Fehlers, welcher zum Ignorieren von freigegebenen Verzeichnissen mit Unicodezeichen im Namen beim Programmstart führen konnte
bluecow: Dateiformat von "shareddir.dat" und "adresses.dat" in Unicode geändert. Alte (ANSI) Dateien werden gelesen und beim Programmstart automatisch ins Unicodeformat konvertiert. Alte (ANSI)-eMule-Versionen können diese Dateien nicht lesen.
Unk: Korrektur eines Fehlers, welcher LowID-Clients es nicht ermöglichte, als Quelle im Kad-Netzwerk veröffentlicht zu werden

----------------------
- 12. Dezember 2004  -
----------------------
bluecow: Hinzugefügt: Beim Programmstart wird auf eine aktuelle Version von COMCTL32.DLL geprüft
bluecow: Die Dumperstellung beim Programmabsturz wurde für Release-builds übernommen. Um die Crash-Dump-Erstellung zu aktivieren, gebe "CreateCrashDump=1" in der "eMule" Sektion der preferences.ini Datei an.

----------------------
-  9. Dezember 2004  -
----------------------
bluecow: Alle von ed2k-Servern empfangenen Pakete können Unicode-Strings enthalten. (Server admins können ihre Server-Beschreibung in Unicode senden).
bluecow: Hinzugefügt: Mini eMule Fenster mit den wichtigsten Statistiken und Funktionen. Ein einfacher Linksklick auf das eMule-System Trayicon öffnet das Fenster.
- Mini eMule Fenster kann über ein HTML-Template angepasst werden (siehe Template.eMuleSkin.ini für Details).
- Mini eMule Fenster kann deaktiviert werden durch folgende Einstellung in der "preferences.ini"-Datei, Sektion "[eMule]" : "MiniMule=0". (wird nur zum Programmstart ausgewertet)
- Mini eMule Fenster kann durch folgende Einstellungen in der "preferences.ini"-Datei angepasst werden (Sektion "[eMule]"):                                                          (diese Einstellungen werden während des Programmlaufes ausgewertet, kein Neustart nötig)
-      "MiniMuleAutoClose=1" : das Mini eMule Fenster schließt sich automatisch selber, wenn der Mauszeiger nicht über dem Fenster ist. (ähnlich einem Tooltip)
-      "MiniMuleTransparency=<0-100>" : Transparenz (in Prozent) des Mini eMule Fensters

----------------------
-  4. Dezember 2004  -
----------------------
bluecow: Umarbeitung von 'Minimiert Starten' und dem Wiederherstellen des Hauptfensters nach dem Programmstart, um einige Fensterdarstellungsprobleme zu verhindern.

----------------------
- 21. November 2004  -
----------------------
bluecow: Korrektur eines Sortierfehlers für "verbleibende Zeit" in der Downloadliste

----------------------
- 17. November 2004  -
----------------------
bluecow: eMule-Haupttoolbar überarbeitet:
- Chevron Unterstützung hinzugefügt: Wenn die Toolbar zu klein für alle Knöpfe ist, wird ein Chevron (">>" Icon) am rechten Rand dargestellt, welches ein Menü mit den übrigen Knöpfen anzeigt.
- Tooltips werden für abgetrennte Knopfbeschriftungen und im "Keine Beschriftungen"-Modus der Toolbar angezeigt
- Knöpfe der Toolbar können umgeordnet und/oder entfernt werden, indem Strg+Alt gedrückt gehalten wird, während Knöpfe mit der Maus bewegt werden (Drag)
- Knopfgröße kann gewählt werden zwischen groß und klein.
- Knopfgröße ähnelt mehr denen des Windows Explorers.
- Alle neuen Toolbarfunktionen können deaktiviert werden, durch Eintrag von "ReBarToolbar=0" in der "preferences.ini"-Datei
- Toolbar-Hintergrund kann über ein Skin-Profil angepasst werden (siehe Template.eMuleSkin.ini)
bluecow: Korrektur eines Fehlers mit den vertikal ausgerichteten Schriften im Statistikfenster

----------------------
- 16. November 2004  -
----------------------
bluecow: die Einstellung "ShowCopyEd2kLinkCmd=1" in der Datei "preferences.ini" ersetzt das "Zeige eD2K Links"-Kommando mit "Kopiere eD2K Links"
bluecow: Korrektur eines Darstellungsfehlers im Kontextmenü in Log-, Nachrichten- und IRC-Listen

----------------------
- 14. November 2004  -
----------------------
bluecow: die Suche in eD2K und Kad ist nun standardmäßig auf Unicode-Suchausdrücke gestellt
bluecow: der Dialog für Dateikommentare im Fenster der freigegebenen Dateien kann nun auch für mehrere Dateien aufgerufen werden
bluecow: Korrektur von nicht funktionierenden Knöpfen im Nachrichtenfenster


v0.44c
----------------------
- 14. November 2004   -
----------------------
.: Icons in Contextmenüs wurden unter Win98/ME deaktiviert, da es Berichte über Probleme unter diesen Windowsversionen gab
.: Kleines Bugfix in der neuen Korruptionserkennung 


----------------------
- 8. November 2004   -
----------------------
.: eMule kann nun erkennen welche Clients fehlerhafte Daten übertragen hat und bannt diese wenn ein bestimmtes Limit erreicht wurde (basierend auf AICH)


----------------------
- 1. November 2004   -
----------------------
bluecow: Ein Zählerüberlauf in einigen Statistiken wurde behoben [thx BinGordon]
bluecow: Ein Bug mit der maximalen Downloadrate wurde behoben
bluecow: "Benötigter Speicher für Downloads" statistik für NTFS komprimierte Dateien wurde korrigiert
bluecow: Fixed bug with "Needed Spaced for Downloads" stats for NTFS compressed and sparse files.
bluecow: Der Einstellungsdialog wurde grafisch etwas verbessert.

----------------------
- Oct, 15th 2004 -
----------------------
.: In die meisten Contextmenüs wurden Icons hinzugefügt [danke Daan für die Icons]
.: Ein Unicodebug im MobileMule-Server wurde behoben
Ornis: die Befehle "Zeige Details" und "Als Freund hinzufügen" wurden in das Contextmenu der Reiter des Chatfensters eingefügt


----------------------
- 14. Oktober 2004   -
----------------------
Ornis: Ansicht von Unter-Kategorien kann nun auch nach Status oder Dateityp gefiltert werden. (+ Negator-Option des Filters bei aktivierten erweiterten Anzeigen)

----------------------
- 10. Oktober 2004   -
----------------------
Ornis: importierte Tempdateien werden nun sofort freigegeben wenn möglich

----------------------
- 28. September 2004 -
----------------------
bluecow: Korrekturen von Speicherlecks, bei Ausnahmebehandlungen und Tag-Listen-Auslesen von Kad tags.

----------------------
- 26. September 2004 -
----------------------
bluecow: Fehlerkorrektur in einigen Log-Abzeigen, welche nicht das maximale Buffer-Limit eingehalten haben
bluecow: Unterstützung von NTFS Sparse Dateien für neu erstelle Tempdateien

----------------------
- 25. September 2004 -
----------------------
bluecow: Korrektur eines Fehlers der Berechnung der Downloaddatenrate [thx Aw3]
bluecow: Optimierter MD4 und SHA1 Hashing-Code, um die totale Hashing-Performance um ~50% zu verbessern [Camper]

----------------------
- 24. September 2004 -
----------------------
bluecow: Korrektur der Standardschriftauswahl bei einigen GUI-Elementen für Systeme mit multibyte-character Schriften.
        
----------------------
- 20. September 2004 -
----------------------
bluecow: Wiederherstellung von Suchparametern.  Doppelklicke oder Strg+Klick auf den Reiter (Tab) einer Suchresultats-Seite, um alle Suchparameter dieser Suche wieder einzutragen.
bluecow: alle eMule*.log Dateien werden im  .\logs Verzeichnis abgelegt. Bereits existierende Log-Dateien werden automatisch verschoben
bluecow: Korrektur des Doppelte-Scrollbalken-Problems im Suchdialog bei Systemen mit geringer Bildschirmauflösung

----------------------
- 19. September 2004 -
----------------------
bluecow: Korrektur eines Fehlers mit aufgestauten Thread-Log-Nachrichten, welcher in manchen Fällen zum Absturz führen konnte
bluecow: Korrektur eines Unicode-Fehler beim HTML-Export von Statistiken
bluecow: Neu: Fehler/Warnungen/Erfolgs- Nachrichten werden in den Log-Listen mit entsprechenden Farben dargestellt
bluecow: Code zum ID3-Tag auslesen im Media-Info-Dialog neu überarbeitet um mehr entsprechende Informationen anzuzeigen

----------------------
- 15. September 2004 -
----------------------
bluecow: Tooltip für "Verbindungsstatus"-Abschnitt in der Statusleiste hinzugefügt, welcher den gegenwärtig verbundenen Server und User auf dem Server anzeigt


v0.44b
----------------------
- 10. September 2004 -
----------------------
bluecow: Korrektur eines Unicode-Win9x-Fehlers, bei dem ein falscher freier-Festplattenplatz-Wert ermittelt wurde
bluecow: Korrektur eines Unicode-Win9x-Fehlers: Kontrollen der Verzeichnisfreigabe-Einstellung funktionierten nicht
bluecow: Korrektur eines Unicode-Fehlers, welcher zu fehlenden UTF8 Umwandlungen im Webinterface führte
bluecow: 7-zip -Dateierweitung wurde zu den bekannten Archiv-Typen hinzugefügt, für das Veröffentlichen und Suchen von Dateien
bluecow: Korrektur eines Unicode-Fehlers mit der Haupt-Toolbar-Initialisierung, welcher zu nicht funktionierenden Tastaturkombinationen führte
bluecow: Korrektur eines Unicode-Win9x-Fehlers mit dem Kopieren von ed2k-Links in die Zwischenablage
bluecow: Workaround für einen offensichtlichen Fehler in der Windows DNS Bibliothek, welche ungültige Daten lieferte
bluecow: Korrektur eines Fehlers, welcher fortgesetzte Dateien sofort wieder (aufgrund von Festplattenplatzmangels) in den Pausezustand wechseln ließ.
bluecow: neue Option, um festzulegen, ob die Systemcodepage fpr die Nicht-Unicode-Stringumwandlungen genutzt werden soll (SetSystemACP=1). Dies ist nur zu Kompatibilitätszwecken für Nutzer, welche eine andere Codepage für Nicht-Unicode-Anwendungen angegeben haben. Es ist nicht ratsam, diese Option ohne einen triftigen Grund zu nutzen.
bluecow: automatische Erkennung des Systemcodes und der aktuellen Codepage wenn eMule das erste Mal startet (setzt SetSystemACP=1).
bluecow: Korrektur eines Unicode-Win9x-Fehlers: leere IP-Filterlisten-Anzeige
bluecow: Korrektur eines Unicode-Win9x-Fehlers: fehlende Tooltips in der Downloadliste
.: Korrektur in der "Starten als unpriviligierter Benutzer"-Funktion
.: Korrektur eines "Laufzeitfehler"-Absturzes, welcher auftreten konnte, wenn Kad aktiviert war
.: Korrektur in der Behandlung von fehlerhaften known2.met Dateien
.: Korrektur eines Fehlers, welcher eMule zwischenzeitlich einen falschen AICH-Hash für eine Tempdatei zuwies, welche nach dem Start neu gehasht wurde
.: Korrektur einiger potentieller Probleme beim Auslesen von Mediainfos aus Dateien

----------------------
- 9. September 2004  -
----------------------
bluecow: Korrektur eines divide by zero Fehlers im Kad Kontakte Histogramm
zz, bluecow: Korrektur des UploadSpeedSense UDP Pingers
zz: Korrektur in der alphabetischen Sortierung für das fortsetzen des nächsten Downloads
Unk: Korrektur: Die Verzögerung bei der Erstellung von Uploadslots konnte bei der creditsystembasierten Uploadmethode zu viele Upload Slots entfernen

----------------------
- 8. September 2004  -
----------------------
Unk: mögliches Memleak durch ein fehlerhaftes Kad-Tag korrigiert
bluecow: Memleak im PC-Sucher- und im Einzelbildgrabber -Thread korrigiert
bluecow: Hinzugefügt: Bildseitenverhältnis wird nun im Mediainfo-Dialog angezeigt
bluecow: Überprüfung hinzugefügt, ob die Dateierweiterung herunterladener/freigegebener Dateien dem Dateityp entspricht. (wird nur genutzt, wenn die MediaInfo-Bibliothek installiert ist - siehe dazu auch ältere Changelog-Einträge bzgl. MediaInfo-Bibliothek).
bluecow: neue Einstellung für die preferences.ini: "InspectAllFileTypes=1", derzeit nur für den MediaInfo-Dialog genutzt - um das Dateiformat von herunterladenen/freigegebenen Dateien durch Auswertung des Headers (am nützlichsten, wenn die MediaInfo-Bibliothek installiert ist) zu ermitteln
bluecow: Korrektur von Fehlern in der Videovorschau und Archivvorschau, im Zusammengang mit falscher Dateipointer-Nutzung, welche in seltenen Fällen zur Vorschau einer falschen Datei führte
bluecow: neue Einstellung für die preferences.ini: "PreviewCopiedArchives=0", um eine alternative Methode für die Vorschau eines Archives zu nutzen (schneller und nutzt weniger Festplattenplatz auf dem Temp-Laufwerk).
bluecow: neue Einstellung für die preferences.ini: "ShowActiveDownloadsBold=1". Aktive Downloads und uploadene Quellen werden fett im Transfer-Fenster angezeigt
bluecow: Änderung: server.met und ipfilter.dat URLs werden zu der Autovervollständigung hinzugefügt, auch wenn der Download fehlschlug, um keine eingegebenen URLs zu verlieren
bluecow: Hinzugefügt: Wenn mehrere  Server in der Serverliste ausgewählt werden, zeigt ein Tooltip die zusammengefassten Statistiken der Server an
bluecow: Hinzugefügt: wenn mehrere Suchergebnisse ausgewählt werden, zeigt ein Tooltip die Gesamtdateigröße aller gewählten Dateien
bluecow: Unicode-Fehler korrigiert, beim manuellen Speichern von Log-Dateien
bluecow: Unicode-Fehler, wenn ein "?" im Datei-Kommentar angegeben wurde
bluecow: Unicode-Fehler korrigiert, wenn ANSI-Logfile in Unicode fortgeführt wurde

----------------------
- 3. September 2004  -
----------------------
Unk: Änderung in der Quellenindexierung, so dass nur die neusten Einträge gesendet werden


v0.44a
----------------------
- Sep, 2nd 2004     -
----------------------
Unk: Kad erinnert sich nun an den letzten offen/firewalled status während einer erneuten Überprüfung um zwischenzeitlich falsche Meldungen zu vermeiden.
Unk: Es werden nun zwei aufeinanderfolgende IP-Antworten benötigt um die derzeitig bekannte IP zu ändern um die Auswirkungen von falschen Antworten zu reduzieren
.: Das MobileMule Protokoll wurde auf 0.9a aktualisiert (bugfix)
.: Ein Bug der einen falschen Status von empfangenden Parts für Uploads verursachen könnte wurde behoben.

----------------------
- Sep, 1th 2004     -
----------------------
.: Eine neue Dialogseite für die Erstellung von ED2K-Links von freigegebenen und downloadenen Dateien ersetzt die alten Contextmenü Einträge
.: LibPng wurde auf version 1.26 aktualisiert um eine Sicherheitslücke zu schließen (die allerdings in eMule nur geringe Auswirkungen hat)
.: Der IP-Filter wird nun auch benutzt um eintreffende UDP-Pakete zu ignorieren
.: Eine Option in den Einstellungen erlaubt nun die Auswahl zwischen der einfachen (vor 0.43) und einer erweiterten Methode zur Berechnung der verbleibenen Zeit von zu ladenen Dateien
.: Ein neues zusätzliches Hashsystem (AICH Hashs) wurde eingeführt, welches den durchschnittlichen Datenverlust bei einer Korruption von 4.64MB (mit ICH) auf 180KB senkt (AICH). Das System ist im effektivsten wenn Links mit zusätzlichem AICH Hash verwendet werden, die eMule nun auch erzeugen kann.
.: WICHTIG: Wegen des neuen Hashsystem ist es notwendig dass eMule alle freigegebenen Datei neu hasht - dies ist ein einmaliger Vorgang der sich nicht vermeiden lässt.

----------------------
- Aug, 26th 2004      -
----------------------
Unk: eMule versucht nun zu schätzen wieviele Dateien in Kad vorhanden sind

----------------------
- Aug, 23rd 2004      -
----------------------
Unk: Potentielles Memleak behoben
Unk: Die Berechnung der Anzahl der Benutzer von Kad wurde geändert

----------------------
- Aug, 22nd 2004      -
----------------------
Unk: Die Methode wie Kad Kontakte löscht wurde geändert so dass die Kontakt aktueller bleiben sollte.
Unk: Es werden nicht mehr alle Kad Kontakte beim Beenden gespeichert sondern nur noch eine Stichprobe von bis zu 200
Unk: Alle angezeigten Werte gehen durch ein Format-Funktion um sie zu standarisieren

----------------------
- Aug, 21st 2004      -
----------------------
Unk: Es gibt nun die Möglichkeit eine Quelle manuell hinzuzufügen
Unk: wenn Kad keinen eingehenden Traffic für eine bestimmte zeit feststellt nimmt es an dass die Verbingung verloren wurde
Unk: ein bug der viele unböntigte Kad Bootstrap Pakete sendete wurde behoben
Unk: Eine Wartung des Kad Codes (unnötigen Code entfernen, log events ändern usw)

----------------------
- Aug, 20th 2004      -
----------------------
Unk: Die Methode zu berenchnung der verbleibenen Downloadzeit wurde angepasst
.: Die Behandlung von toten Quellen wurde überarbeitet (verhindert das Quellen bei denen bekannt ist dass sie unerreichbar sind innerhalb einer bestimmten Zeit erneut befragt werden) 

----------------------
- Aug, 19th 2004      -
----------------------
Unk: Die Möglichkeit eMule automatisch beim Windowsstart zu starten wurde hinzugefügt
Unk: Ein bug der für ausgehende Verbindungen die falsche ID/IP des Clienten beim IP-Filter kontrollieren könnte wurde behoben
unk: Die Anzahl der bekannten Clienten zu Kad/Ed2k verbunden sind wurde zur Statistik hinzugefügt

----------------------
- Aug, 18th 2004      -
----------------------
Unk: eMuel kontrolliert nun die Anzahl der Halb-offenen Verbindungen und limitiert neue Verbingsversuche wenn ein Limit erreich ist (vermeidet das WinXP Sp2 alle Verbindungen verlangsamt)
Unk: We no longer allow a socket pending Connect to time out until OnConnect is called. ( If approved and kept in, it should help with SP2 and lost sources..)
Unk: Die Warnungen das Kad beta ist wurden entfernt

----------------------
- Aug, 15th 2004      -
----------------------
Unk: Erste Schritte zur Einbindung von firewalled Clienten in Kad. Dies wird erst Wirkung zeigen wenn die meisten Benutzer die Version aktualisiert haben

----------------------
- Aug, 9th 2004      -
----------------------
Unk: Die Zeit zwischen Veröffentlichungen von Schlüsseln in Kad wurde erhöht um den Overhead zu senken
Unk: Möglichen Memleak bei eingehenen fehlerhaften Kad Veröffentlichungen wurde behoben
Unk: Einige Limits wieviele Kad Schlüssel indiziert werden wurden hinzugefügt

----------------------
- Aug, 8th 2004      -
----------------------
zz: Nächste Datei fortsetzen benutzt nun die gleichen Optionen wie A4Af (alphabetisch, Kategorie-, Dateipriorität usw.)

----------------------
- Aug, 5th 2004      -
----------------------
zz: UploadSpeedSense minimum limit darf nun unter 10KB/s gehen, nutzt jedoch in dem Fall eine andere Ratio um reines Downloaden ohne Uploaden zu verhinden 

----------------------
- Aug, 4th 2004      -
----------------------
zz: die Behandlung im A4AF Managment von Quellen die keine benötigten Teile haben wurde verbessert

----------------------
- Aug, 1st 2004      -
----------------------
bluecow: Ein Bug in der Client Versions-Statistik wurde korregiert

----------------------
- Jul, 31st 2004     -
----------------------
Unk: Ein Bug der die Unterbrechung des Uploads nach einem kompletten Part selbst bei leerer queue verursachte wurde behoben
Unk: Die IRC-, Nachrichten- und Statistik GUI wurde mit Veränderungen aus Mods [] aktualisiert

----------------------
- Jul, 26th 2004     -
----------------------
bluecow: Sortieren von String im Benutzerinterface ist abhängig von der lokalen Sprache (sehr ähnlich zum IE)
Ornis: Ein bug in der Downloadliste des Webinterface wurde behoben

----------------------
- Jul, 24th 2004     -
----------------------
bluecow: Eine Netzwerk Info-Dialog wurde hinzugefügt, der durch ein Doppelklick auf das verbindungsicon in der Statusbar geöffnet wird.
bluecow: Einige kleinere Bugs im Dateikommentar-System wurden behoben
bluecow: Das Downloadfenster zeigt nun das Systemicon für den entsprechenden Typ der Datei

----------------------
- Jul, 20th 2004     -
----------------------
buecow: Ein bug der server auf, die per ED2K Link aufgenommen wurde, auf niedriege Priorität setzte wurde behoben
Ornis: Ctrl-V fügt einen ED2k-Link aus der Zwischenablage in die Downloadliste ein

----------------------
- Jul, 17th 2004     -
----------------------
bluecow: Ein Kad histogram welches die bekannten Kontakte zeigt wurde hinzugefügt
Ornis: Im Erster-Start Wizzard und in den Verbingungseinstellungen gibt es nun die Möglichkeit einen webbasierten Porttest durchzuführen.
Ornis: TCP und UDP Ports können während der Laufzeit gewechselt werden wenn eMule nicht bereits verbunden ist

----------------------
- Jul, 16th 2004     -
----------------------
zz: USS wurde geändert um seltene Probleme mit TTLs besser zu handhaben
zz: Ein Fehler der nicht alle Dateien stoppte/pausierte wenn das Kontextmenü dafür benutzt wurde, wurde beseitigt

----------------------
- Jul, 12th 2004     -
----------------------
zz: Es wird verhindert das Clienten, die keinen Uploadslot haben Blockanforderungen zur Warteliste hinzufügen, was verhindert dass diese Blocks gesendet werden sobald die Clienten einen Slot bekommen

----------------------
- Jul, 7th 2004      -
----------------------
zz: Die Anforderung von Quellen wird nun in der gleichen Reihenfolge wie A4AF Priorität ausgeführt
zz: Standby-Uploadslots werden grau gekennzeichnet

----------------------
- Jul, 6th 2004      -
----------------------
zz: Das limit der Warteliste erlaubt nun maximal 25% zusätzliche Clienten mit hohem Creditwert
Unk: Ein Bug in Datei-Prioritäten wurde behoben

----------------------
- Jul, 5th 2004      -
----------------------
zz: ´Versuche ersten und letzten Teil zuerst zu laden´ ist nun individuell für jede Datei anwählbar wenn die globale option ausgeschaltet ist.

----------------------
- Jul, 3rd 2004      -
----------------------
bluecow: Bei mehrern markierten freigegeben Datein zeigt die Statistik nun eine Zusammenfassung aller Datein an


v0.43b - Hotfix
----------------------
- Jul, 5th 2004      -
----------------------
.:    Fixed a bug which let eMule reject most available PeerCaches
Ornis:Statistics (requests,accepted requests,transfered) of partfiles are now saved and restored too (like for shared files)
zz: Opens less slots if UploadSpeedSense lowers upload limit

v0.43a
----------------------
- 28. Juni 2004      -
----------------------
bluecow/. : eMule unterstützt nun PeerCache, eine Technologie, welche es Internet Providern erlaubt, Bandbreitennutzung durch Daten-Zwischenspeicherung (Caching) zu reduzieren
Unk: SMIRC: Option hinzugefügt, um andere User daran zu hindern, dich als Freund mittels SMIRC hinzuzufügen
Ornis: Option, um das automatische Fortsetzen von pausierten Download (sobald ein Download fertiggestellt wird) so zu regeln, dass das Fortsetzen nur in der gleichen Kategorie erfolgt (zusätzlich zu Option, Downloads derselben Kategorien zu bevorzugen)
Ornis: Log-Nachricht "neue Nachricht" erscheint nun nicht mehr für gefilterte Nachrichten
bluecow: eMule betritt defcon level 3... :) (verschiedene Sicherheitsvorkehrungen)
*) TCP Verbindungsversuche von gefilterten IPs werden nun direkt auf TCP-Protokoll Level abgewiesen
*) TCP Verbindungsversuche von gebannten Clients werden nun direkt auf TCP-Protokoll Level abgewiesen
*) LowID Callback-Requests von Servern werden ignoriert, wenn die IP gefiltert oder gebannt ist
*) erhaltende Quellen (von Servern / Quellenaustausch) werden gefiltert, um bereits gebannte Clients zu ignorieren
*) alle UDP Pakete von gebannten Clients werden ignoriert
*) Extra Sicherheitscode um das Verbinden zu gefilterten IPs und gebannten Clients zu verhindern

----------------------
- 25. Juni 2004      -
----------------------
.: eMule kann nun selbstständig die benötigten Ports an der WinXP (SP1 & 0) -internen Firewall freischalten. Entweder permanent (Einstellungen->Verbindungen) oder temporär bei jedem Start (erweiterte Einstellungen)

----------------------
- 20. Juni 2004      -
----------------------
zz: (möglicher) Fix für die gemeldeten Fälle, dass eMule nicht das Upload-Limit erreicht
bluecow: einige Protokoll-Prüfungen hinzugefügt, um zu verhindern, von fehlerhaften Clients geflooded zu werden
bluecow: Korrektur einer Schwachstelle im IP-Filter beim Lesen einiger Zeilen einer PeerGuardian Filterliste mit fehlerhaftem Format

----------------------
- 15. Juni 2004      -
----------------------
bluecow: neuer Kontextmenüpunkt im Fenster der freigegebenen Dateien hinzugefügt (nur für fertige 'eMuleSkin.zip' Dateien) um eMule-Skins direkt zu installieren
zz: Upload bandwidth throttler optimiert, um die Anzahl der ACK Pakete zu minimieren

----------------------
- 13. Juni 2004      -
----------------------
zz: einige Änderungen, um die UploadSpeedSense Startphase zu beschleunigen, wenn ein TTL nicht auf Pings reagiert. Und Erhöhung des Uploadlimits während der Vorbereitungsphase auf 2 KB/s, um falschen "Firewall"-Modus bei Kad zu vermeiden.
zz: Änderung der "Gleichheit für alle"-Implementierung des Upload Bandwidth Throttlers, um die Paketfragmentierung zu minimieren bei TCP Paketen

----------------------
- 12. Juni 2004      -
----------------------
bluecow: Änderung der 'Zeichensatz' -Wahl für das Webinterface, um die richtige Codepage für den HTMLcode anzugeben
bluecow: Suche via Web-Interface bzgl. der Dateityp-Suchparameter überarbeitet  (auch templates aktualisiert!)

----------------------
- 10. Juni 2004      -
----------------------
bluecow: Option zum Entfernen toter Server geändert: Jeder Server, der die maximale Fehlschlaganzahl überschreitet, wird aus der Liste gelöscht.
bluecow: "Dokument" -Dateityp für das Bekanntgeben von Dateien hinzugefügt, wie auch zu den Suchparametern bei der ED2K- und Kad-Suche
Ornis:   Statistiken werden nun in der Datei "Statistics.ini" gesichert (nicht mehr gemischt mit den Einstellungen in der preferences.ini)

----------------------
-  9. Juni 2004      -
----------------------
bluecow: viele kleine Korrekturen beim Wechsel der Sprache während der Laufzeit.

----------------------
-  6. Juni 2004      -
----------------------
zz: a4af-Manager verbessert. (Setze die Dateien, die du zuerst erhalten willst auf hohe Priorität. A4af-Entscheidungen sind mehr prioritätsgesteuert). Für die Priorisierung der alphabetische Reihenfolge, kann diese Option pro Kategorie über das Kategorie-Kontextmenü aktiviert werden. Eine Quelle kann weiterhin (automatisch) gewechselt werden, um einen Quellenaustausch zu fördern. Da die Neuanfrage-Verzögerungen immer eingehalten werden, kann der Quellenwechsel (Swap) verzögert stattfinden (dies verhindert, wegen a4af-Aktionen gebannt zu werden).

----------------------
-  3. Juni 2004      -
----------------------
bluecow: Unzipping von IP-Filter-Dateien von PeerGuardian ZIP-Dateien.

----------------------
-  2. Juni 2004      -
----------------------
Unk: GUI-Struktur von SMIRC komplett überarbeitet.
Unk: SMIRC empfängt nun verfügbare Channel-Modes, beim Verbinden zum Server.
Unk: Es können nun TypeD -Channel-Modi gesetzt/aufgehoben werden. Es können auch TypeC Channel Modi aufgehoben werden. (mehr Unterstützung folgt evtl. später)

----------------------
-  1. Juni 2004      -
----------------------
bluecow: IP Filter-Werkzeug überarbeitet, um große IP-Filter-Listen effizienter zu unterstützen.
bluecow: Fortschrittsinformation wird nun angezeigt, wenn Tempdateien gehasht oder in das Zielverzeichnis kopiert werden.
bluecow: Farben-Anpassungen (via Skin Profile) für Serverinfo, Log, Chat- und IRC Fenster.
.: Loglevels für die Verbose-Anzeigen hinzugefügt, um zu ermöglichen, nur wichtige Nachrichten anzeigen zu lassen
.: Korrektur eines Fehlers, dass einige bekannte Kontakte niemals gelöscht wurden, auch wenn sie nicht mehr gebraucht wurden
.: Vollständige Quellen werden nun in Prozent in einer neuen Spalte im Suchfenster angezeigt. Wenn keine kompletten Quellen bekannt sind, wird diese Information rot dargestellt.

----------------------
- 31. Mai 2004       -
----------------------
Unk: SMIRC empfängt nun verfügbare User-Modi beim Verbinden vom Server, um um auch nicht-Standard-Usermodi zu erlauben.
Unk: SMIRC erstellt nun ein dynamisches Nick-Menü, welches die verfügbaren Op-Kommandos enthält, abhängig vom markierten User und den verfügbaren UserModi.
Unk: SMIRC kann nun eine Nickliste vom Server verarbeiten, welche ALLE Usermodi enthält - nicht nur die Haupt-Modi.
Unk: SMIRC kann nun erkennen, welcher Typ von MODE-Change getätigt wurde, um diesen korrekt zu verarbeiten und anzuzeigen.

----------------------
- 27. Mai 2004       -
----------------------
bluecow: Korrektur eines Fehlers, welcher einen inkorrekten Wert für "fertiggestellte Größe" für Tempdateien zur Folge hatte.
bluecow: mehrere kleine Fehlerkorrekturen und Optimierungen bei der Nutzung des  Bar-Shaders für Tempdateien und downloading/uploading Clients.
bluecow: Korrektur eines Fehlers, welcher zufällig gelbe Blöcke in Quellenanzeigen zeichnete.
Ornis:         Kategorie-weites Fortsetzen von Downloads berücksichtigt nun auch "zu wenig Speicherplatz"-pausierte Downloads.

----------------------
- 26. Mai 2004       -
----------------------
bluecow: Korrektur eines Fehlers, beim Angeben leerer Verzeichnisse für Temp- und Eingangsverzeichnis.
bluecow: hinzugefügt: Server-LowID-Statistik zum Server- und Statistikfenster.
bluecow: hinzugefügt: Statistiken für die, durch I.C.H. gerettete Daten
bluecow: hinzugefügt: Speichern/Wiederherstellen von fehlerhaften Partlisten zur part.met-Datei von Downloads. So dass I.C.H. an diesen Blöcken auch nach einem Neustart arbeiten kann.

----------------------
- 23. Mai 2004       -
----------------------
bluecow: Korrektur eines potentiellen Crashbugs unter Win98 mit Icons im Suchparameter-Fenster.
bluecow: Korrektur eines Fehlers mit falscher Part-Anzahl bei sehr großen Dateien. [thx Pichuein]
bluecow: Korrektur eines Fehlers im Einstellungen/Verzeichnisse-Fenster, welcher das aktive Verzeichnis veränderte.
Ornis:          Korrektur eines Fehlers in der Toolbar, welcher beim Entfernen aller Knöpfe auftrat.
Ornis:         (mögliche) Korrektur des vereinzelt auftretenden Fehlplazierens des Kategorien-Reiters
Ornis:   Korrektur eines Webinterface-Exploits (content lengt-Missbrauch)

---------------------- 
- 19. Mai 2004       -
---------------------- 
bluecow: Im Freigegebene Dateien-Fenster ist gibt es neuen einen Menüpunkt um Ed2K-links mit einem Hashset zu erzeugen 
 
---------------------- 
- 14. Mai 2004       -
---------------------- 
bluecow: Ein Bug im für in der Datenratenkontrolle Raten über 90KB wurde behoben [thx zz]

---------------------- 
- 13. Mai 2004       -
---------------------- 
bluecow: Dateien mit fehlendem Hashset werden nun richtig behandelt beim komplettieren 
bluecow: Dateien ohne Hashsets werden nicht mehr freigegeben bis sie komplett sind oder ein Hashset empfangen 
bluecow: Unterstützung für HTTP-Umleitung bei Webquellen wurde hinzugefügt 
bluecow: Neue Icons für Webquellen im Transferfenster 
bluecow: Neue Einstellung für preferences.ini für Speicherintervall der Statistik: Sektion "Statistics", Keyword "SaveInterval" 
Ornis: Titel tags für images im Webinterface template "chicane" [mARKUS] 
 
---------------------- 
- 12. Mai 2004       -
---------------------- 
bluecow: Einfügen von erweiterten eD2k links für http-Quellen und Hashsets hinzugefügt 
bleucow: eMule kann nun auch von HTTP-Quellen downloaden (Webquellen) 
 
---------------------- 
- 11. Mai 2004       -
---------------------- 
Unk: Der Kern von SMIRC wurde neu geschrieben um ihn stabiler und schneller zu machen 
Unk: Ein Bug beim empfangen von langen Nachrichten auf dem IRC-Socket wurde behoben 
Unk: Der SMIRC Verbindungsstatus zeigte gelegentlichen falsche Informationen 
Unk: Ein einfacher Nicknameerzeuger wurde im SMIRC eingebunden 
Unk: zz's USS (UploadSpeedSense) und Throttler wurden geupdated  
 
---------------------- 
- 10. Mai 2004       -
---------------------- 
bluecow: Ein Crash beim downloaden von verschiedenen Dateien mit gleichem Namen und Neuladen der freigegebenen Dateien-Liste wurde behoben 
bluecow: periodischen Schreiben der Statistikdaten-Datei wurde optimiert 
 
---------------------- 
-  4. Mai 2004       -
---------------------- 
bluecow: Komplette Dateien mit fehlendem hashset werden nun am Dateihash überprüft 
bluecow: Im Suchdialog sollten nun keine doppelten Scrollbalken mehr auftauchen 
blueocw: Kad Suchausdruck-Verarbeitung: Das Kad Schlüsselwort ist nun ein Teil des Ed2k-Suchausdruckes 
 
 
---------------------- 
-  3. Mai 2004       -
---------------------- 
bluecow: ein Bug beim Empfangen von neuen ed2k Metatags wurde behoben 
bluecow: das automatische Wiederherstellen von Suchparametern beim Anwählen/Schließen alter Suchen wurde wieder entfernt 
bluecow: das Speichern der onlinesig.dat wurde überarbeitet um andere Programme, die diese Datei lesen besser zu unterstützen 
bluecow: die Dateizugriffseinstellungen wurden geändert um anderen Programmen "Nur-Lesen" Zugriff zu erlauben 
bluecow: ed2k and Kad suchen haben nun einen Icon welches zeigt ob sie grade in arbeit oder schon abgeschlossen sind 
bluecow: Inaktive Suchergebnisseiten zeigen neu empfangene Ergebnisse durch roten Text im Tab an

        
v0.42f
----------------------
-  1. Mai 2004       -
----------------------
bluecow: Dateifehlerbehandlung beim Schreiben der onlinesig.dat hinzugefügt
.: Korrektur eines Fehlers, welcher eine zu schnelle Warteschlangenrotation verursachte, wenn die Option "möglichst volle chunks uploaden" deaktiviert war

----------------------
-  30. April 2004    -
----------------------
bluecow: Fehlerbehebung im Kad Tagname Stringvergleich, im Zusammenhang mit multi byte character pages. [thx Big Mamma]
bluecow: Fehlerbehebung beim generellen Stringvergleich, welcher von Spracheinstellungen abhähing.
Ornis:   Problembehebung von springenden Kategorie-Tooltips
Ornis:   2 weitere Statistiken zu Kategorien-Tooltips hinzugefügt

----------------------
-  29. April 2004    -
----------------------
Unk: Wenn ein Client mehrmals nicht auf UDP Pakete antwortet, wird eine TCP Verbindung erzwungen
Unk: maximale Anzahl von Upload-Slots erhöht, um sehr hohen Bandbreiten gerecht zu werden

----------------------
-  24. April 2004    -
----------------------
bluecow: Kontextmenü für schliessbare Tabcontrols bei den Suchresultaten, Nachrichten und IRC-Chat-Tab hinzugefügt, um eine weitere Möglichkeit zum Schliessen zu bieten
Unk: mehrere Bereiche im Code wurden angepasst, um Clients mit *.*.*.0 -IPs zu helfen, welche im ed2k Netzwerk immer als LowID geführt werden
Unk: Fehlerbehebung: Wenn zu einem Server verbunden wurde, wurden die freigegebenen Dateien nicht bekannt gegeben, es sei denn, etwas in der Freigabeliste änderte sich [thx lugdunummaster]
Unk: Korrektur eines Fehlers, welcher es erlaubte, das "Mehr"-Kommando zu einem faöscjem Suchfenster zu nutzen

----------------------
-  22. April 2004    -
----------------------
.: wenn eMule mit Administratorrechten gestartet wird, können nun für eMule diese Privilegien eingeschänkt werden, um ihn unter einem sichereren Benutzer-Account laufen zu lassen (Win 2k/XP)  - dies kann in den Einstellungen / Sicherheit aktiviert werden
.: MobileMule Protokoll auf 0.8a aktualisiert
Unk: Kad - Benutzerabschätzung basiert nun nicht mehr auf den Nutzerzahlen von Overnet, da diese Zahl zu hoch zu sein scheint.... (könnte für manche Nutzer noch immer hoch erscheinen, wird dann noch verbessert werden)
Unk: obwohl ich den Doppel-Text-Fehler im IRC nicht nachstellen konnte, wurden einige Dinge geändert, die dies verursacht haben könnten

----------------------
-  21. April 2004    -
----------------------
bluecow: boch ein Absturzfehler beseitigt, welcher beim Umbenennen von fertiggestellten Dateien im Transferfenster auftrat
bluecow: mehrere Änderungen in den Client-Statistiken: detaillierterte aMule-Versionsstatistiken, lphant ClientErkennung hinzugefügt, cDonkey zu den "eMule kompatibel" verschoben, und mehr...
bluecow: Suche nach eD2K-Datei-Hashes auf eD2K-Servern hinzugefügt.  Um nach einem Datei-Hash zu suchen, gebe als Suchbegriff "ed2k::<hash>" an, oder den kompletten ed2k-Link  [thx lugdunummaster]
bluecow: numerische Suchparameter werden nun auf sinnvolle Werte geprüft, um ungültige Sucheausdrücke zu vermeiden.

----------------------
-  20. April 2004    -
----------------------
bluecow: Fehler bei der globalen Serversuche korrigiert, welcher endlose Namen Anfragen in seltenen Situationen generieren konnte. [thx lugdunummaster]
bluecow: werden fertiggestellte Dateien vom dem "freigegebene Dateien"-Fenster aus gelöscht, werden sie auch aus der Transfer-Anzeige entfernt
bluecow: Download-Statistiken für UDP-File reask hinzugefügt

----------------------
-  19. April 2004    -
----------------------
bluecow: Behebung von Fehlern, bzgl "letzter Empfang" und DST

----------------------
-  15. April 2004    -
----------------------
bluecow: Absturzfehler beseitigt, welcher beim Umbenennen von fertiggestellten Dateien im Transferfenster auftrat
bluecow: kleine Fehlerkorrektur bzgl. AutoTakeEd2kLinks
Ornis:   Kategorieauswahl zur "Download durch ed2k-Links"-Box hinzugefügt

----------------------
-  14. April 2004    -
----------------------
bluecow: Korrektur eines "Fenstergröße-ändern-Absturzfehlers" im Nachrichten-Fenster
bluecow: Nachrichten und IRC-Nachrichten auf 450 Zeichen begrenzt

----------------------
-  13. April 2004    -
----------------------
bluecow: das Auslesen von Metadaten aus OGM/OGG-Datei wurde deaktiviert, da zu viele Probleme damit im Zusammenhang mit DirectShow-Filter berichtet wurden
Unk: IRC-Namen akzeptiert nun wieder Kleinschreibung
Unk: das Publishing von Kad stoppt nun in Echtzeit, um etwas Overhead zu sparen

----------------------
-  11. April 2004    -
----------------------
bluecow: es könnten nun Dateien mit neuen Metadata Tags bei ed2k Servern bekannt gemacht werden [thx lugdunummaster]
bluecow: Fehlerkorrektur bzgl. Fehler-Messageboxen, welche durch eine ferngesteuerte Suchanfrage auftreten konnten
Ornis:         einige kleinere GUI Erweiterungen und -korrekturen

----------------------
-  10. April 2004    -
----------------------
bluecow: neue ed2k-Metadaten-Tags können geparsed werden  [thx lugdunummaster]

----------------------
-  9. April 2004     -
----------------------
bluecow: hinzugefügt: andockendes/frei bewegbares Such-Parameter-Fenster im Suchfenster

----------------------
-  7. April 2004     -
----------------------
bluecow: sichereres Parsen der neuen OP_SERVER_DESC_RES Server Pakete
bluecow: besseres Parsen von ungenutzen eD2K meta data tag Typen
bluecow: Speicherleck korrigiert, welches im Zusammenhang mit known files Einträgen und ungültigen Hashsets auftreten konnte [thx bzubzu.]

----------------------
-  6. April 2004     -
----------------------
bluecow: Sortierfehler in der Liste der bekannten Clients korrigiert
bluecow: Syntax-Coloring im Suchdialog entfernt - hat zu viele Probleme bei einigen Sprachen verursacht
Ornis:   Suche im Webinterface korrigiert (Verfügbarkeit=0)

----------------------
-  3. April 2004     -
----------------------
bluecow: Strg+C Tastenkombination zu allen Listviews hinzugefügt, um eD2K-Links zu kopieren
bluecow: Strg+V Tastenkombination zum Einfügen von Servern aus der Zwischenablage, innerhalb der Server-Liste
Unk: Transfer: übrige Zeit wird für im Wartestatus befindliche Dateien, basierend auf bisheriger Warte- und Transferzeit, berechnet (Dateien, welche mit alten Clients oder Mods gestartet wurden, können seltsame Werte bringen)

----------------------
-  2. April 2004     -
----------------------
bluecow: Jigle-Suchmethode entfernt
bluecow: Hilfe ist nun kontextsensitiv (F1 innerhalb eMule drücken)


v0.42e
----------------------
-  1. April 2004     -
----------------------
Ornis: Javascript-Abhängigkeit der Webinterface-Templates reduziert

----------------------
- 31. März 2004      -
----------------------
bluecow: Einfügen-Kommando für ed2k-Datei/Server-Links ins Kontexmenü des Transfer- und Server-Fenster hinzugefügt
bluecow: Memoryleak in der Kad-Paket-Verarbeitung korrigiert [thx bzubzu]

----------------------
- 30. März 2004      -
----------------------
bluecow: Security exploit im IRC_Modul und Webserver korrigiert (aka DecodeBase16 exploit) [thx DonDiego]

----------------------
- 29. März 2004      -
----------------------
bluecow: eigener Dialog für das Einfügen von ed2k-Links hinzugefügt (zuvor 'Direkt Download' genannt). Der Dialog kann vom Tool-Menü (Toolbar) oder Hotmenu (Alt X) aufgerufen werden
bluecow: Erkennung des MLdonkey-kompatibler Client-Tags  hinzugefügt

----------------------
- 28. März 2004      -
----------------------
bluecow: Crashbug korrigiert, welcher beim Löschen von ausgeklappten Surchresultaten auftreten konnte
Ornis:   wird der Kategorie-Dialog nach dessen Erstellung abgebrochen, wird die neue Kategorie nicht übernommen

----------------------
- 27. März 2004      -
----------------------
bluecow: Unterstützung für das neue eserver v16.45 UDP description Paket

----------------------
- 25. März 2004      -
----------------------
Ornis: Sicherheitslücke im Webserver gefixt [thx für Tipp an MKThunderStorm]
bluecow: Syntaxhighlighting für Suchnamen (expression)
Unk: /topic und /msg  funktioniert nun im IRC
Unk: einige Änderungen, wie komplette Quellen ermittelt werden
 - bessere Angabe bei kompletten Dateien
 - tote Dateien haben komplette Quellen angezeigt. Dieses Verhalten sollte mit steigender Anzahl von Upgrades verschwinden.

----------------------
- 24. März 2004      -
----------------------
bluecow: Fehler-/Hilfenachrichten für fehlerhafte Kad-Suchausdrücke hinzugefügt

----------------------
- 23. März 2004      -
----------------------
bluecow: Dateinamen-Detaildialog nutzt nun die Systemicons für die Anzeige der Dateien des entfernten Clients

----------------------
- 21. März 2004      -
----------------------
bluecow: einige kleine Fehler in der ed2k-Suche in Bezug auf Vergleichsoperatoren behoben
bluecow: mehr Vergleichsoperatoren zur Kad-Suchausdrucks-Verarbeitung hinzugefügt

----------------------
- 20. März 2004      -
----------------------
bluecow: einige neue Suchparameter (komplette Quellen, Länge, Bitrate, Codec, Titel, Album, Künstler) hinzugefügt
Ornis:   Einstellungen/Anzeige: Option zum Löschen oder Deaktivierung der Autovervollständigung (Historyfunktion) (Suchbegriff und Servermet-URLs) hinzugefügt. (Die History kann weiterhin mit Strg+Entfernen  manuell gelöscht werden! siehe Hilfe!)

----------------------
- 19. März 2004      -
----------------------
bluecow: Webservices aufgeteilt in Dateibasierte und allgemeine URLs. allgemeine URLs werden nur in Tools/Links angezeigt

----------------------
- 18. März 2004      -
----------------------
bluecow: Crashbug korrigiert, welcher beim Download von bereits heruntergeladenen Dateien auftrat, die bereits in der knownfile-Liste waren

----------------------
- 16. März 2004      -
----------------------
bluecow: Korrektur eines Fehler beim Wiederherstellen von block requests von komprimierten Paketen, nachdem ein zstream-Fehler auftrat

----------------------
- 15. März 2004      -
----------------------
bluecow: Hinzugefügt: 'aktive Downloadzeit' Statistik zu Partfiles (Dateidetailsdialog), welche die Zeit angibt, welche die Datei aktiv in der Downloadqueue war.
bluecow: Hinzugefügt: fertiggestellte Dateien werden den Servern bekannt gemacht, um die "komplette Quellen"-Info zu aktualisieren
bluecow: Korrektur eines Fehlers: Neuladen der freigegebenen Dateien, welche gerade fertiggestellt wurden und extern gelöscht/umbenannt wurden - um falsche Anzeige zu vermeiden

----------------------
- 14. März 2004      -
----------------------
bluecow: mögliches Memleak bei der OP_REQUESTPARTS Nachricht behoben [thx eklmn]
bluecow: Unterstützung für integer media length eD2K tag für Server und Clients hinzugefügt [thx lugdunummaster]
bluecow: Hinzugefügt: Senden von grundlegendem Dateistatusinformationen (komplett/nicht komplett) an Server
bluecow: hinzugefügt: von Servern empfangende Anzahl kompletter Quellen, werden mit der Verfügbarkeit in der Suchresultatsliste angezeigt
bluecow: Hinzugefügt: Anzeige von freigegebenen Dateien anderer Clients überträgt nun auch die Anzahl kompletter Quellen
unk: IRC speichert nun deinen zuletzt verwendeten Nick
unk: einige weitere IRC-Infonachrichten-Optionen hinzugefügt

----------------------
- 13. März 2004      -
----------------------
bluecow: konfigurierbares Vorschau-Kommando hinzugefügt (neue Konfig-Datei: PreviewApps.dat)


v0.42d
----------------------
- 7. März 2004       -
----------------------
.: Ein Bug der eMule crashen ließ sobald zu viel Belastung auf dem UDP Socket war wurde behoben

v0.42c
----------------------
- 5. März 2004       -
----------------------
bluecow: Problembehebung vom Rehashen beim Wechseln von Sommerzeit/Winterzeit [MightyKnife]. Um diesen Patch zu deaktivieren, trage "AdjustNTFSDaylightFileTime=0" in die "[eMule]" Sektion der preferences.ini -Datei ein.

----------------------
- 3. März 2004       -
----------------------
bluecow: Fehlerbehebung mit Farben und Bekanntheitstyp in der Suchliste, nachdem Dateien angebrochen und/oder Dateien von der Freigabe gelöscht/hinzugefügt wurde
bluecow: Fehlerbehebung der Sortierung von Kategorien in der Downloadliste
Unk: USS wird temporär deaktiviert, wenn ein Uploadgeschwindigkeitslimit von 10K unterschritten wird - bis wir einige Probleme bei geringen Geschwindigkeiten beseitigt haben

----------------------
- 2. März 2004       -
----------------------
bluecow: Fehlerbehebung im UDP Socket, ReaskFilePings wurden für Dateien in vielen Fällen nicht beantwortet
bluecow: Fehlerbehebung im IP Filter; angrenzende Bereiche verschiedener Levels werden nicht mehr zusammengefügt
Unk: IRC verarbeitet nun auch Klänge. (/sound [*.wav] [Nachricht]) (Klänge werden im "../eMule/Sounds/IRC" -Verzeichnis erwartet)
Unk: Behebung eines KadID Fehlers, welcher einige Cluster erzeugte und fehlerhafte User-Zahlen erzeugte

----------------------
- 1. März 2004       -
----------------------
Unk: Pakete für die UDP Socket-Sendequeue haben nun eine Lebenszeit, um Rückstände zu verhindern

----------------------
- 29. Februar 2004   -
----------------------
Ornis: Korrektur, dass 2 Dateien fortgesetzt wurden in der Funktion "bei fertigem Download, nächste Datei forsetzen"
Ornis: Korrektur in der Statistik für Quellenherkunft (passive) - und verschiedene kleine GUI Fixes
bluecow: Korrektur beim Aufruf der Kommentarinfos (entsprechender Tab wurde nicht aktiviert)
Ornis: Korrektur des Chicane Webinterface Templates, bzgl. Downloads aus Suchergebnissen heraus starten
Unk: IRC Crash-Fehler behoben - Dank einiger Meldungen von IRC-ops
Unk: Korrektur der Option, IRC Links nur von Freuden anzunehmen
Unk: IRC-Standardname erhält einen zufälligen Pseudo-Nick, um Nick-Kollisionen zu vermeiden
Unk: Extra IRC Filter Optionen

----------------------
- 28. Februar 2004   -
----------------------
bluecow: Problembehebung in einer Ausnahmebehandlung, welche nicht sofort die Verbindung zum Client trennte, welcher ungültige Dateidatenpakete schickt
bluecow: Fehlerbehebung beim UDP-Socket bei der Verarbeitung eines empfangenden Dateistatus
bluecow: Korrektur einiger Probleme im Kad-Fenster bei den Verbinden- und Bootstrap Funktionen/Buttons
Unk: Ping Info für USS wieder eingearbeitet - und kleinere Anpassungen an USS getätigt - zz
Unk: einige Debug-Infos aus den Upload-Balken entfernt


v0.42b (Hotfix)
----------------------
- 27. Februar 2004   -
----------------------
Unk: dringende Fehlerbehebung im Keyword Publishing

v0.42a
----------------------
- 27. Februar 2004   -
----------------------
Ornis: verschiedene kleine Korrekturen an der GUI

----------------------
- 22. Februar 2004   -
----------------------
bluecow: mehrere Änderungen und Optimierungen an den Verbose-Log Optionen
Unk: (hoffentlich) weitere Reduzierung des Keyword-Overheads, durch das Publishen von nur kompletten Dateien.

----------------------
- 21. Februar 2004   -
----------------------
bluecow: neues Verbindungs-Status-Icon zeigt nun separat den Nertzwerkstatus des Ed2k und des Kad Netzwerkes und den LowID/HighID Status

----------------------
- 20. Februar 2004   -
----------------------
bluecow: neuer Code zum Auslesen der AVI-Eigenschaften für die Datei-Info-Anzeige
bluecow: Extra Thread für das Auslesen der Audio/Video -Eigenschaften von mehreren Dateien über die Datei-Info-Anzeige

----------------------
- 19. Februar 2004   -
----------------------
bluecow: optionale Unterstützung für die MediaInfoLib hinzugefügt (http://mediainfo.sourceforge.net) um Audio/Video -Eigenschaften von Tempdateien und freigegebenen Dateien auszulesen. Dieses Feature ist optional und wird nur verwendet, wenn Version 0.4.0.1 der MediaInfoLib (MediaInfo.DLL) ins eMule-Programmverzeichnis kopiert wurde.

----------------------
- 18. Februar 2004   -
----------------------
bluecow: Zusammenführung von Audio/Video-Eigenschaften in der Dateiinfo-Anzeihe. Alle Audio/Video Eigenschaften von allen ausgewählten (part-)Dateien werden zusammengefasst um mehrere Dateien auf gleiches Audio/Video Format zu überprüfen.
        
----------------------
- 16. Februar 2004   -
----------------------
bluecow: neue Spalte in der Suchresultatsliste hinzugefügt, um lokal ermittelte Dateiinfos anzuzeigen.

----------------------
- 15. Februar 2004   -
----------------------
bluecow: Such-Typ bzw. Anfrage der freigegebenen Dateien werden für jede Sucheresultatsliste separat angezeigt
bluecow: automatische Erstellung einer 'downloads.txt'-Datei im eMule-Programmverzeichnis. Diese Datei enthält die Dateinamen der aktuellen Tempdateien (.part) und den ed2k-Link um Unterstützung bei verlorengegangenen part.met-Dateien zu geben.

----------------------
- 14. Februar 2004   -
----------------------
bluecow: Windows thumbs.db -Dateien ohne System-Attribut werden nicht freigegeben
bluecow: durchgängige Behandlung der maximalen Namenslänge (Nickname)

----------------------
- 12. Februar 2004   -
----------------------
bluecow: verbesserte Tab-Kontrollen im Server- & Chat-Fenster, um ungelesene Nachrichten zu kennzeichnen

----------------------
- 10. Februar 2004   -
----------------------
bluecow: Webservices Menüeinträge werden gecached
bluecow: Fehlerkorrektur von Multithreading-Problemen bei der Dateifertigstellung
bluecow: Korrektur einiger Probleme mit doppelten Einträgen in der known-file-Liste und der Liste freigegebener Dateien

----------------------
- 9. Februar 2004    -
----------------------
bluecow: viel Protokoll-Logging und Debug-Code implementiert
bluecow: verschiedene Optimierungen bei der Verarbeitung von Suchausdrücken für den Keyword-Index hinzugefügt
bluecow: UDP-Socket-Ausnahmebehandldung erneuert
Unk: Suche und Keywordindexing getrennt, um spätere genauere Optimierungen zu erlauben

----------------------
- 6. Februar 2004    -
----------------------
bluecow: mehr Logging-Optionen in den erweiterten Einstellungen hinzugefügt
Unk: Kad erlaubt nun kleinere lokale Netzwerke, wenn LANIP-Filtern deaktiviert wurde. (dies sollte nur fürs Debugging und Testen genutzt werden!)
Unk: viel Kad-Code wurde zur Benutzung von CSafeMemFile geändert. Um die Konvertierung zu verfollständigen, müssen noch die Kad-Tags und Kad's-Taglist angepasst werden, um damit zu arbeiten...
Unk: wenn Duplikate in der KnownFileList entdeckt werden, werden die Statistiken zusammengeführt

----------------------
- 4. Februar 2004    -
----------------------
bluecow: interne Speicherung von Einstellungen überarbeitet
bluecow: Fehler beseitigt, betreffend von Suchresultaten gestartete Downloads im Pause-Mode, welche durch die Suche ermittelte Quellen nicht übernahm
Unk: knownfilelist-Implementierung überarbeitet. Zuvor waren Mehrfacheinträge möglich.

----------------------
- 3. Februar 2004    -
----------------------
bluecow: Fehlerkorrektur in der Kad keyword publishing Liste, hervorgerufen durch die Umbenennung einer freigegebenen Datei, die in der aktuellen Session fertiggestellt wurde

----------------------
- 2. Februar 2004    -
----------------------
bluecow:Fehlerkorrektur in der Kad-Suche, bei Benutzung von AND
. :        Übernahme des erweiterten Trayicon-Menüs [eMule+]

----------------------
- 1. Februar 2004    -
----------------------
bluecow: IP-Filter überarbeitet
 - IP Suche für geringere CPU Belastung optimiert
 - Laden der IP-Filterliste optimiert
 - automatische Verschmelzung von überlappenden und angrenzenden Filter-Bereichen
 - sichere Erkennung des IP-Filter-Formates (eMule IP filter Liste und PeerGuardianformat).
 - größere Toleranz im eMule-IP-Filter-Format (Level und Beschreibung sind jetzt optional!).
 - einfacher IP-Filter Dialog hinzugefügt, für einfache Änderungen und Ansicht von IP-Filtern (Erreichbar über das Tools-Menü).
 - IP-Filter Treffer in Statistik
Unk: Fehlerkorrektur im UDP Port, welcher UDP-Pakete zu toten Clients sendete

----------------------
- 29. Januar 2004    -
----------------------
Unk: große Überarbeitung des Kad codes...
 - Kad ist nun Teil von eMule's Thread, so dass Nebenläufigkeitsprobleme minimiert wurden
 - Auch wenn manche sagen, dass dies ein Performanceverlust ist denke ich, dass die Vereinfachung des Codes dies wieder ausgleicht.
 - Kad nutzt nun den UDP Port von eMule (ed2k) (und eMule's TCP Port in der Zukunft) - statt des eigenen.

----------------------
- 27. Januar 2004    -
----------------------
bluecow: neuer Daten (Pakete + Dateien) Verarbeitungs-Code für geringere CPU Last

----------------------
- 25. Januar 2004    -
----------------------
Unk: Korrektur einiger Probleme, welche auftraten wenn eine Tempdatei fertiggestellt wurde.

----------------------
- 22. Januar 2004    -
----------------------
bluecow: Fehlerkorrektur: falsches Kategorie-Verzeichnis wurde für neu erstellte Downloads angezeigt
bluecow: Korrektur einer printf-Schwäche mit den Kategorien-Verzeichnissen
bluecow: Korrektur eines Problems mit leeren Datei-Datenpaketen, welche die Gap-Liste zerstören konnte
bluecow: Korrektur eines Timingproblems im PerfLog Modul.
bluecow: Korrektur eines Statistik-Fehlers bzgl I.C.H. im Download-Session-Zweig

----------------------
- 19. Januar 2004    -
----------------------
bluecow: Korrektur: Wenn der allererste heruntergeladene Teil einer Datei von I.C.H. wiederhergestellt wurde, wurde die Datei nicht geshared, bis ein anderer Teil ohne I.C.H. fertiggestellt wurde
Unk: eingenende ExtendedFileInfo wurde angenommen, ohne die Versionsnummer zu prüfen. - Korrigiert
 - Diese Korrektur zeigte, dass einige ältere eMule Mods und Shareaza (und vielleicht einige andere Mods) hier falsche Versionnummern senden
 - Diese sagten, dass sie die ExtendedFileInfo unterstützen - woraufhin wir unsere Info senden und vergeblich auf Antwort warten.
Unk: Ein Bereich des ED2K Protokolls wurde ins eMule Protokoll gelagert. Dies erlaubt es uns, mehrere ED2K-Pakete in nur einem Paket zu senden und so etwas Overhead zu sparen.
Unk: Der UDP-file reask aktualisiert nun den FileStatus und übermittelt die ExtendedFileInfo.
Unk: File reask wurde erweitert um Overhead zu verringern
Unk: Quellenaustauschzeiten wurden für weniger Overhead angepasst. (benötigt evtl. einen Reset des received source request time check  auf ältere Werte, um ältere Clients zu schonen. Braucht Tests.)

----------------------
- 17. Januar 2004    -
----------------------
Unk: Korrektur von Fehlern im Switch zur Verarbeitung von Quellen eines Downloads
Unk: Korrektur eines Fehlers, der es dem Client erlaubte, einen UDP und TCP Filereask zur gleichen Zeit durchzuführen
Unk: NNP-Quellen konnten einen UDP-Reask durchführen, welcher nicht unsere Chunk-Infos aktualisierte - was daher ein verschwendetes Paket war.
Unk: Fehlerkorrektur: Es war möglich (wenn auch unwahrscheinlich) für einen Client, ein UDP reask zu einem Client zu tätigen, ohne ein TCP reask zuvor.
Unk: AskForDownload() gibt nun ein Resultat zurück, um zu Reagieren wenn die Quelle gelöscht wurde.
Unk: Es wird nun nur Kad Overhead gezählt, der tatsächlich gesendet wurde, nicht gequeued oder fehlgeschlagen ist.
Unk: Korrektur: Clients ohne gültige Dateianfrage konnten in die Warteschlange kommen.
Unk: Es gab drei verschiedene Methoden um eine Uploadliste pro Datei zu erstellen. Manche erstellten diese Liste jedes Mal neu. Jetzt wird die Uploadliste pro Client in Echtzeit gepflegt, um dies zu vermeiden.
Unk: Quellenaustausch für eine fertiggestelle Datei wird nun wie für ein Part-file behandelt. Es werden nur Quellen gesendet, welche Chunks haben, die der User braucht.

----------------------
- 15. Januar 2004    -
----------------------
Ornis: Neu: IP-Filter-Liste im PeerGuardian-Format kann nun auch eingelesen werden
Ornis: Neu: Einstellungen/Sicherheit: Option zum Download einer Ipfilter-Liste von einer URL
Ornis: Fix: Behandlung des Abbrechens von Download-Dateien, deren Platz gerade reserviert wird. Diese werden verzögert nach der Platzreservierung entfernt.
bluecow: Kommando zum Abfragen der freigegeben Dateien ist deaktiviert, wenn die Gegenseite dieses Feature nicht unterstützt.
bluecow: Fehlerkorrektur bei der Abfrage der freigegebenen Dateien eines anderen Clients. Partfiles (aktuelle Downloads) wurden nicht angezeigt.
bluecow: Verringerung der Speichernutzung von Client-Instanzen #2.
bluecow: Korrektur der Kad UDP Socket Nutzung, um ein Verlieren von zu sendenden Paketen zu vermeiden.
bluecow: Optimierte Client-Listenanzeige für weniger CPU-Last.
bluecow: Korrektur einiger Probleme in Kontextmenüs, Shortcuts und der Nutzung des mittleren Maustaste.
Unk: verbessertes Filtern von sich selbst als eigene Quelle
Unk: Korrektur eines Fehlers, welcher manche Kad-Quellen blockierte, wenn die Datei viele Quellen von einem Server oder Quellenaustausch erhielt. Wir empfangen nun alle eingehenden Kad-Quellen.
Unk: LowID Callbacks hatten Probleme bei gewissen Kad- und ED2K Zuständen verursacht. Dies wird nun genauer geprüft.
Unk: Nodal Suchen für das Publishing erweitert, um volles Publishing zu ermöglichen. Nodal Suchen nach Quellen wurde eingeschränkt, um Overhead mit sehr seltenen Dateien zu reduzieren.

----------------------
- 10. Januar 2004    -
----------------------
bluecow: Einige Änderungen für bessere Winsock Initialisierung Terminierung.
bluecow: Korrektur und Erweiterung von Statistiken für den Datei-Datentransfer.
Unk: Nodal Suchen werden nun mit Verzögerung gelöscht (wenn erlaubt). Dies ermöglicht es hängenden eingehenden Paketen noch empfangen zu werden. (in anderen Worten, wir verschwenden keine eingehenden Pakete (mehr) )
Unk: Es gab einen Fehler, mit dem Verfallstimer für Nodal Suchen, wenn alle hängenden Kontakte abgebaut wurden. 
Unk: Keyword republishing wird länger verzögert, um den Overhead zu verringern.


0.41b.29 Test release
----------------------
- 05. Januar 2004    -
----------------------
bluecow: Korrektur mehrerer Schwächen in der Client- und Server-Overhead-Berechnung. (DESHALB wird ein höherer Overhead angezeigt werden).
bluecow: Hinzugefügt: Kademlia Overhead-Statistiken
bluecow: Hinzugefügt: Client-Protokoll Handshake Überprüfung
bluecow: Um die Verbreitung von falschen Metadaten zu vermeiden, werden (bereits) erhaltene Metadaten ignoriert und lokal durch Betrachtung des Dateiinhaltes neu erstellt.
bluecow: Fehlerkorrektur in der Statistik bzgl. der Server-Verbindungszeit [Gnaddelwarz]
Unk:          Keyword-Publishing wird verzögert durchgeführt, um eine Überflutung des Netzwerkes von Usern zu vermeiden, wleche nur eine sehr kurze Zeit verbunden sind

----------------------
- 04. Januar 2004    -
----------------------
bluecow: Hinzugefügt: thread safe synchronous command processing für Kad-Listen-Socket. (in Achtung der deutschen Sprache, übersetze ich das nicht weiter!)
bluecow: Hinzugefügt: explizites Entfernen von Datei Block-Requests für bereits getrennte Clients, um Datei-Fertigstellungs-Probleme zu vermeiden
bluecow: Korrektur von Sortierproblemen in der Liste freigegebener Dateien
bluecow: Fix eines Fehlers im structured exception handling des Client TCP Sockets.
bluecow: bereits empfangene aber nicht verarbeitete Pakete werden nun verworfen, wenn die Verbindung mit dem Client geschlossen wurde
bluecow: potentieller Crash beim Löschen eines Clients gefixt - im Zusammenhang mit dem IP-Filter
bluecow: Client-Protokoll Prozedurstatus-Fehler werden im Log protokolliert

----------------------
- 31. Dezember 2003  -
----------------------
Unk:  Übergabe von Kademlia log Nachrichten an eMule jetzt thread safe. Sollte einige Probleme unter Win98 beheben
Ornis:Liste freigegebener Dateien bietet für die Dateien via Kontextmenü das Umbenennen, Löschen und Verzeichnis öffnen
      (Löschen in Papierkorb! preferences.ini: "RemoveFilesToBin=false" für wahrhaftiges Löschen)
Unk: Temporary Fix: Clients ID wird nur upgedatet, wenn ein Kad-Kontakt zur Liste hinzugefügt wird. Dies scheint Win98-Freeze zu verhindern.
Unk: kleine Änderung in der Kad-Suchtoleranz und Bootstrapping.

----------------------
- 30. Dezember 2003  -
----------------------
Ornis: Datei-Details-Dialog, Dateinamen-Reiter:  Verbesserung der Auflistung und Sortierung von verfügbaren Dateinamen
Ornis: Platzreservierung von Tempdateien nicht mehr blockierend (Thread+Buffering)
Ornis: Downloadliste: Sortierung der Spalte "Verbleibend" für Dateien nun im "4-Wege-Modus", um nach verbleibender Größe ODER verbleibender Zeit zu sortieren
Unk:   Automatischer Kad-Bootstrap, wenn versuchst wird zu Kad zu Verbindungen und ein Kad-Client gefunden wird
Unk:   Bootstrap nun wahlweise von IP&Port oder mittels eines Kad-Clients aus der aktuellen Liste der bekannten Clients
Unk:   der Client erkennt nun Konflikte in der UDP-Port-Vergabe, um Programmhänger vorzubeugen
bluecow: Detail-Dialog für Downloads überarbeitet. Für Mehrfachauswahlen werden Summen über verschiedene Werte gebildet
bluecow: Spalte "Erlaubnis" bei den freigegeben Dateien entfernt weil funktionslos
bluecow: Sämtliche Kontextmenüs in den Hauptfenstern Suche, Server, Download und Dateien überarbeitet um Mehrfachauswahlen zu erlauben 
bluecow: Fehler beim ersten Start von eMule im Assistenten behoben wenn die Option "Minimiert starten" aktiviert ist
bluecow: Option um das letzt genutzte Hauptfenster beim Start wiederherzustellen hinzugefügt. Hierfür in der prferences.ini den Wert RestoreLastMainWndDlg=1 anlegen.
bluecow: 4-Wege Sortierung für die Liste der freigegebenen Dateien hinzugefügt 
        
----------------------
- 28. Dezember 2003  -
----------------------
Unk: viele Ausnahmebehandlungen für Kad und SMIRC hinzugefügt
Unk: ein- und ausgehenden Kad UDP-Paketen haben nun gleiche Priorität, um ausgehende Pakete vor Verzögerungen zu bewahren
Unk: es wird gespeichert, wie viele Pakete mit Kad-Node-Lookups gesendet wurden
Unk: Such-Jumpstarts wird nun nur genutzt, wenn die Suche stehen geblieben scheint
Unk: IRC: /hop hinzugefügt
Unk: IRC: betretene Räume erhalten den Fokus
Unk: Korrektur mehrerer Memleaks im Kad-Client
Unk: Hinzugefügt: mehrere flags zur Knotensuche für spätere gesonderte Nutzung hinzugefügt.
Unk: kleine Änderung im Kontakte-Baum. Mehr Knoten sind bekannt, um das Ziel schneller finden zu können.

----------------------
- 22. Dezember 2003  -
----------------------
bluecow: Korrektur von Problemen mit Servern mit der IP 255.255.255.255, welche zur Serverliste hinzugefügt werden konnten
bluecow: IP-Auflösung von DynDNS Servern werden nun überprüft und optional gefiltert (IP-filter).
bluecow: Verringerung der Speichernutzung von Clientinstanzen
Ornis:   Option zum automatischen Entfernen von fertiggestellten Download aus der Downloadliste
Ornis:   Fix: der "lang"-Ordner wird beim Sprachen-DLL-Download angelegt wenn nötig

----------------------
- 21. Dezember 2003  -
----------------------
Unk: Korrektur eines Fehlers beim Überprüfen auf Firewall
Unk: beim Bootstrappen startet nun automatisch die Kad-Engine, wenn sie vorher deaktiviert war

----------------------
- 18. Dezember 2003  -
----------------------
bluecow: Auslesen von Dateieigenschaften aus der known.met verbessert. Werte werden auf Plausibilität geprüft
bluecow: Speicherleck und ein möglicher Hänger in den Server-UDP-Sockets durch fehlgeschlagene DNS Anfragen behoben
Unk: Timeout für Kademlia angepasst
Unk: Hinzufügen von Freunden im IRC verbessert

----------------------
- 17. Dezember 2003  -
----------------------
bluecow: Verarbeitung der der zu veröffentlichen Schlüsselworte optimiert.
bluecow: Verwaltung der Quellliste für Parts verbessert. Mehrfachlisten entfernt.
Unk: Kademlia-Suchanfragen geben jetzt maximal 300 Treffer zurück
Unk: Bis zu 150 Dateien werden gruppiert bei einer Veröffentlichung von Schlüsselworten.

----------------------
- 13. Dezember 2003  -
----------------------
bluecow: Weitere Log Ausgaben zu Speicher und C++ Objekten in Debugbuilds hinzugefügt
bluecow: Fehler in der internen Listenverwaltung behoben [rayita]
bluecow: Verbesserte Aktualisierung der Downloadwarteschlange [rayita]
bluecow: Dateien die wegen unzureichendem Festplattenpltz gestoppt sind werden nicht mehr automatisch neu versucht.
bluecow: Option zum Fertigstellen von Downloads die wegen unzureichendem Festplattenpltz gestoppt sind hinzugefügt

----------------------
- 10. Dezember 2003  -
----------------------
bluecow: Senden von OP_CANCELTRANSFER verbessert.

----------------------
- 08. Dezember 2003  -
----------------------
bluecow: Die Include Angaben im gesamten Projekt überarbeitet.
bluecow: Server Informationen werden im "meine Info" Feld angezeigt.
bluecow: Seltener Fehler beim Entpacken von stark komprimierten Blöcken behoben.
bluecow: Fehlerbehandlung beim Entpacken von fehlerhaften Blöcken verbessert
bluecow: zlib 1.2.1 integriert

----------------------
- 27. November 2003  -
----------------------
bluecow: Drag&Drop von ed2k Link Formaten und URLs erweitert um praktisch von jeder Quelle zu funktionieren.
bluecow: Handhabung der Quellisten verbessert.

----------------------
- 25. November 2003  -
----------------------
bluecow: Drag&Drop (Ziehen & Ablegen) von ed2k Link Formaten und URLs hinzugefügt. Links wie eD2k-Downloads, eD2k-Server oder URLs zu Serverlisten vom Browser direkt in ein eMule Fenster gezogen werden. Funktioniert bei ANSI Text und auch bei mehreren Links im HTML Format.

----------------------
- 24. November 2003  -
----------------------
bluecow: Absturz bei fehlerhaften Datumseinträgen von Dateien behoben.
bluecow: Handhabung von Log Dateien verbessert um Ressourcen zu schonen.
bluecow: Erreichen Log Dateien 1 MB Grösse wird das Datum des Erstellens an den Logdateinamen angehängt und eine neue Datei wird begonnen.

----------------------
- 23. November 2003  -
----------------------
bluecow: Fehler in der Kontextmenu Unterstützung in Nachrichten und IRC behoben.
bluecow: Alle Kontexmenüs der Listen werden jetzt korrekt angezeigt wenn sie über die Tastatur aufgerufen werden.
bluecow: Die Statistik Graphen werden nicht zurückgesetzt wenn die betreffende Einstellungsseite aufgerufen und ohne Änderung wieder geschlossen wird

----------------------
- 22. November 2003  -
----------------------
bluecow: Textauswahl, Kopieren und Abspeichern des Logs im IRC hinzugefügt
bluecow: Fehler in der Verarbeitung der Windows beenden Nachricht behoben (WM_QUERYENDSESSION)
bluecow: Ausgabe von Down-, Upload und Overhead in NT Leistungsprotokoll kompatiblen Log Dateien 
bluecow: Socket Erstellung für Verbindungen die nicht über einen Proxy laufen wurde zur Ressourcenschonung optimiert

----------------------
- 21. November 2003  -
----------------------
bluecow: Die Log Funktion konnte in manchen Fällen sehr viel CPU Leistung brauchen
bluecow: Speicherleck bei den UDP Sockets behoben [rayita]
bluecow: Textauswahl, Kopieren und Abspeichern des Logs in den beiden Log Fenstern

----------------------
- 20. November 2003  -
----------------------
bluecow: Problem mit Grössenänderung des Fensters behoben wenn Stile oder eMule Themen benutzt werden
bluecow: Hauptfenster wird jetzt korrekt Maximiert beim eMule Start. Problem trat bei Themen / visuellen Stilen auf
bluecow: Buffer overflow bei Verwendung des "status" Kommandozeilenarguments [KuSh] 
bluecow: Probleme beim Aktualisieren von Icons behoben.
bluecow: Hintergrundfarbe für IRC (Hauptfenster und Nicklist) einstellbar
bluecow: Closeable Tab Control im IRC Fenster entfernt 
bluecow: "close" Kommando für Nachrichten und IRC hinzugefügt.
bluecow: 3x Mausklick hintereinander markiert die ganze Zeile.

----------------------
- 7. November 2003   -
----------------------
Ornis:  Abspeichern von Chats (IRC/Messages) , übers Kontextmenü          (Req. Celvyn)

----------------------
- 5. November 2003   -
----------------------
bluecow: Fehlerkorrektur vom selten auftretenden hängender Server-Quellenanfrage, aufgrund fehlerhaften part.met-Inhalts
bluecow: sicheres Lesen aus der part.met
bluecow: Korrektur eines Problems von zu häufigen Server-Verbindungsversuchen bei sehr kleinen Serverlisten

----------------------
- Nov 2nd, 2003      -
----------------------
bluecow: Kleines Problem mit der Quellennachfrage beim lokalen Server nach Neuverbinden behoben.
bluecow: Sortierung der gepufferten Blöcke im Dateipuffer verbessert. Geringere Festplattenbelastung
bluecow: Speicherleck behoben und Zurückschreiben des Dateipuffers verbessert wenn ein Download abgebrochen wird.
bluecow: Option zum manuellen fertig stellen einer Datei wenn diese wegen zu wenig freiem Festplattenspeicher nicht beendet werden konnte 
bluecow: Fehler in der Festplattenspeicherprüfung behoben der endlose "Zu wenig Festplattenspeicher" Warnungen verursachen konnte
bluecow: Festplattenspeicherprüfung beim Umgang mit NTFS Kompression oder Sparsefile verbessert 
bluecow: Eine NTFS komprimierte Datei konnte nicht angelegt werden falls nicht genug Speicher für die unkomprimierte Grösse zur Verfügung stand
Unk: Bei pausierten oder gestoppten Dateien werden die Quellen nach einer Stunde entfernt
Unk: Kein Quellentausch für gestoppte oder pausierte Dateien 
Unk: Bessere Überprüfung der Quellen beim Quellentausch
Unk: Quellentausch bei fertigestellten Dateien sendet Quellen mit bereits erhaltenen Teilen zuerst 
Unk: Einige überflüssige Schleifen in der Downloadwarteschlange entfernt um die CPU zu schonen

----------------------
- Oct 30th, 2003     -
----------------------
bluecow: Quellenanfragen beim lokalen Server werden in 1 TCP Paket gruppiert
bluecow: Fehler in der Festplattenspeicherprüfung behoben
bluecow: Nach einem eMule Update konnte die "nur lesen" Berechtigung der preferences.ini verloren gehen
bluecow: Fehler in den Server TCP Overhead Statistiken beseitigt
bluecow: Strings im HTTP Dialog gefixt

----------------------
- Oct 29th, 2003     -
----------------------
Unk: Die Verwendung von Threads in der Kontaktlistenverwaltung sicherer gemacht.
Unk: Fehler behoben, der verhinderte das weitere Kad-Quellen hinzugefügt werden.
Unk: Upload Kontrolle von zz hinzugefügt.

----------------------
- Oct 23rd, 2003     -
----------------------
bluecow: Korrektur eines Problems bei Dateifertigstellung wenn die Datei zugleich hochgeladen wurde.

----------------------
- Oct 22th, 2003     -
----------------------
bluecow: Korrektur eines Crashbugs und potentiellen Exploits im Webserverinterface [thx MoNKi]

----------------------
- Oct 21th, 2003     -
----------------------
bluecow: Erstellung der Kademlia Threads geändert um eine korrekte RTL Initialisierung sicher zu stellen
bluecow: Einige Ungereimtheiten in Einstellungen -> Verzeichnisse beseitigt; Tastatursteuerung hinzugefügt; Laufwerksnamen hinzugefügt

----------------------
- Oct 19th, 2003     -
----------------------
bluecow: Korrektur eines Fehlers, der erlaubte Clients ohne IP oder Hash als Freund hinzuzufügen
bluecow: Fehlerkorrektur in Verbindung mit ed2k URL Registry-Schlüssel, welcher Sonderzeichen enthielt
bluecow: Verbindungsoptionen für beide Netzwerke im Kontextmenü der Taskleiste und im Tray berichtigt 
bluecow: "meine Info" Feld überarbeitet, Inhalt markierbar, Kopieren in die Zwischenablage mit Strg+C; Alles auswählen mit Strg+A

----------------------
- Oct 16th, 2003     -
----------------------
bluecow: Korrektur eines GDI-Ressource-Leaks im Video-Vorschaudialog
bluecow: Mehr Optionen den visuellen Stil zu beeinflussen hinzugefügt (siehe Dokumentation in der Template.eMuleSkin.ini Datei)

----------------------
- Oct 15th, 2003     -
----------------------
bluecow: Weitere Icons für Kademlia hinzugefügt
bluecow: Fehler in der Freundesliste behoben
bluecow: Freundesliste nun sortierbar.
bluecow: Einige Kontextmenüs in Listen berichtigt (Suche, Warteschlange, bekannte Clients,...)

----------------------
- Oct 14th, 2003     -
----------------------
bluecow: Einfrieren beim Beenden behoben
bluecow: Fehler beim "Dateien einsehen" Befehl behoben
bluecow: Fehler in der Listenanzeige von Kademlia behoben
bluecow: Icons zu den Listen des Kademlias Fensters hinzugefügt
bluecow: Fehler in den Zeichenketten zur Anpassung des Toolbars behoben
bluecow: Fehler im Kontextmenü der Freundesliste behoben
bluecow: Tastaturkürzel für die Freundesliste hinzugefügt: Einfg = Neuer Freund; Entf = Freund entfernen
bluecow: Fehler im Kontextmenü der Liste der freigegebenen Dateien behoben
bluecow: Benutzerdefinierte Anpassung der Icons / Farbe für alle Hauptlisten und Baumansichten hinzugefügt
bluecow: GDI Ressourcen Verbrauch aller Bilderlisten gesenkt
Unk: Fehler behoben der durch die neue Weise zu Veröffentlichen entstanden ist
Unk: Kleiner Anpassungen in Kademlia und bei den Servern

----------------------
- Oct 13th, 2003     -
----------------------
Unk: Die Veröffentlichung von Quellen und Schlüsselwörter wurde getrennt. Erlaubt bessere Kontrolle 
Unk: Die Verwaltung von Schlüsselwort und zugehörigen Quellen wurde verbessert. Dies stellt sicher, dass die aktuellsten Quellen als erste verwendet werden.
Unk: Für jede Datei werden maximal 50 Quellen indiziert, da wir maximal 50 Quellen senden um Speicher zu sparen.

----------------------
- Oct 12th, 2003     -
----------------------
Ornis: Webinterface: Verbindungssteuerung für beide Netzwerke verbessert
Ornis: Webinterface: Fehler in der Darstellung der Statistiken behoben

----------------------
- Oct 8th, 2003      -
----------------------
Unk: Vorherige Änderungen am Kontaktbaum rückgängig gemacht. Der Kontaktbaum hat jetzt eine feste Grösse, die der Netzwerkgrösse nach und nach angepasst wird.
Unk: Die Änderung am Kontaktbaum beeinflusst auch die Knotensuche und Verbindungspings
Unk: Spezielle "mich" Suche hinzugefügt um bei Neuverbinden den Kontaktbaum schnell zu füllen
Unk: Boot Funktion in den Kontextmenüs der Quellen und bekannte Clients Listen hinzugefügt um schnell einen Einstieg ins Kad Netz zu finden.
1) Funktioniert nur mit Clients die auch zu Kademlia verbunden sind
2) nur v.40e und darüber senden ihren Kad UDP Port. Notwendig zur Verbindungsüberprüfung
Unk: Viele der ersten Kademliasuchen werden verzögert um bei kurzen Verbindungen ein "Spammen" zu verhindern
Unk: Knotensuchen werden beendet wenn eine Antwort gesendet wird. Es werden nicht mehr alle in der Kontaktliste gefragt.
Unk: Namenskonvention für Toolbars auf ".eMuleToolbar.kad1.*" geändert um sie von der klassischen Version zu trennen
Unk: Das Standardverzeichnis für ".eMuleToolbar.kad1.*" ist jetzt das für die eingehenden Dateien. Damit ist ein Toolbar sofort nach Download verfügbar
Unk: Kontakte werden in der Startphase schneller überprüft um die erste Verbindung zu beschleunigen

----------------------
- Oct 7th, 2003      -
----------------------
bluecow: Fehlerkorrektur, die Uploadliste aktualisierte sich nicht automatisch [Xman1+KuSh]
bluecow: Fehlerkorrektur bei Maus/Tastatur-Zugriff in HyperText-Control [MoNKi]
bluecow: Hinzugefügt: Tastaturkürzel für die Toolbarsteuerung
bluecow: Bilddateien können auch über die GDIPLUS.DLL geladen werden, sofern diese installiert ist. Erlaubt transparente Bilder. 

----------------------
- Oct 6th, 2003      -
----------------------
Unk: Die Kontaktliste wächst zu schnell. Eine passive Kontaktmethode entfernt.
???  Unk: The Contact tree is now skewed even more to stop the Contact list from growning in log size.

----------------------
- Oct 5th, 2003      -
----------------------
bluecow: Serverwarnungen wurden fälschlich als Fehlermeldungen ausgegeben.
bluecow: Fehlerhafte Darstellung im Fortschrittsbalken behoben.

----------------------
- October 4th, 2003  -
----------------------
Ornis: Webinterface um einige Kademlia Kontrollen / Informationen erweitert
Ornis: einige Sprachanpassungen
Unk: Neue Kontakte erhalten anfänglich Typ 1 um die Verbreitung toter Kontakte zu verhindern.
Unk: Indexe die sehr weit von der Client ID entfernt liegen werden ignoriert um Speicher und Overhead zu sparen.
Unk: Zu Clients die sehr weit vom Ziel entfernt liegen wird nicht mehr veröffentlicht um Speicher und Overhead zu sparen
Unk: Grösserer Fehler im Kademlia Suchsystem behoben
1) Gezieltere Sprünge um das Ziel besser zu finden.
2) Es werden keine falschen Ziele mehr angefragt.
bluecow: Änderung verschiedener Ressourcen-Strings-Lade-Algorithmen (Übersetzung 5-) um stringbasierte Ressourcenidentifizierer zu unterstützen [SlugFiller+itsonlyme]
bluecow: Hinzugefügt: Downloadlinks können Hostnamen als Quellen enthalten anstatt nur IPs. Der eigene Hostname kann in den Einstellungen gesetzt werden um diese bei ed2k-Links mit Quellen zu nutzen. [SlugFiller+itsonlyme]
bluecow: Hinzugefügt: deutliche Geschwindigkeitsverbesserungen im bar-shader-Code (Balken-Zeichnung) [SlugFiller]
bluecow: Hinzugefügt: verbesserte/schnellere Sortierung von kompletten-Quellen-Angaben [SlugFiller]
bluecow: Fehlerkorrektur eines Darstellungsfehlers im Upload-Status-Balken [wistily]
bluecow: Hinzugefügt: Option zum Prüfen des freien Festplattenspeichers, um sicherstellen zu können, dass komplette Downloads auch Platz haben [SlugFiller]
bluecow: Hinzugefügt: Option um sicherzustellen, dass ein angegebener Speicherplatz auf der Festplatte freigehalten wird
bluecow: Hinzugefügt: Dekomprimieren von NTFS-Komprimierten Dateien für fertiggestellte Downloads
Unk: Weniger Knotensuchen im Netzwerk.
Unk: Partdateien werden nicht nach jedem Start neuveröffentlicht.
Unk: Jedes Schlüsselwort wird nur noch an 10 Ziele veröffentlicht.
1) Erhöht die Veröffentlichungsgeschwindigkeit leicht.
2) Da schneller veröffentlicht wird, könnte der Overhead höher werden.

----------------------
- October 2nd, 2003  -
----------------------
Unk: Protokolländerung: Das Netzwerk muss neu gestartet werden. Neuesten Client verwenden!
Unk: Die Suche in Kademlia stark verbessert.

----------------------
- October 1st, 2003  -
----------------------
Ornis: Verbindungsschaltflächen für Server und Kademlia hinzugefügt.
Unk: Änderung von passivem Kontaktfinden während der Veröffentlichung. Dies lässt die Kontaktliste zu stark anwachsen.
1) Kontaktliste sollte kleiner bleiben
2) Durch weniger Kontakte sollte auch der Overhead sinken
Unk: Erste Teilnehmeranzahl Schätzung.
Unk: Datei Veröffentlichung geändert:
1) Mehr Dateien werden veröffentlicht.
2) Overhead wird Reduziert bei wenig freigegeben Dateien.
3) Die Anzahl der Indexes die jeder Verwalten muss ist gestiegen.
??? i ) This increase in indexes will actually be testing things for when publishing speed is increased..
4) Mehr alte Quellen werden indiziert
Unk: Jeder Kontakttyp grösser 4 wird einmal pro Stunde überprüft.
bluecow: ersehnter "Mehr"-Knopf in der Suche, um mehr Resultate vom lokalen Server abzufragen
bluecow: Tooltips für das Transferfenster neu geschrieben, um mehrere kleine Unstimmigkeiten zu beheben
bluecow: zwischengespeicherte Partfile-Daten werden explizit geschrieben, bevor eine Vorschau ausgeführt wird
bluecow: Partfile-Plattenplatznutzung wird unter Berücksichtigung der NTFS-Kompression und/oder NTFS-Sparse-Files-Nutzung ermittelt

----------------------
- Sep 25th, 2003     -
----------------------
bluecow: Server TCP-Verbindung "keep-alive"-Funktion hinzugefügt (erweiterte Einstellungen).
bluecow: Die Tooltips bei den Suchergebnissen werden nur noch angezeigt wenn SHIFT und STRG gleichzeitig gedrückt werden während der Mauszeiger auf einem Ergebnis steht.

----------------------
- Sep 21th, 2003     -
----------------------
bluecow: Alle Integerdatentypen (8,16,32,128 bit) ins Little Endian Format geändert.
Unk: Erste Übernahme der eMule und eDonkey "hallo-Pakete" mit bluecows Hilfe
Unk: eMules Versionsnummern auf 0.xx.x erweitert.
Unk: Einige Index Routinen überarbeitet.
Unk: Bessere Verwaltung der Indexliste:
1) Passives Säubern: Werden bei einer Suche veraltete Schlüsselworte gefunden werden diese gelöscht.
2) Aktives Säubern: Alle 30 Minuten wird der Index auf Aktualität überprüft und alte Einträge gelöscht.
 
----------------------
- Sep 20th, 2003     -
----------------------
bluecow: Alle Metatags mit Zeichenketten in integer IDs geändert
bluecow: Der Metatag "Länge" wird nun intern in eMule/Kademlia als Integer verwaltet
bluecow: eMule/Kad Tags werden nach eD2k Tags gewandelt bevor sie zu Servern oder anderen Clients geschickt werden
bluecow: bereit empfange eD2k Tags werden nach eMule/Kad Tags gewandelt; gilt auch für eD2k Tags aus der known.met
bluecow: Die Kad Metatag Klasse wurde überarbeitet:
 - Wechsel des Datentyps in der Liste von uint32 nach uint8
 - "Dynamische" Integer Tags - Der passende Integerdatentyp (8,16,32 bit) wird nach Bedarf ausgewählt
 - Funktionen zur schnellen Datentypwandlung, ohne dabei Rücksicht auf den Inhalt nehmen zu müssen, hinzugefügt
Unk: Resultate von Suchen und Quellenanfragen werden gebündelt:
 - Wird mehr als ein Resultat empfangen spart dies 16Bytes(data)+UDP(Paketoverhead) für alle weiteren Resultate.
 - Kompressionsgewinn bei diesen Paketen liegt bei ca. 50%.
Unk: Fehler wodurch Dateien ohne gültige Schlüsselwörter die Veröffentlichung anderer Dateien verhindern konnte wurde behoben.
Unk: Die Verfügbarkeitsabschätzung bei Suchresultaten wurde verbessert.

----------------------
- Sep 18th, 2003     -
----------------------
bluecow: Bug Fix: Ungültige Client Objekte nachdem eine Datei aus der Freigabe genommen / hinzugefügt wurde [zegzav]
bluecow: ALT + Doppelklick öffnet den Dateidetail Dialog in der Liste der freigegebenen Dateien und bei den Suchergebnissen
bluecow: Einige Formatierungsfehler behoben [mandrag0re]

----------------------
- Sep 16th, 2003     -
----------------------
Unk: Jedes grössere Kad-Paket wird komprimiert.

----------------------
- Sep 15th, 2003     -
----------------------
bluecow: Alle vorhandenen mp3 ID Tags werden für Downloads und freigegebene Dateien angezeigt 
Unk: Kademlia Protokoll überarbeitet:
 1) Suchanfragen senden kein MaxResults mehr
 2) Pro Datenpaket können mehrer Suchresultate gebündelt werden.
  a) Momentan wird noch ein Paket pro Resultat verwendet. Für zukünftige Erweiterung.
  b) Wenn die Kompression dem Protokoll hinzugefügt wird sollte die Resultatsbündelung eingeführt werden
 3) Veröffentlichungsanfragen können ebenfalls gebündelt werden.
  a) Momentan wird noch ein Paket pro Resultat verwendet. Für zukünftige Erweiterung.
  b) Wenn die Kompression dem Protokoll hinzugefügt wird sollte die Bündelung eingeführt werden
 4) Anzahl der Kontakttypen von 0-4 auf 0-2 reduziert.
  a) Die Kontaktliste bleibt überschaubarer
  b) Der Overhead könnte dadurch erhöht werden. Weitere Anpassung in der Testphase
 5) Die Kontaktliste führt keine Knotensuchen mehr durch sobald ein Zweig der Baumstruktur die Tiefe 4 erreicht hat.
  a) Dies bedeutet eine Verringerung der Kontaktanzahl im laufenden Netzwerk. Das Ausmass muss abgewartet werden.
  b) Im Moment darf hauptsächlich der rechte Ast wachsen.
   i) Dadurch kann ein Client mehr andere Clients kennen, die nahe am eigenen Hashwert liegen 
   ii) Sollte die Suchgeschwindigkeit erhöhen
   iii) Könnte hohen Overhead erzeugen. Muss ggf angepasst werden.
 6) Kademlianafragen senden nun die Empfänger ID:
  a) Erhöht die Sicherheit.
  b) Sollte sich die KadID ändern, sollte das Helfen die alte ID schnell aus dem Netzwerk zu entfernen
 7) Nur noch Kontakte die bei Anfragen auch antworten werden als "gut" genommen. 
  a) Dies spart das Durchsuchen der Kontaktliste bei jedem Paket
   i) Da die Kontakt ID nicht bekannt ist, kann der Baum nicht durchsucht sondern nur der Reihe nach überprüft werden.
   ii) Die Kontakt ID kann nicht einfach einem Paket hinzugefügt werden, da sie nicht verifiziert ist
  c) Es ergeben sich vermutlich Situation in den mehr Kontakte als "gut" markiert werden könnten
   i) In einigen Fällen ist es egal, da es sich um eine Kadanfrage handelt
   ii) In anderen spielt es eine Rolle da nur noch ein Ping entscheiden kann ob der Kontakt gut ist oder nicht
   
----------------------
- Sep 14th, 2003     -
----------------------
bluecow: Lugdunum 16.40 Server Erweiterung: Suchergebnisse werden in einem UDP Paket gebündelt [Dank an Lugdunum für Zusammenarbeit]
bluecow: Anpassung der UDP socket Behandlung für grosse UDP Pakete
bluecow: Erweiterete Log Fehlerausgabe für das Server UDP Protokoll
bluecow: Optimierung der UDP Server sockets für geringere CPU Last (weniger Speicheroperationen)
bluecow: Bug-Fix: Sperrung der Client UDP sockets wurde nicht korrekt abgefragt
bluecow: Einzelne Suchergebnisse speichern ihre Einstellungen. Diese werden wiederhergestellt wenn man das betreffende Suchfenster aktiviert
bluecow: Verbesserung in der Bedienung: Wird ein Suchfenster geschlossen wird das vor dem geschlossenen aktiviert
bluecow: Die zuletzt verwendeten Suchparameter werden auch über eMule Neustarts hinweg gespeichert
bluecow: Die IP Eingabe bei neuer Server akzeptiert Server jetzt auch im eD2k Link Format
bluecow: Freigegebne Dateien und welche die sich gerade im Download befinden werden nicht mehr gegen die maximale Anzahl der Suchergebnisse gezählt

-----------------------
- September 13th, 2003-
-----------------------
Unk: Fehler behoben, bei dem auf einen schon gelöschten Kontakt zugegriffen wurde
Unk: Überlauffehler behoben.
Unk: Kad ID und eMule ID wurden getrennt. Die eMule Tags im Hashwert stören beim Routen
Unk: Die Lebenszeit eines Kontakts wurde falsch berechnet
Unk: Einstellungen für Down- und Upload- Limit werden jetzt als Schieberegler dargestellt.

----------------------
- Sep 11th, 2003     -
----------------------
bluecow: Log-Funktion um das Server TCP/UDP Protokoll erweitert
bluecow: Unterstützung der Welcome Nachricht der neuen Lugdunum 16.40 hinzugefügt
bluecow: Unterstützung der Lugdunum 16.40 Protokoll Kompression: Welcome Nachricht und Suchresultate werden komprimiert empfangen; die Liste der freigegebene Dateien komprimiert gesendet
bluecow: Unterstützung der Lugdunum 16.40 UDP Protokollerweiterungen: Globale Quellensuche wird effizienter und verbraucht weniger Bandbreite
bluecow: Bug-Fix in der Namensauflösung
bluecow: Automatischer Start einer Globalen Suche falls der lokale Server nicht innerhalb 50s antwortet
bluecow: Bug-Fix: Das Fenster zum Hinzufügen mehrerer eD2k Links akzeptierte nur 3-4 Links

----------------------
- September 4th, 2003-
----------------------
bluecow: Kademlia Fenster überarbeitet; Sortierung der Listen, Speichern der Spaltenbreite und Tooltips hinzugefügt
bluecow: Die Metataganzeige zeigt nun die klassischen und neuen Tags.
Unk: Uploadslots versuchen jetzt möglichst über 3kB/s zu bleiben
Unk: Sehr weit entfernte Kontakte werden eingeschränkt um Overhead zu sparen

----------------------
- September 3rd, 2003-
----------------------
Unk: Die Indexerstellung kann aktualisiert werden.
Unk: Indizierte Dateien haben eine Lebenszeit.
Unk: Indizierte Dateien werden gespeichert und bei Neustart geladen.
Unk: Eine Datei ID wurde nur einmal veröffentlicht - behoben.
Unk: Der "Firewalled" Status wird regelmässig überprüft. Sollte auch die falsche IP bei 24h Zwangstrennung beheben.
Unk: Das Veröffentlichen geht nicht automatisch von einer erfolgreichen Veröffentlichung aus. Es werden nur positive Antworten gewertet
Unk: Kademliasuchen enden wenn es keine offenen Kontakte mehr gibt.

----------------------
- September 1st, 2003-
----------------------
bluecow: Meta-Daten und Datei-Kommentare Dialoge in Eigenschaftsseiten konvertiert sodass diese gemeinsam mit dem neuen Dateidetail-Dialog angezeigt werden können. Alle Eigenschaftsseiten Dialoge in der Größe beliebig veränderbar; zuletzt benutzt Größe u. Position wird gespeichert
bluecow: Hinzugefügt: Neue "Match keywords" Suchoption für beide Jigle-Suchmethoden.

----------------------
- Aug 30th, 2003     -
----------------------
Unk: Rewrote the entire kademlia protocol.. We are no longer using Overnet..
Unk: Adding availability to publishing.
bluecow: Bei einer Suche nach einem File mit Typ "Programm" werden die Suchresultate nicht mehr entsprechend den Windows Programm Fileextensions (*.exe, *.com, *.bat) lokal gefiltert. Die Bedeutung des eD2K Filetyps "Programm" beinhaltet alle Filetypen die von einem "Programm" benutzt werden, also z.B. komprimierte Archive oder CD-ROM Images. Das bedeuted, dass du mehr Suchresultate bekommst. Wenn du trotzdem nach einem Windows Programm File suchen möchtest, gibt die Fileextension "exe" an.
bluecow: Hinzugefügt: Proxy-Support für IRC; alle Proxy-Einstellungen werden jetzt auch für IRC benutzt
Ornis:   bugfix in webserver socket code, [Jan B.,nice bugreport]

----------------------
- Aug 29th, 2003     -
----------------------
Ornis: Dateidetail-Dialog neu strukturiert, + Datumsanzeige des Downloadstarts sowie der Zeitdauer seitem (bis zur aktuellen Zeit bzw. Downloadfertigstellung)
Ornis: hinzufügen einiger fehlender Prozentanzeigen
Ornis: Option für Zeitplaner, um keine Endzeit anzugeben (-> nicht temporär)

----------------------
- August 26th, 2003  -
----------------------
bluecow: Änderungen im Jigle gSOAP Module für bessere Performance und zuverlässige und korrekte Compilierung der Sourcen von Moddern (Modder: stelle sicher, dass die Jigle gSOAP Sourcen mit dem Symbol WITH_GZIP compiliert werden!); eine Jigle Suchanfrage muss entweder einen Filetyp oder eine Fileextension beinhalten; HTTP User-Agent Feld beinhaltet eMule-Version.
bluecow: Korrektur einiger Fehler im neuen ComboBox control (keyboard interface).
bluecow: Mehrere Änderungen in der GUI der neuen Suchresultatliste; korrekte Farbdarstellung unter allen Windows Farbschema; Sortierung der Filenamen-Listeinträge

----------------------
- August 24th, 2003  -
----------------------
bluecow: Hinzugefügt: Neue Suchmethode "Jigle SOAP Interface" um die Jigle-Datenbank mit eMule benutzen zu können [Vielen Dank an Melange von Jigle, der dieses großartige Feature eMule angeboten hat]
bluecow: Jigle SOAP Interface: Suchresultate werden auf 100 Files limitiert; Code-Optimierungen zur Entlastung des Servers; lokales Filtern der Suchresultate
bluecow: Hinzugefügt: Erweitertes ComboBox Control für Suchmethode [eMulePlus]

----------------------
- August 20th, 2003  -
----------------------
Unk: Changed how it detects firewalled users.
Unk: Indexed keywords now handles all tags.
Unk: Available is better updated during a search.
Ornis: added stats of where sources came from (ed2k-server, ON, source exchange)
Ornis: custimizable toolbar [eMule+]
Ornis: Downloadlist: F2 opens inputbox to change filename of the selected file
Ornis: Searchlist can expand items to show the received different filenames and their count

----------------------
- August 11th, 2003  -
----------------------
Unk: One more change to smoothing out the packets.. Hopefully this is the last.
Unk: Contacts are now checked in a more systematic way to help lower bandwidth.
Unk: Only low buckets are updated to lower bandwidth.
Unk: Hopefully fixed another shutdown crash.

----------------------
- August 7th, 2003   -
----------------------
Unk: More outgoing flood control to try to avoid lagging. (No more spikes)
Unk: Major change to how we sent shared files to servers for better efficiency.
Unk: Overnet status are now only updated once a sec to reduce CPU overhead.
Unk: Kademlia searches are now regulated by total and type to keep from two many searches at once.

----------------------
- July 29th, 2003   -
----------------------
Unk: IRC: Now sorts nicks correctly.
Unk: IRC: Can now add other eMule nicks as friends.
Unk: IRC: Can now send each other ed2k links within the IRC.
Unk: IRC: Added security to Add nick and Sending links. You can choose to accept all links, links for friends only, and no links at all.

----------------------
- July 26th, 2003   -
----------------------
Unk: Contacts are now filtered from invalid IP and Ports.
Unk: Again adjusted how dead contacts are removed.
Unk: Older contacts are no longer added on restart.
Unk: Trying to reduce UDP spikes that can flood connections.
Unk: Moved Overnet Log and Debug line info into eMules Log and Debuglogs..

----------------------
- July 24th, 2003   -
----------------------
Unk: Fixed a bug that allowed searches to access already deleted contacts.
Unk: Serverlist is now updated when connected to Kademlia only.
Unk: Seemed Kademila thread still tried to access some of it's main objects during shutdown. (Hopefully fixed)
Unk: Fixed some connected status issues.

----------------------
- July 16th, 2003   -
----------------------
Unk: Testing out Maella request patch.
Unk: Dead contacts are removed more efficiently.

----------------------
- July 5th, 2003   -
----------------------
Unk: Contact type is now being updated. May later use this and "madeContact" to update the contact list a little better.
Unk: Contact list no longer shows temp contacts during searches. Also, redid how contacts are updated to limit the number of refreshes needed. (Cpu Savers)
Unk: Converted the ED2K ID system to the Hyrbids ID system to avoid false lowIDs that the ED2K ID system created and to be more compatable with the Hyrbid.
---- Also standardized the LowID checks to 2 central methods (ED2K and Hybrid). We were using several different methods to check lowID.
---- This changed a lot of code and needs tested well.

----------------------
- July 1st, 2003   -
----------------------
Unk: You can now see if your files are published to a ED2K Server and/or Overnet.
Unk: You no longer republish files to a ED2K server that is already on there. This should save a lot of bandwidth and allow more files to be listed..

----------------------
- June 30th, 2003   -
----------------------
Unk: Single keyword search requests are now processed.
Unk: Fixed a bug that could get the publishing stuck trying to publish a file over and over.

----------------------
- June 28th, 2003   -
----------------------
bluecow: Added the code to process the incoming Keyword Search Requests.
Unk: Added a simple response packet to keywords.
bluecow: Fixed a crash on exit bug.

----------------------
- June 27th, 2003   -
----------------------
Unk: Entries in the Index list can now be removed. Which also fixes a bug with a lot of dangling pointers when restarting the overnet connection.. :)
Unk: Fixed a bug that caused all kinds of issues if you disconnected and reconnected real fast with overnet.

----------------------
- June 26th, 2003   -
----------------------
Unk: Overnets overhead is now processed and added to the server catagory.
Unk: Tweaked the overhead a little to try to get better estimates.
bluecow: Fixed a deadlock at shutdown.
bluecow: Fixed a bug when restarting ON during a single eMule session.
Unk: Fixed a bug that allow the connect button to get confused.
Unk: Fixed a bug that crash when trying to bootstrap

----------------------
- June 25th, 2003   -
----------------------
Unk: There are now preferences that allow the user to choose which network to connect too.
Unk: Added Network Choice to First Time Wizard.
Unk: Changed how connection status is relayed between Overnet and eMule.
Unk: Fixed some issues with the search dialog. SearchID is no longer and issue between eMule and Overnet and you can now select which network so search. 

----------------------
- June 24th, 2003   -
----------------------
Unk: IP request now responds if the other client is firewalled.
Unk: Found that damn bug that wasn't deleting clients when the socket timed out..
Unk: Cleaned up some code.

----------------------
- June 22nd, 2003   -
----------------------
Unk: Corrected a bug that didn't let you just connect to Overnet.
Unk: Fixed duplicate keyword indexed files.
Unk: Rolled back to VS2002.. Seems to have corrected the socket bug.
Unk: Removed a gui slowdown when a search quit and all the temp contacts were removed.
Unk: Completely rewrote the messaging code between eMule and Overnet to clean it up.
Unk: Added refresh messages to the Overnet lists. There should be no more ghosts or blanks in the lists.
Unk: Your ID is now calculated differently. Also there is a better check if your firewalled if using both networks at once.
-If you are seen to not be firewalled by either Overnet or ED2K, eMule will assume your not firewalled.
-If either ED2K or Overnet has a high ID, eMule will use it.
-If the server things your firewalled and Overnet knows better, you can still download from lowID users.
-If the server things your firewalled and Overnet knows better, you will tell the other clients the correct ID.
-Because we do not support firewalled users in Overnet yet, if you want to use overnet, you must also connect to a server before eMule starts working.

----------------------
- June 6th, 2003   -
----------------------
Unk: Tried to go through and clear up some areas that check for LowID and Connected status.

----------------------
- June 5th, 2003   -
----------------------
Unk: Changed up the ON gui some.. Although it's not great, the lists are now seperate for easier manipulation later.
Unk: Fixed duplicates of fileID indexed files.

----------------------
- June 4th, 2003   -
----------------------
Unk: Now responding to fileID search requests and sending and search_end packets
Unk: Connect button support added.
Unk: The OVERNET_IDENTIFY_ACK now updates the TCP port of the Contacts and Indexes. (This was messing this up, needs redone)
Unk: Added a Firewall recheck button.
Unk: Change how it checks if firewalled. (Less wasted packets, better timing.)

----------------------
- June 3rd, 2003   -
----------------------
Unk: Changed how it displays connection status.
Unk: Searches are now terminated better when a file is Stoped, Paused, or Canceled.

----------------------
- June 1st, 2003   -
----------------------
Unk: The timer for checking dead servers was changed to now get messed up when resetting your computer.
Unk: Server Description requests delay has been increased to save server bandwidth.
Unk: Found a major bug that sent packets to the wrong IP.. We now index Overnet publish requests.

----------------------
- May 26nd, 2003   -
----------------------
Unk: Knownfile met is now saved periodically.
Unk: Published ON files are now remember between restarts to cut down over publishing.
Unk: We now detect if the our ON client is firewalled. Also, if the server side thinks we are firewalled but overnet isn't, we use the Overnet ID instead of the server ID.
Unk: Found out that many of the mldonkey clients don't publish correctly. Hours wasted trying to debug a packet that is incorrect.. 
Unk: Changed the order of publishing to make it more efficient.
Unk: No longer treat bcp://hashid:ip:port as a source. These are firewalled sources and the ip and port is the firewalled server, not source..
Unk: Corrected the searches to reflect correct search types.
Unk: Uploading clients could get stuck in the upload list without a socket. This is the same problem as noted above, therefore it's not the sole problem with FileNotFound.

----------------------
- May 26nd, 2003   -
----------------------
Unk: Adding the overnet to the client brought up unknown issues with the original client.
1. Rewrote how clients and sockets delete each other to avoid clientlist & socketlist corruptions.
2. Clients are able to get in a connected or connecting state without a socket, these clients are now removed. (This may be releated to FileNotFound packets. Will rework that later..)

----------------------
- May 22nd, 2003   -
----------------------
Unk: Merged the base Kademlia code into eMule with the help of bluecow.
Unk: Added a Overnet debug window.
Unk: Added many new Overnet opcodes.
Unk: Can now download from Overnet clients.
Unk: Note to self: Need to find out why incoming Publish Requests send UDP port, but when we send a publish request, we HAVE to send a TCP port??????? (Fixed: mldonkey is the one sending UDP port which is incorrect and very bad!)
Unk: Can now publish to the Overnet network. (Something still doesn't seem correct with Publish Requests)
Unk: Indexing Overnet files. (Something still doesn't seem correct with Publish Requests)
Unk: Beging to change the eMule base code to better handle the Overnet network as a seperate network. (So you can use both or just one)
Unk: Duplicate clients are now found a little better. More CPU power needed, but it had to be done to detect cross source findings.. 
Unk: CUpDownClient::CalculateDownloadRate() is causing strange exceptions.. WHY? (Update: fixed)

----------------------
- March 16th, 2003   -
----------------------
Unk: Changed opcodes to match eMule for easier merging later.

----------------------
- March 15th, 2003   -
----------------------
Unk: Original Programmer seems to have left the building. I'm am going through the code trying to see where he was going with it..


        ÄNDERUNGSPROTOKOLL VON EMULE
        ============================


v0.30e
----------------------
- Dec 9th, 2003      -
----------------------
bluecow: Korrektur eines selten auftretenden Fehlers, beim Entpacken von stark komprimierbaren Blöcken
bluecow: verbesserte Fehlerbehandlung für die Dekomprimierung fehlerhafter Blöcke
bluecow: Upgrade auf zlib Verion 1.2.1.


v0.30d
----------------------
- 20. November 2003  -
----------------------
.: fehlende benötigte Sprach-Bibliotheken können durch eMule automatisch heruntergeladen und installiert werden
.: Auto-Versionsüberprüfung wurde zu einer DNS-basierten Methode geändert, welche nun effektiver ist. Die Überprüfung ist nun auch standardmäßig aktiv
.: MobileMule-Protokoll auf v6b aktualisiert


----------------------
- 16. November 2003  -
----------------------
Ornis:  geringere CPU Last
Ornis:  Suchliste: Kontextmenü bietet nun auch an, die Datei im pausierten Modus den Downloads hinzuzufügen (wenn erweiterte Kontrollen aktiviert)
Ornis:  ein ausgewählter Datei-Kommentar kann nun in die Zwischenablage kopiert werden [NoamSon]

----------------------
- 7. November 2003   -
----------------------
Ornis:  Abspeichern von Chats (IRC/Nachrichten) , über's Kontextmenü
Ornis:  Einstellungen-Webinterface: aktivieren/deaktivieren der GZIP-Kompression

----------------------
- 5. November 2003   -
----------------------
bluecow: Fehlerkorrektur vom selten auftretenden hängender Server-Quellenanfrage, aufgrund fehlerhaften part.met-Inhalts
bluecow: sicheres Lesen aus der part.met
bluecow: Korrektur eines Problems von zu häufigen Server-Verbindungsversuchen bei sehr kleinen Serverlisten

----------------------
- 2. November 2003   -
----------------------
bluecow: Fixed minor issue with queued local server source requests after new server connect.
bluecow: Fixed sorting of buffered part file blocks to achive less HD stress.
bluecow: Fixed memory leaks and flushing of buffered data to HD of paused files when file was canceled.
bluecow: Files which could not be completed because of not enough free disk space can be resumed manually to try another file completion process.
bluecow: Fixed bug in check min. free disk space which could cause endless low disk space notifications.
bluecow: Improved check min. free disk space for better handling NTFS compressed/sparse files.
bluecow: Fixed a bug where an NTFS compressed file could not be created because there was not enough free disk space to hold the uncompressed file.
Ornis:   Importer aktualisiert, um Downloads von eD/ON v0.48 zu importieren

Unk: Several bugs noted in the forum. Tried to check most of them.
* Sources to a Paused or Stopped file will be removed once an hour to remove old sources..
* We no longer send sources to Paused or Stopped files.
* A better check of valid sources to Part files for source exchange.
* Source exchanges for complete files now sends sources with obtained parts first.
Unk: Removed some redundent For Loops to save CPU in the DownloadQueue..

----------------------
- 30. Oktober 2003   -
----------------------
bluecow: Added grouping of local server source reasks packets into one TCP frame
bluecow: Fixed bug with check diskspace
bluecow: Fixed problem with lost read-only settings in pref.ini after version change
bluecow: Fixed server TCP overhead statistics
bluecow: Fixed HTTP download dialog string resources


v0.30c
----------------------
- 23. Oktober 2003   -
----------------------
bluecow: Korrektur eines Problems bei Dateifertigstellung wenn die Datei zugleich upgeloaded wurde.

----------------------
- 22. Oktober 2003   -
----------------------
Ornis:  es können nun auch Downloads importiert werden, die mit ON/Edonkey im "alten Format" begonnen wurden
bluecow:Korrektur eines Crashbugs und potentiellen Exploits im Webserver interface [thx MoNKi]

----------------------
- 19. Oktober 2003   -
----------------------
bluecow: Korrektur eines Fehlers, der erlaubte Clients ohne IP oder Hash als Freund hinzuzufügen
bluecow: Fehlerkorrektur in Verbindung mit ed2k URL Registry-Schlüssel, welcher Sonderzeichen enthielt
bluecow: Korrektur eines GDI-Ressource-Leaks im Video-Vorschaudialog

----------------------
- 12. Oktober 2003   -
----------------------
Ornis: Import von begonnenen Download von eDonkey/Overnet's "neuem Format" (gesplittete Partfiles). Integrierter Konverter um temporäre Downloaddateien aus ausgewählten Verzeichnissen direkt in eMule zu übernehmen. (Aufruf über das Hotmenü Alt+X)
Ornis: Serverliste markiert den aktuell verbundenen Server

----------------------
- 9. Oktober 2003    -
----------------------
Ornis: dynamische Kategorien-Reiter-Größe
Ornis: verhindern von leerer Datum/Zeit Angabe bei fehlerhafter preferences.ini

----------------------
- 7. Oktober 2003    -
----------------------
bluecow: Fehlerkorrektur, die Uploadliste aktualisierte sich nicht automatisch [Xman1+KuSh]
bluecow: Fehlerkorrektur bei Maus/Tastatur-Zugriff in HyperText-Control [MoNKi]
bluecow: Hinzugefügt: Tastaturkürzel zur Toolbar

----------------------
- 5. Oktober 2003    -
----------------------
bluecow: Fixed bug with server warning messages which were shown as errors.
bluecow: Fixed bug with random drawn block requests in file progress bars.

----------------------
- 4. Oktober 2003    -
----------------------
bluecow: Änderung verschiedener Ressourcen-Strings-Lade-Algorithmen (Übersetzung 5-) um stringbasierte Ressourcenidentifizierer zu unterstützen [SlugFiller+itsonlyme]
bluecow: Hinzugefügt: Downloadlinks können Hostnamen als Quellen enthalten anstatt nur IPs. Der eigene Hostname kann in den Einstellungen gesetzt werden um diese bei ed2k-Links mit Quellen zu nutzen. [SlugFiller+itsonlyme]
bluecow: Hinzugefügt: deutliche Geschwindigkeitsverbesserungen im bar-shader-Code (Balken-Zeichnung) [SlugFiller]
bluecow: Hinzugefügt: verbesserte/schnellere Sortierung von kompletten-Quellen-Angaben [SlugFiller]
bluecow: Fehlerkorrektur eines Darstellungfehlers im Upload-Status-Balken [wistily]
bluecow: Hinzugefügt: Option zum Prüfen des freien Festplattenspeichers, um sicherstellen zu können, dass komplette Downloads auch Platz haben [SlugFiller]
bluecow: Hinzugefügt: Option um sicherzustellen, dass ein angegebener Speicherplatz auf der Festplatte freigehalten wird
bluecow: Hinzugefügt: Dekomprimieren von NTFS-Komprimierten Dateien für fertiggestellte Downloads
Ornis:   Download-Geschwindigkeitslimits manuell aufhebbar

----------------------
- 1. Oktober 2003    -
----------------------
bluecow: ersehnter "Mehr"-Knopf in der Suche, um mehr Resultate vom lokalen Server abzufragen
bluecow: Tooltips für das Transferfenster neu geschrieben, um mehrere kleine Unstimmigkeiten zu beheben
bluecow: zwischengespeicherte Partfile-Daten werden explizit geschrieben, bevor eine Vorschau ausgeführt wird
bluecow: Partfile-Plattenplatznutzung wird unter Berücksichtigung der NTFS-Kompression und/oder NTFS-Sparse-Files-Nutzung ermittelt
Ornis: neue Übersetzung: Tschechisch, von Patejl


v0.30b
----------------------
- 25. September 2003 -
----------------------
bluecow: Server TCP-Verbindung "keep-alive"-Funktion hinzugefügt (erweiterte Einstellungen).
bluecow: Die Tooltips bei den Suchergebnissen werden nur noch angezeigt wenn SHIFT und STRG gleichzeitg gedrückt werden während der Mauszeiger auf einem Ergebnis steht.

----------------------
- 24. September 2003 -
----------------------
.: Erweiterung der Vorschau Funktion: Es können bis zu 5 Screenshots der ersten ~10min einer Video Datei empfangen werden, wenn der andere die Anzeige seiner freigegebenen Dateien erlaubt
.: MobileMule Protokoll v5. Es muss ebenfalls der neue Handyclient verwendet werden.
.: Einige Code Änderungen von eMule+ übernommen
Ornis: Mehr Platz für Kategorien
Ornis: Die Anzahl der Andere-Datei-Angefordert-Quellen wird für jeden Download mit +xx angezeigt wenn die zusätzlichen Kontrollen aktiviert sind.

----------------------
- 21. September 2003 -
----------------------
Ornis: Statistiken über den Festplatten Verbrauch hinzugefügt [emule+]

----------------------
- 18. September 2003 -
---------------------- 
bluecow: Bug Fix: Ungültige Client Objekte nachdem eine Datei aus der Freigabe genommen / hinzugefügt wurde [zegzav]
bluecow: ALT + Doppelklick öffnet den Dateidetail Dialog in der Liste der freigegebenen Dateien und bei den Suchergebnissen
bluecow: Einige Formatierungsfehler behoben [mandrag0re]

----------------------
- 15. September 2003 -
----------------------
bluecow: Alle vorhandenen mp3 ID Tags werden für Downloads und freigegebene Dateien angezeigt 

----------------------
- 14. September 2003 -
----------------------
bluecow: Lugdunum 16.40 Server Erweiterung: Suchergebnisse werden in einem UDP Paket gebündelt [Dank an Lugdunum für Zusammenarbeit]
bluecow: Anpassung der UDP socket Behandlung für grosse UDP Pakete
bluecow: Erweiterete Log Fehlerausgabe für das Server UDP Protokoll
bluecow: Optimierung der UDP Server sockets für geringere CPU Last (weniger Speicheroperationen)
bluecow: Bug-Fix: Sperrung der Client UDP sockets wurde nicht korrekt abgefragt
bluecow: Einzelne Suchergebnisse speichern ihre Einstellungen. Diese werden wiederhergestellt wenn man das betreffende Suchfenster aktiviert
bluecow: Verbesserung in der Bedienung: Wird ein Suchfenster geschlossen wird das vor dem geschlossenen aktiviert
bluecow: Die zuletzt verwendeten Suchparameter werden auch über eMule Neustarts hinweg gespeichert
bluecow: Die IP Eingabe bei neuer Server akzeptiert Server jetzt auch im eD2k Link Format
bluecow: Freigegebne Dateien und welche die sich gerade im Download befinden werden nicht mehr gegen die maximale Anzahl der Suchergebnisse gezählt

----------------------
- 11. September 2003 -
----------------------
bluecow: Log-Funktion um das Server TCP/UDP Protokoll erweitert
bluecow: Unterstützung der Welcome Nachricht der neuen Lugdunum 16.40 hinzugefügt
bluecow: Unterstützung der Lugdunum 16.40 Protokoll Kompression: Welcome Nachricht und Suchresultate werden komprimiert empfangen; die Liste der freigegebene Dateien komprimiert gesendet
bluecow: Unterstützung der Lugdunum 16.40 UDP Protokollerweiterungen: Globale Quellensuche wird effizienter und verbraucht weniger Bandbreite
bluecow: Bug-Fix in der Namensauflösung
bluecow: Automatischer Start einer Globalen Suche falls der lokale Server nicht innerhalb 50s antwortet
bluecow: Bug-Fix: Das Fenster zum Hinzufügen mehrerer eD2k Links akzeptierte nur 3-4 Links

----------------------
-  1. September 2003 -
----------------------
bluecow: Meta-Daten und Datei-Kommentare Dialoge in Property Pages konvertiert sodass diese gemeinsam mit dem neuen Dateidetail-Dialog angezeigt werden können. Alle Property Sheets/Pages Dialoge in der Größe beliebig veränderbar; zuletzt benutzt Größe u. Position wird gespeichert
bluecow: Hinzugefügt: Neue "Match keywords" Suchoption für beide Jigle-Suchmethoden.

----------------------
- 30. Aug 2003       -
----------------------
bluecow: Bei einer Suche nach einem File mit Typ "Programm" werden die Suchresultate nicht mehr entsprechend den Windows Programm Fileextensions (*.exe, *.com, *.bat) lokal gefiltert. Die Bedeutung des eD2K Filetyps "Programm" beinhaltet alle Filetypen die von einem "Programm" benutzt werden, also z.B. komprimierte Archive oder CD-ROM Images. Das bedeuted, dass du mehr Suchresultate bekommst. Wenn du trotzdem nach einem Windows Programm File suchen möchtest, gibt die Fileextension "exe" an.
bluecow: Hinzugefügt: Proxy-Support für IRC; alle Proxy-Einstellungen werden jetzt auch für IRC benutzt
Ornis:   bugfix im Webinterface socket code, [Jan B.,nice bugreport]

----------------------
- 29. Aug 2003       -
----------------------
Ornis: Dateidetail-Dialog neu strukturiert, + Datumsanzeige des Downloadstarts sowie der Zeitdauer seitem (bis zur aktuellen Zeit bzw. Downloadfertigstellung)
Ornis: hinzufügen einiger fehlender Prozentanzeigen
Ornis: Option für Zeitplaner, um keine Endzeit anzugeben (-> nicht temporär)

----------------------
- 26. Aug 2003       -
----------------------
bluecow: Änderungen im Jigle gSOAP Module für bessere Performance und zuverlässige und korrekte Compilierung der Sourcen von Moddern (Modder: stelle sicher, dass die Jigle gSOAP Sourcen mit dem Symbol WITH_GZIP compiliert werden!); eine Jigle Suchanfrage muss entweder einen Filetyp oder eine Fileextension beinhalten; HTTP User-Agent Feld beinhaltet eMule-Version.
bluecow: Korrektur einiger Fehler im neuen ComboBox control (keyboard interface).
bluecow: Mehrere Änderungen in der GUI der neuen Suchresultatliste; korrekte Farbdarstellung unter allen Windows Farbschema; Sortierung der Filenamen-Listeinträge

----------------------
- 24. Aug 2003       -
----------------------
bluecow: Hinzugefügt: Neue Suchmethode "Jigle SOAP Interface" um die Jigle-Datenbank mit eMule benutzen zu können [Vielen Dank an Melange von Jigle, der dieses großartige Feature eMule angeboten hat]
bluecow: Jigle SOAP Interface: Suchresultate werden auf 100 Files limitiert; Code-Optimierungen zur Entlastung des Servers; lokales Filtern der Suchresultate
bluecow: Hinzugefügt: Erweitertes ComboBox Control für Suchmethode [eMulePlus]

----------------------
- 22. Aug    2003    -
----------------------
Unk: Irc: Nicks werden nun richtig sortiert
Unk: Irc: wenn ein anderer Nick ein eMule'er ist, kann dieser direkt als Freund hinzugefügt werden (beide Clients müssen v0.30b oder höher sein)
Unk: Irc: Downloadlinks können nun direkt an andere eMule-Clients gesendet werden. (DCC-ähnlich, beide Clients müssen v0.30b oder höher sein)
Unk: Senden der freigegebenen Dateien an Server wurde verbessert, um Datenverkehr zu verringern
Unk: Hinzugefügt: Anzeige einer Abzahl-Abschätzung vollständiger Quellen in der Downloadliste und Freigabeliste [Zegzav,modifiziert]

----------------------
- 20. Aug 2003       -
----------------------
Ornis: Korrektur einiger Statistikwerte, gebannte Quellen, A4AF-Quellen
Ornis: Fehler in der Webinterface-Suche korrigiert
Ornis: Korrektur: beim Sprachenwechsel wurden einige Texte nicht aktualisiert [itsonlyme]

----------------------
- 19. Aug 2003       -
----------------------
bluecow: Sprach-DLLs werden nur dann geladen, wenn die Versionsnummer mit der eMule-Version übereinstimmt.
bluecow: Textfarben für Suchresultate u. Log-Fenster bzgl. Kontrast-Windows-Farbschema korrigiert.


v0.30a
----------------------
- 15. Aug 2003       -
----------------------
bluecow: Hinzugefügt: Dialog zur Anzeige von eD2K Meta Daten für Suchresultate, Download-Files und Shared-Files. Der entsprechende Eintrag im Kontextmenü ist nur im "Modus für Fortgeschrittene" vorhanden.

----------------------
- 14. Aug, 2003     -
----------------------
.: Einige neue Überprüfungen wurden hinzugefügt and Reparaturen gemacht um unfair Clients zu verhindern
.: Die TCP (lokal) und UDP (global) Quellensuche für Benutzer die viele Dateien auf einmal laden wurde geändert um eine Serversoftware wieder glücklich zu machen und Blacklisting zu vermeiden
.: Nichtmehr benutzte Credits werden nach 5 Monaten gelöscht (um den dafür benötigten Speicher in Grenzen zu halten) 

----------------------
- 12. Aug, 2003      -
----------------------
bluecow: Server-Fehlermeldungen werden nicht mehr im Serverinfo-Fenster sondern im Log-Fenster angezeigt.
bluecow: ED2K File Meta Daten die während einer Filesuche empfangen wurden, werden gefiltert um nicht unnötige Daten im part.met und schließlich auch im known.met File zu speichern.
bluecow: Mehrere Änderungen bei der Vorschau Funktion: Die Vorschau Funktion wird freigeschalten, wenn mindestens 16 KB (MPEG Audio/Video) oder 256 KB am Anfang des Files vorhanden sind. Die Vorschau Funktion wird auch für Files vom Typ "CD-ROM Image" bzw. für Files deren ED2K Meta Daten einen Audio/Video Eintrag beinhalten freigeschalten. Um diese neue Vorschau Funktion zu benutzen, ist entweder VideoLAN Client als Video Player für Vorschau zu konfigurieren oder das 'PreviewSmallBlocks=1' (Section=eMule) Setting im preferences.ini File anzugeben und die Option "Erstelle Kopie für die Vorschau" auszuschalten.
Ornis:   präzisere Statistiken für: gerettet durch ICH, Kompressionsgewinn & Korruptionsverlust
Ornis:   kleinere GUI Korrekturen/Änderungen

----------------------
- 10. Aug, 2003      -
----------------------
Ornis: "Quellenrecycling" (wenn Quellen an andere Dateien übergeben werden (NNP,...)) beachtet nun Prioritäten der Downloaddateien und ist sicherer gegen endloses hin- & herreichen
Ornis: Alt-Enter öffnet Detail-Dialog für Downloads & User
Ornis: hinzugefügt: Erweiterte Chunk Selektion, für eine bessere Wahl, welcher Teil einer Datei als nächstes heruntergeladen wird [Maella & jicxicmic]

----------------------
- 4. Aug, 2003       -
----------------------
bluecow: Hinzugefügt: Extrahieren von Meta Daten und Audio/Video Charakteristika für MP3,AVI,MPEG und andere Files. Um diese Funktion auszuschalten benutze das "ExtractMetaData" Setting (File=preferences.ini, Section="eMule", Name=ExtractMetaData, Value=0 (disable), Value=1 (einschalten für MP3 und AVI Files), value=2 (Standard; einschalten für MP3, AVI, MPEG und andere Files).
bluecow: Hinzugefügt: Senden von Meta Daten und Audio/Video Charakteristika für MP3,AVI,MPEG und andere Files an Server und andere Clients. Die Text Meta Daten (z.B. Title, Author, Album) werden nicht an die Server aber an andere Clients gesendet. Daten die an die Server gesendet werden, beinhalten: Audio/Video Codec, Media Länge und Bitrate.
bluecow: Mehr Sicherheit beim Überprüfen von sharebaren Files im temporären Verzeichnis.

----------------------
- 2. Aug, 2003       -
----------------------
bluecow: Hinzugefügt: Server Info Window mit optionalen Autoscroll, rotierendem Log, Copy+Paste.
bluecow: Hinzugefügt: Option um den Server UDP Port einzustellen bzw. auszuschalten (file=preferences.ini, section="eMule", name=ServerUDPPort, value=0 (keinen Server UDP Port verwenden), value=65535 (standard, einen zufällig gewählten Server UDP Port verwenden), value=<n> (UDP Port)
bluecow: Hinzugefügt: Einige ausführliche Server Socket Error Messages.
bluecow: Korrektur: Einige kleine Focus Problem im Suchfenster.
bluecow: Hinzugefügt: Mehr Spalten im Suchfenster um neue ed2k Meta Tags anzuzeigen.
bluecow: Format von Datum/Zeit Strings ist nicht mehr von der ausgewählten Sprache abhängig.
bluecow: Hinzugefügt: Statusbars von Files im Pause Modus werden mit abgeschwächten Farben angezeigt [SlugFiller grayPause]

----------------------
- 1. Aug, 2003       -
----------------------
bluecow: Taskbar Notification für "Download beendet und hinzugefügt" aufgeteilt

----------------------
- 30. Juli, 2003    --
----------------------
bluecow: Sicherheitskorrekturen einiger Log-Meldungen [thx i0nic]

----------------------
- 29. Juli, 2003    --
----------------------
.: Einige kleinere Änderungen/Bugfixes am SecureHash wurden gemacht. Außerdem kann ein Client mit dem Status "Ungültig" keinen FreundSlot mehr erhalten
 : MobileMule Protokoll 0.3x wurde hinzugefügt (siehe mobil.emule-project.net für mehr Infos)
bluecow: ED2K Protokoll: Korrektur von OP_FILESTATUS für Files mit einer Länge von PARTSIZE*N
bluecow: Korrektur: Absturz beim Schließen wenn interne File Puffer auf HD geschrieben wurden
bluecow: Korrektur: Einige Clients die mehr als ein OP_HELLO sendeten wurden falsch behandelt.

----------------------
- 27. Juli, 2003    --
----------------------
bluecow: Korrektur: Behandlung von Hashsets für Files mit einer Länge von PARTSIZE*N
bluecow: Korrektur: Ungültige Einträge in known.met werden beim Starten entfernt
bluecow: ED2K Protokoll: OP_SETREQFILEID wird nicht mehr für Files mit einer Länge <= PARTSIZE gesendet
bluecow: ED2K Protokoll: OP_FILEREQANSNOFIL wird nicht mehr beim Empfangen von OP_FILEREQUEST gesendet

----------------------
- 25. Juli, 2003     -
----------------------
Ornis:   manuelles Deaktivieren der Autovervollständigung: setze in der "config\preferences.ini" den Eintrag "UseAutocompletion=0"
Ornis:   Webinterface: Sortieren von Suchergebnissen ermöglicht
bluecow: Es kann in allen Listen mit der Tastatur gesucht werden (einfach die ersten Zeichen des gesuchten Labels eintippen) [ZZ]

----------------------
- 22. Juli, 2003     -
----------------------
bluecow: Korrektur/Hinzugefügt: Unbeabsichtigtes Freigeben der eMule Installationsverzeichnisse (config, lang, webserver) und einiger Dateitypen im Temp-Verzeichnis.
bluecow: Korrektur: Einem Client wurden manchmal korrekt komprimierte Daten gesendet, trotzdem konnte der empfangende Client diese nicht immer korrekt dekomprimieren.
Ornis  : Position des Drag&Drop-Bildes beim Schieben von Downloadeinträgen korrigiert

----------------------
- 20. Juli, 2003     -
----------------------
Ornis: IRC- & Nachrichten-Dialoge nutzen nun auch direkt schließbare Reiter
Ornis: History-Funktion für das IRC- & Nachrichten-Fenster, um alte eingegeben Nachrichten via Cursor hoch/runter abzurufen
Ornis: Doppelklick auf die Serverinformation der Statusleiste öffnet ein Dialog mit den Details des aktuell verbundenen Servers
Ornis: neue Downloads via Browser-Link werden nun auch der in der Suche aktuell gewählten Zielkategorie zugeordnet
Ornis: Leeren der History der Suchbegriffe/Serverlisten-URLs : ALT oder STRG gedrückt halten, + ENTFERNEN drücken
Ornis: Statistiken: Prozentanzeige der erfolgreichen&fehlgeschlagenen Uploadsessions eingefügt
Ornis: Zählen der fehlgeschlagenen Uploadsessions korrigiert [Maella]

----------------------
- 19. Juli, 2003     -
----------------------
bluecow: Korrektur: Download von Files mit einer Länge von 9728000 Bytes.
bluecow: Korrekturen/Hinzugefügt: Mehrere Teile von SlugFiller's SafeHash [SlugFiller]
- SafeHash: Known file hashing features
- SafeHash: Miscellanious safety and tweaking features
Ornis:   verbesserte Aktualisierung der Downloadliste bei neuen Quellen einer (Quelle-)aufgeklappten Download-Datei
Ornis:   Korrektur eines Typos im Webinterface, der u.U. Instabilitäten verursachten konnte
Ornis:   2 Einstellungsmöglichkeiten im Webinterface (wieder) hinzugefügt
Ornis:   automatisches Zuweisen von neuen Downloads zu Kategorien anhand eines Filters [HoaX69
bluecow: Upgrade auf CTreeOptionsCtrl v1.55 [thx PJ Naughter]
bluecow: Neue Log Panes, Multiline Edit Controls mit optional Auto Scroll und Rotating Log.
(Note: The previously used "MaxLogMessages" entry in preferences.ini is obsolete and is replaced with "MaxLogBuff" which
can be used to specify the size of the buffer(s) in KByte. Default size = 64 KByte)
bluecow: Searchresult list: Search results which match files in the download list are shown in a fixed shade of red.
bluecow: Font for Server-, Message- and IRC-Window can be specified.
bluecow: Timestamp setting for IRC-Chat also applies timestamps to messages from clients in Message window.
bluecow: Timestamps in IRC-Window and Message-Window localized.
bluecow: Added memory debug statistics for debug builds only [UVman]

----------------------
- 18. Juli, 2003     -
----------------------
Ornis: Hinzugefügt: manuelles Verwalten von Quellen, bei mehreren Anfragen bei gleichen Clients (A4AF) [basierend auf sivka,enkeyDEV]
Ornis: Hinzugefügt: automatisches Zuweisen neuer Downloads zu Kategorien, anhand von Dateinamen-Filtern  [HoaX_69]
Ornis: Korrektur des Zeitplaner-ini-Speicherorts -> \config\

----------------------
- 16. Juli, 2003     -
----------------------
bluecow: Korrektur: Download von Files mit einer Größe von mehr als 2 GB [thx Maella]
Ornis:   Korrektur: spanische & franz. Übersetzungsfehler->wenig Suchergebnisse
Ornis:   verbesserte Aktualisierung der Secure-Ident-Statistikanzeige


v0.29c
----------------------
- 13. Juli, 2003     -
----------------------
bluecow: Mehrere kleine Korrekturen und Code Verbesserungen [Maella, dpr, rayita]

----------------------
- 11. Juli, 2003     -
----------------------
Ornis+bluecow: String Resourcen in Language Resource DLLs aufgeteilt [Elandal]

----------------------
- 9. Juli, 2003      -
----------------------
bluecow: Korrektur im IPFilter.

----------------------
- 7. Juli, 2003      -
----------------------
bluecow: Hinzugefügt: LAN-IP und IP-Filter für Server IPs und für Client IPs die von Servern oder von anderen 
Clients empfangen wurden (Source Exchange).
Beachte: Die Option "Server/Filtere ungültige IPs" wurde dahingehen erweitert dass nun die Server IPs und die 
Client IPs bzg. LAN IPs gefiltert werden. Weiters wurde diese Option von der "Server" Page auf die 
"Erweitere Optionen" Page verschoben und lautet nun "Filtere Server und Client LAN IPs". Wenn eMule innerhalb 
eines LANs eingesetzt wird, ist das Desaktivieren dieser Option womöglich sinnvoll um die Kommunikation mit 
Servern und Clients innerhalb des LANs zu ermöglichen.

----------------------
- 5. Juli, 2003      -
----------------------
.: Einige Sicherheitskorrekturen wurden am SecureHash gemacht. Außerdem ist dieser nun in der Standarteinstellung aktiviert.
.: Die Wartepostion ist nun auch durch SecureHash geschützt (wenn eingeschlatet)
.: ein Bug der zur Folge hatte das Quellen falsche Informationen und Dateikommentare/namen hatten wurde behoben
bluecow: Korrektur mit 'completing' Datei die gleichzeitig im Uploaded stand.
bluecow: Korrektur von Datei Preview wenn der Pfad Leerzeichen beinhaltet [mediterranean]
bluecow: Korrektur: Fehler beim Disconnecten und Löschen Clients [SlugFiller]
bluecow: Korrektur: Fehler in Statistiken. Error- und Banned Clients wurden nicht korrekt ausgwertet.

----------------------
- 2. Juli, 2003      -
----------------------
bluecow: Besseres Filtern der Sourcen bzlg. gülter IP+Port die bei einer Dateisuche gefunden werden.
bluecow: Hinzugefügt: Boolsche Suchausdrücke (AND, OR und NOT Operator sowie Klammerungen)

----------------------
- 1. Juli, 2003      -
----------------------
bluecow: Korrektur: Suchanfragen haben das falsche Metatag für die File-Extension benutzt.
bluecow: Hinzugefügt: Spalte in Server-Fenster um Server-Version anzuzeigen.
bluecow: Korrektur: Server mit 0.0.0.0 IP wurden manchmal zur serverlist hinzugefügt
bluecow: Korrektur: Länge der komprimierten Control Data Packete [thx MKThunderStorm]
bluecow: Optimierung bei Source Exchange wenn ein Client zum ersten mal nach Sourcen gefragt wird.

----------------------
- 30. Juni, 2003     -
----------------------
bluecow: Hinzugefügt: min/max filesize im Suchendialog kann mit einer der Einheiten (b[yte],k[byte],m[byte],g[byte]) angegeben werden.
Ornis:   kleine Anpassungen in der Dateinamen-Bereinigung
Ornis:   Webinterface: Korrektur der Einstellung für die richtige Seitencodierung türkischer Nutzer

----------------------
- 29. Juni, 2003     -
----------------------
bluecow: Korrektur von Memleaks in Uploadclients, hervorgerufen durch Clients die zu große Blöcke anfragen
bluecow: Korrektur von Memleaks bei doppelt gehashten Dateien
bluecow: mehrere Änderungen für stabileren Code und weniger potentielle Memleaks
Ornis:   Korrektur gegen Abstürze nach Verbindungstrennung des IRC
Ornis:   Anzeige der aktuellen Größe von Partfiles auf der Festplatte (Dateidetails & Tooltips)
Ornis:   kleinere GUI Korrekturen

----------------------
- 27. Juni, 2003     -
----------------------
bluecow: Hinzugefügt: Liste freigegebener Dateien werden mit ClientIP & Port zum Server geschickt, um mehr Quellen bei globalen UDP-Suchanfragen zu erhalten
bluecow: Hinzugefügt: Liste freigegebener Dateien wird mit mehr Metatags zum Server geschickt, um genauere Suchresultate bei Dateierweiterung & -typ zu erhalten
bluecow: Hinzugefügt: Tooltips für Suchresultate um alle Meta-Daten anzuzeigen.

----------------------
- 25. Juni, 2003     -
----------------------
bluecow: Hinzugefügt: Overlay Icons für Clients die erfolgreich mit Secure-Ident identifiziert wurden.
bluecow: Korrektur: Fehler bei GetTickCount Zeit Messung [dpr]
Ornis:   Hinzugefügt: Secure-Ident-Statistik (wie viele erfolgreiche & fehlgeschlagene Clients bekannt)
Ornis:   Korrektur: Menü-Resourcen-Bug im Einstellungsdialog/Zeitplaner
Ornis:   Korrektur: Crash der türkischen Übersetzung


v0.29b
----------------------
- 17. Juni, 2003     -
----------------------
bluecow: Dragstart von Kategorien nicht mehr übersensibel
Unk: Irc: erkennt nun auch UnderOps.
Unk: Pings (für Info) zu Servern sind nun seltener
Unk: Bugfix bzgl. der Pausen zwischen Server-Pings
Unk: kleiner Bugfix in den Statistiken
Ornis:genauere Downloadgeschwindigkeitsangabe [zz]

----------------------
- 15. Juni, 2003     -
----------------------
bluecow: Korrektur: gelöschter Client konnte u.U. für die A4AF-Statistik genutzt werden
bluecow: Überarbeiung d. Ext. Settings Dialog um zukünftig mehr Optionen zu unterstützen
Ornis:   Webinterface: Links are relative now
Ornis:   verbesserter Umgang mit UNC-Pfaden für die Verzeichnisfreigabe
Ornis:   known.met wird nun korrekt im Konfigurationsverzeichnis verarbeitet
Ornis:   verbesserte Prüfung, welche neuen Dateien gehasht werden müssen
.: Ein neues sichers Identifkationssystem (gegen userhash "stehlen") wurde implementiert. Aus Testgründen ist es in Version 29b per Voreinstellung deaktiviert. Unter Sichherheitseinstellungen kann es aktiviert werden. Bitte konsultiere die FAQ für mehr Infos.
.: Der erste Teil eines erweiterten Spamfilters, der automatisch verdächtige Nachrichten erkennt und filtert wurde implementiert.

----------------------
- 13. Juni, 2003     -
----------------------
Ornis: Webinterface: Graphen verbessert, größer, schöner, inklusive Verbindungsgraph [emule+]
Ornis: Webinterface: Knopf zum Entfernen fertiggestellter Downloads
Ornis: Liste freigegebener Dateien: Mittelklick auf einen Eintrag öffnet dessen Kommentardialog
bluecow: Implementierung der ed2k-Protokoll-Nachricht OP_CHANGE_CLIENT_ID für besseren Umgang mit LowID-Quellen
bluecow: Korrektur mehrerer Probleme beim Umgang mit uninitialisierten Speicherinhalten [donq]
bluecow: Korrektur eines Problems beim Empfang falscher IDs von einem Client
bluecow: Workaround für vereinzelte Abstürze durch Socket-Löschung bei Win-XP Nutzern

----------------------
- 12. Juni, 2003     -
----------------------
bluecow: Korrektur mehrerer potentieller Heap-Corruptions.
bluecow: Korrektur von Problemen mit der Downloadraten-Messung, welche einen Absturz auf langsamen/Win98 Systemen hervorrufen konnte
bluecow: Korrektur eines Problems beim Verarbeiten von fehlerhaften OP_HELLO -Paketen von anderen Clients

----------------------
- 9. Juni, 2003      -
----------------------
bluecow: Option hinzugefügt, um den Sicherheitsgrad für das Schreiben von Kerndatei-Daten anzupassen (evtl. hilfreich für Win98 Nutzer) [Idee SlugFiller]

----------------------
- 8. Juni, 2003      -
----------------------
bluecow: Für Modder: Möglichkeit für das Compilieren des Sourcecodes für stringbasierte Ressourcenidentifikation (suche nach USE_STRING_IDS !)

----------------------
- 7. Juni, 2003      -
----------------------
bluecow: Fehlerkorrektur im Server-Nachrichtenhandler für OP_SERVERIDENT
bluecow: verbessertes Handling der Server-Nachrichten OP_SERVERMESSAGE und Client-Nachrichten OP_MESSAGE.

----------------------
- 6. Juni, 2003      -
----------------------
Ornis: Fix: Speicherort eigener Kommentare korrigiert (config-Ornder)
Ornis: Webinterface: Kategoriensupport bei Spaltensortierung korrigiert
bluecow: Korrektur eines potentiellen Problems mit dem Systemtray-Icon bei Win98-Systemen (Vielen Dank an Ergol/donq)
bluecow: Größe von Suchausdrücken verringert


0.29a
----------------------
- 2. Juni, 2003      -
----------------------
Ornis: Win9x-Inkompatibilität korrigiert (Win9x absturzfreudig)
Ornis: einige Menüs wurden nicht auf die neue Sprache umgestellt, wenn diese geändert wurde - korrigiert

----------------------
- 1. Juni, 2003      -
----------------------
bluecow: Quellen von der lokalen/globalen Serversuche werdeb vorgefiltert, um falsche Anzeigen in der Quellenspalte der Suchliste zu vermeiden, als auch von manchen Servern falsch geschickten Quellen
bluecow: Korrektur eines Fehlers bei fertiggestellten Dateien, welche beim Neustart neu gehasht wurden und einen Doppeleintrag in der known.met verursachen konnte

----------------------
- 31. Mai, 2003      -
----------------------
bluecow: Korrektur eines Problems mit Servern welche verschiedene Serverbeschreibungspakete während der Laufzeit schicken

----------------------
- 29. Mai, 2003      -
----------------------
bluecow: Korrektur: Temp-Verzeichnis wurde unter Umständen auf das Incoming-Verzeichnis gesetzt
bluecow: Korrektur: kleiner Fehler beim Dateiöffnen- und Verzeichnissuchen-Dialog und den zugehörigen Property-Pages
Ornis: Erkennung von Shareaza für allg. Information und Statistiken
Ornis: neue Sprache: Galizisch (von Emilio)

----------------------
- 28. Mai, 2003      -
----------------------
bluecow: Fixed memory leaks in uploader.
bluecow: Fixed memory leaks in all timer callback functions; added exception handling.
bluecow: Reduced GDI resource usage for Win9x/WinME.
bluecow: Added more debug log messages for unknown TCP packets.
bluecow: Statusbar text is cleared when reseting the log or debug log.
bluecow: Fixed missing file exception handler in upload function.

----------------------
- 27. Mai, 2003      -
----------------------
bluecow: Korrektur einiger Probleme mit part.met/part-Dateien die zu gross/klein sind (potentieller File-Completion bug). [SlugFiller]
bluecow: Korrektur: Nicht freigegebener Speicher im Archive Recovery thread.
bluecow: Korrektur: Absturz im Archive Recovery thread bei Archive das gerade "completed" wird.

----------------------
- 26. Mai, 2003      -
----------------------
Ornis: Webinterface: Korrektur: u.U. wurden aktive Downloads als fertiggestellt dargestellt
Ornis: neue Sprache: Galizisch (von Emilio)
bluecow: Korrektur: Nicht freigegebener Speicher im WebSocket.
bluecow: Korrektur: Nicht freigegebene GDI Resourcen und falsch benutzt GDI Resourcen
bluecow: Proxy Error Meldungen. Einschalten mit Eintrag "ShowErrors=1" in "[Proxy]" Section von PREFERENCES.INI.
bluecow: Korrektur: Doppelte Quellen durch Source Exchange Packete mit falschen Versionsnummern.
bluecow: More reliable identification of clients sending an UDP packet by searching clients with IP and UDP port

----------------------
- 24. Mai, 2003      -
----------------------
Ornis: Konfigurationsdateien haben ein eigenes Verzeichnis "config\". Dies kann nicht freigegeben werden. Beim Erststart werden alte Konfigurationen dorthin verschoben.
Ornis: Kategorien-Reiter sind nun sortierbar (Drag&Drop)

----------------------
- 21. Mai, 2003      -
----------------------
VQB:  LowID-Uploadslot-Behandlung alterniert nun mit HighID-Uploads
VQB:  Code-cleanup und Änderungen zu mehr Integerarithmetik [Elandal]
Ornis:Webinterface: Fortschrittsbalken zeigt Blauabstufungen, je nach Quellenanzahl von Dateiteilen [Ju1i3n]
VQB:  Anpassung der Reihenfolde für QR (high speed -> low speed DL gefolgt von low -> high QR)

----------------------
- 19. Mai, 2003      -
----------------------
Ornis: Webinterface: fix: ED2k-Links in Kategorie downloaden
Ornis: Webinterface: Transferliste nun mit weiteren Kategorien (Dateityp,Status)
Ornis: Aktualisierung der Skala der Statistik-Graphen wenn up/down Bandbreite übers Webinterface geändert wird
Ornis: Asynchsocket auf v1.2 aktualisiert
bluecow: Korrektur potentieller Probleme unter Win98 betreffend einiger Windows Messages.

----------------------
- 17. Mai, 2003      -
----------------------
bluecow: Korrektur im Serverfenster: Server werden korrekt nacj IP sortiert.
bluecow: Korrektur: Es werden keine Backup Dateien mit 0 Byte Länge oder mit fehlerhaftem Inhalt erzeugt.
bluecow: Korrektur: Exception handling und zuverlässige Speicherfreigabe im Falle eines Fehlers für alle met-Dateioperationen.
bluecow: Alle eMule Fehlermeldungen die sich auf Dateien beziehen beinhalten eine Fehlermeldung vom Betriebssystem.
bluecow: Suchen:Suchname , Server:Servermet-URL - diese Kontrollen beinhalten eine Liste der zuletzt benutzten Einträge (aka Autovervollständigung), AltGr+Entfernen löscht jeweils die History
bluecow: Serverfenster/Suchfenster: Im Listview kann mit einem Dialog gesucht werden (Ctrl+F,F3,Shift+F3)
Ornis: Korrektur: Win9x-Crash, beim Zugreifen auf das Kategorien-Reiter-Popupmenü für das Einstellen des Filters des ersten Reiters
Ornis: Korrektur, bzgl. Vorschau von Archiven vor jeglichem Download 
Unk: Fix small overhead bug
Unk: irc: Liquid updated their ircd. It broke eMules IRC.. It is now updated..
Unk: irc: eMule now should support multi mode commands.

----------------------
- 16. Mai, 2003      -
----------------------
bluecow: Korrektur: Beim Kopieren von Text ins Windows Clipboard, konnte es zu nicht freigegebenen Windows Resourcen kommen.
Ornis: viele neue Statistiken hinzugefügt (von Khaos)
Ornis: Fehlerbehebung im Zeitplaner
Ornis: konfigurierbares Datums-/Zeitformat des Logs

----------------------
- 15. Mai, 2003      -
----------------------
bluecow: Korrektur des LowID Fehlers der durch beschädigte part.met Dateien hervorgerufen wurde.
bluecow: Korrektur des Ladens der part.met Dateien: Bei einer beschädigten part.met Datei wird der Ladevorgang fortgesetzt.
Sony: Problem behoben für sehr grosse Datein in MSVC 7.1 release builds; Korrektur beim "Minimiere zu Icon" Button (danke zegzav)


0.28b:
----------------------
- 8. Mai, 2003       -
----------------------
Ornis: Kategorien: erweiterte Auswahl von Funktionen des alten "alle"-Reiters. Umschaltbar auch zu u.a. Video, Audio, Pausiert, Ladend, Übertragen,...
Ornis: Upload-, Warteschlange- und Bekannteclients-Listen werden nun mit der Anzahl der aufgelisteten Clients angezeigt
Ornis: anderes Trayicon, wenn eMule mit einer niedigen ID zum Server verbunden ist (eMule mit Augenbinde (emule+) )
Ornis: Webinterface: Kategorienunterstützung
Ornis: Webinterface: stellt nun auch fertig übertragende Dateien dar

----------------------
- 3. Mai, 2003       -
----------------------
bluecow: Korrektur: Nicht freigegebener Speicher beim Download von server.met via HTTP [UVman]

----------------------
- 2. Mai 2003        -
----------------------
bluecow: Korrektur einer weiteren Möglichkeit dass ein ungewollter Client zu einem Freund wird.

----------------------
- 28. April 2003     -
----------------------
bluecow: Kleine Korrekturen bei Icons in Server- und Nachrichtenfenster.
bluecow: Standard Shortcuts für Log- und Debug-Listview Controls (Kopieren=Strg+C, Alles Selektieren=Ctrl+A)
Ornis:   Websuche von Filedonkey.com filtert nun auch mittels Dateigrößenbeschränkung

----------------------
- 27. April 2003     -
----------------------
bluecow: Überarbeitung des gesamten Packet Lese-Codes um ein zuverlässiges Exception Handling und Speicherfreigabe zu ermöglichen.
bluecow: Überarbeitung des Meta Tag Verarbeitung-Codes um neue Meta Tags zu unterstützen.
bluecow: Korrektur: Files die auf Pause oder Stopp gesetzt wurden konnten manchmal weiterhin empfangene Daten in das Partfile schreiben.
bluecow: Neu: Passive Quellensuche für neu zur Downloadliste hinzugefügte Dateien die noch nicht geshared wurden.
bluecow: Korrektur: Kleinere nicht freigegebene Speicherblöcke und nicht korrekte Verwendung des C++ delete Operators [NoamSon]
Ornis:   Webinterface weist IPs nach 5 fehlgeschlagenen Loginversuchen für 15 Minuten ab
Ornis:   Bereinigung von Dateinamen: Anpassbarer Teilstringfilter (.ini : FilenameCleanups= )
Ornis:   Option zur automatischen Dateinamenbereinigung bei Downloadstart (Einstellungen/Dateien)

----------------------
- 26. April 2003     -
----------------------
Ornis: wenn der verbundene Server ein Limit für die Anname freigegebener Dateien hat, sendet eMule nur entsprechend viele

----------------------
- 25. April 2003     -
----------------------
bluecow: Korrektur von leeren freigegebenen Verzeichnissen und eDonkey Protokoll Meldung OP_ASKSHAREDFILESDIR
bluecow: First Run Time wizard hat einen "Fertigstellen" Button bekommen.
Ornis: Links im Chat (hypertextctrl) stoppen nun nicht mehr an Umlauten
Ornis: bessere URL-Decodierung (z.B. Sonderzeichen in ed2k-Links)

----------------------
- 24. April 2003     -
----------------------
bluecow: Korrektur bei Behandlung von eDonkey Protokoll Meldung OP_ASKSHAREDIRS. Ein Client konnte einen nach freigegebenen Verzeichnisse fragen obwohl gerade freigegebene Verzeichiss/Dateien empfangen wurden.
bluecow: Korrektur von nicht freigegebenen Speicher bei komprimierten Packeten (Danke Blackstar2)
bluecow: Korrektur von eDonkey Protokoll Meta Tags vom Typ "float", die von Servern gesendet wurden die freigegebene Dateien von Hybrids 0.48+ anbieten.
Ornis: Zeitplaner Korrekturen
Ornis: Zeitplaner-Einträge können via Hotmenü (Alt-X) direkt aktiviert werden, als auch (de)aktivieren des Zeitplaners
Ornis: Senden von gleichen freigegebenen Verzeichnissen nicht mehr mehrfacht (u.U.)
Ornis: Hinzugefügt: genauere Datentransfermessung auch unter CPU-Volllast [Ottavio84+Badwolf]
Ornis: kleinere GUI-Fixes

----------------------
- 23. April 2003     -
----------------------
bluecow: Korrektur: Breite des Logfensters ist nun frei einstellbar, damit auch sehr lange Meldungen vollständig gelesen werden können.
bluecow: Korrektur: Potentieller Bug in MFC der die Windows Sockets DLL nicht freigegeben hat.
Sony: neue Option in erw. Einstellungen (Abstellen von Source Exchange Meldungen im verbose Log)

----------------------
- 22. April 2003     -
----------------------
Ornis: Zeitplaner-Kontrollen dem Hotmenü hinzugefügt
Ornis: klarere Tastaturkontrolle für Quellen ausklappen/einziehen via Tastatur

----------------------
- 20. April 2003     -
----------------------
Ornis: Zeitplaner: Einstellungen sichern korrigiert
Ornis: Kategorie fortsetzen & Statistiken-nicht-neu-zeichnen - Einstellungen korrigiert
Ornis: wechselnde Kategorie Titel bei aktivierter Downloadinfo-in-den-Reitertiteln, korrigiert

----------------------
- 19. April 2003     -
----------------------
bluecow:Korrektur: Einstellungen/Verzeichnisse - DirectoryTree Control hat die Windows Icon Image Liste gelöscht.
bluecow:Korrektur: Einstellungen/Verzeichnisse Dialog hat nicht (mehr) existierende freigegebene Verzeichnisse angezeigt.
bluecow:Doppelklick im Freigegebenen Dateien Fenster öffnet die Datei mit dem assozierten Programm.
bluecow:Datei Öffnen Befehl im Download/Freigegebenen Dateien Fenster bewirkt die gleiche Aktion wie ein Doppelklick im Windows Explorer.

----------------------
- 18. April 2003     -
----------------------
bluecow:Korrektur: einige Log-Meldungen wurden beim Starten nicht angezeigt.

----------------------
- 17. April 2003     -
----------------------
bluecow:Suchfenster und Freigegebene Dateienfenster zeigen die Dateiicons an.
bluecow:Korrektur im Suchfenster: Die Anzeige der Anzahl der gefundenen Dateien eines anderen Clients stimmte nicht, wenn er mehrere Verzeichnisse hatte.


v0.28a
----------------------
- 15. April 2003     -
----------------------
VQB: lange Uploadsessions werden auf die "voller-Chunk"-Methode geprüft
VQB: vermeide mehrfaches hashen von Verzeichnissen (khaos)
Sony/bluecow: der Hashing-Algorithmus wurde verbessert, nimmt nun weniger CPU Zeit in Anspruch

----------------------
- 14. April 2003     -
----------------------
VQB:  Langzeit UL/DL-Verhälnis zu den Statistiken hinzugfügt

----------------------
- 13. April 2003     -
----------------------
bluecow:"einen Freund hinzufügen" Dialog überarbeitet.
bluecow:"Zeige Details" Funktion für Freund zeigt den Freund-"Details" Dialog wenn man nicht mit dem Freund verbunden ist. Wenn man gerade mit dem Freund verbunden ist, wird der "Quellen Details" Dialog angezeigt.

----------------------
- 12. April 2003     -
----------------------
Unk: Es werden Dateilimits vom Server ausgewertet (Hard- und Softfile limits)
Unk: Serverliste wurde nicht aktualisiert, wenn eine Serverbeschreibung empfangen wurde
bluecow:Provisorische Lösung (wahrscheinlich für immer :) um bei einem Doppelklick auf die Spaltenseparatoren die Spaltenbreite der Listen nicht auf 0 zu setzen.
bluecow:Korrektur der Möglichkeit dass ein ungewollter Client zu einem Freund wird.
bluecow:Korrektur von OP_ASKSHAREDFILESDIR: Dateien in freigegebenen Verzeichnissen die nicht mit einem Backslash geendet haben wurden nicht gesendet.
bluecow:Anzeige der freigegebenen Verzeichnisse eines anderen Clients im Suchfenster.
bluecow:Korrektur Quellenaustausch: Beim Wechsel von HighID zu LowID kann ein anderer Client eine Quelle zurückliefern die sich auf die aktuelle IP bezieht und eMule versucht zu sich selbst zu verbinden.

----------------------
- 11. April 2003     -
----------------------
bluecow:Vereinheitlichen aller Hinweisdialoge.
bluecow:Optimierungen der Ausgabe- und Sortierungsfunktionen aller Listen-Fenster.
bluecow:Korrektur im Quellenaustausch: Ein Client bekam erst dann anderen Quellen, wenn er zumindest einen Teil der Datei zum Sharen anbieten konnte.
bluecow:Kleine Optimierungen beim Laden von server.met
bluecow:Behandlung von eDonkey Protokoll Meldung OP_END_OF_DOWNLOAD
bluecow:Mehrere kleine Source Code Änderungen und Korrekturen von potentiellen Fehlern die durch die Kompilierung mit Warnungsstufe 4 erkannt wurden.

----------------------
- 9. April 2003      -
----------------------
bluecow:Korrektur der Hashset Anfrage/Antwort wenn der andere Client nicht sofort einen Hashset sendet.
bluecow:Korrektur der Speicherstruktur bei Empfang des Server Datums OP_SERVERIDENT ohne Zeichenketten.

----------------------
- 7. April 2003      -
----------------------
Ornis: Kategorien: Doppelklick öffnet die Kategorie-Eigenschaften; Kategorien können in der Downloadlist als Spalte angezeigt werden (optional)
Ornis: Kategorien: neu Auto-Prioritätseigenschaft, neu zu einer Kategorie zugewiesene Dateien erhalten diese Downloadpriorität
Ornis: Kategorien: nächste pausierte Datei fortsetzen - für die gleiche Kategorie möglich (optional & manuell)
Ornis,bluecow: bessere Erkennung von MLDonkey
Ornis: rotes Warn-Bewertungsicon erscheint wenn mehr als 1/3 der Bewertungen negativ sind

----------------------
- 6. April 2003      -
----------------------
bluecow:Neuer First Run Time Wizard
bluecow:Hotfix für zu lange geratene partfiles.
bluecow:Korrektur des Credit-Übertragungszählers für Clients die mehr als 4GB mit einem anderen Client transferiert haben (Dank an le_fred+Harvey56)

----------------------
- 5. April 2003      -
----------------------
bluecow:Neues Logfenster mit rotierendem Inhalt, max. Anzahl der Zeilen kann in PREFERENCES.INI angegeben werden (MaxLogMessages=<n>; <n>=-1 ... kein Limit)
Ornis:  Webinterface: Downloadliste zeigt Prioritäten an und die Kontrollen um diese zu ändern
Ornis:  Webinterface gibt nun Bilddateien zurück, um diese auch für die eigene Darstellung zu nutzen. (notwendige Bilder sind im Installer und dem Binary-Paket enthalten)

----------------------
- 4. April 2003      -
----------------------
Ornis: unnötiges Neuzeichnen (+Programmfreeze) der Statistikgraphen entfernt

----------------------
- 3. April 2003      -
----------------------
bluecow:Korrektur des Dialoges "Es wurde versucht, auf eine Stelle hinter dem Ende von unbenannt zuzugreifen".
bluecow:Kleine Optimierungen um mit MD4 Hashs effektiver zu arbeiten.
bluecow:Unbekannte Packete werden mit einem kleinen hex-dump der Daten im Debug Window angezeigt (Maella).
bluecow:Doppel-Klick in allen Client bezogenen Fenstern öffnet den Quellendetaildialog.
bluecow:Doppel-Klick auf Dateiname im Downloadfenster, öffnet den Dateidetaildialog.
bluecow:Quellen die während des Suchens vom lokalen oder globalen Server retourniert werden, stehen beim Download sofort zur Verfügung.
bluecow:Beim Hinzufügen eines Downloads aus der Dateiliste eines anderen Clients, wird der Client sofort als Quelle eingetragen.
bluecow:Suchfenster: Bereits in KNOWN.MET eingetragene Dateien werden farblich angezeigt.
bluecow:Serverfenster: Zuletzt eingetippte SERVER.MET URL wird in Settings gespeichert.

----------------------
- 1. April 2003      -
----------------------
bluecow:Korrektur von Deadlock nach Abbrechen eines HTTP Downloads von server.met
Ornis:  Kategorie-Reiter zeigen als Tooltip einige Zusammenfassungs-Informationen an
Ornis:  Optionale Anzeige der Kategorie-Reiter als "Titel (ladend/Gesamtanzahl)"  (Einstellungen->Anzeige)
Ornis:  Statusbar-Doppelklick Reaktion, z.B. auf Log-Spalte zeigt ganze letzte Log-Zeile in einem Infofenster, Doppelklick auf Nachricht-Icon öffnet das Nachrichten-Fenster
Ornis:  Zeige Webinterface-Status in "Meine Info", inkl. aktive Sessions

----------------------
- 30. März 2003      -
----------------------
Ornis: Webinterface Transferliste nach Fortschritt sortieren verbessert
Ornis: Kategorien-Einstellungen werden nun nicht erst beim Programmende gespeichert
Ornis: Datum&Zeit in den Logs entsprechend nun Landeseinstellungen

----------------------
- 28. März 2003      -
----------------------
Ornis: Webinterface: Gast darf nicht mehr Logs löschen
Ornis: Webinterface: Server-Suche und Downloads starten
Ornis: Webinterface: Dateieinstellungen werden nun übernommen
Ornis: mehr Tastaturkürzel für Listen:Strg+A wählt ganze Liste aus; Downloadliste: +,-,Cursor links/rechts für Quellenanzeige ein/aus

----------------------
- 27. März 2003      -
----------------------
Ornis: Upload-Tooltipps zeigen übertragene Datenmengen besser an
Ornis: neu:Zeitplaner(Scheduler), um Einstellungsänderungen und Aktionen zeitgesteuert zu planen
Ornis: Webinterface-Vorlagendatei kann in den Einstellungen nun via Dateibrowser frei gewählt werden

----------------------
- 26. März 2003      -
----------------------
Ornis: Webinterface: Portänderungen startet Webserver automatisch neu [cax2]
Ornis: Webinterface: Gastzugang deaktivieren funktioniert nun sofort
Ornis: einigen eventuellen Programmende-Crashes vorgebeugt [2bottleMOD]


v0.27c
----------------------
- 23. März 2003      -
----------------------
Ornis:Korrektur eines Sicherheitsfehlers, der zum Absturz von eMule führen konnte (neue Einstellungen in Einstellungen/Sicherheit)
Ornis:Webserver: Anzeige von Dateigrößen >2GB korrigiert
Ornis:Webserver-Template verbessert von Daan


v0.27b
----------------------
- 21. März 2003      -
----------------------
Unk: Korrektur eines möglichen Crashs bzgl. Kommentarpaketen
Unk: Entpackte Größe von Paketen wird überprüft, um Problemen vorzubeugen (emarc)
Ornis:Korrektur für die Verzeichnisauswahlbox, wenn kein C-Laufwerk vorhanden ist
Ornis:Korrektur eines Zugriffsproblems bei sehr großen Dateien  [gabest]
Ornis:Übertragungszähler im Credit speichert nun auch >4GB

----------------------
- 19. März 2003      -
----------------------
VQB: Selber in die Zwischenablage kopierte ed2k Links werden nicht mehr durch die Zwischenablage-Überwachung gemeldet
Ornis: Webserver Kontroll-Oberfläche hinzugefügt [Dank an kuchin],  mit folgenden Änderungen/Korrekturen:
  -Fortschrittbalken nun farbig (Part-Status-Farben)!
  -mehrere Darstellungsverbesserungen
  -Datengrößen besser umgerechnet
  -neue Einstellungsmöglichkeiten: Quellen-Pro-Datei-Limit, Verbindungen-Limit, neue Verbindungen pro 5sek, 2 Dateien-Einstellungen
  -Zwei Nutzeraccounts möglich: Admin(voller Zugriff) & Gast(nur Einsicht)
  -Inkompatibilität der Kontrollen-Iconanzeige bzgl. Opera- & alte Mozillabrowser korrigiert
  -Sicherheitsbug-Korrektur, bzgl der SessionsID Erstellung
  -Anmeldungen und Abmeldungen werden im Log vermerkt
Unk: Eine alte Version oder MOD schaint den client hash auf Nullen zu setzen. eMule prüft das  und resettet diesen wenn nötig.
Unk: UDP nutzt jetzt zur Client IP auch den Port um einen Sender zu identifizieren/finden

----------------------
- 16. März 2003      -
----------------------
Unk: Doppelupdate in der bekannte-Clients-Liste behoben (JustusJonas)

----------------------
- 15. März 2003      -
----------------------
Ornis: Beim Abbruch von Downloads einer ganzen Kazegorie wird nun vorher nach Bestätigung gefragt.
Ornis: Korrigiert: Es war möglich, die gleiche Datei via Weblink mehrfach hinzuzufügen, wenn eMule gerade nicht lief
Ornis: Es kann nun das Verbose-Log auf Disk protokolliert werden, ohne es im Serverfenster anzeigen zu müssen
Unk: Bugfix: beim Warteschlange dekaktivieren
Unk: Quellenaustausch aktualisiert, um den Usershash zu berücksichtigen - hilft gegen Doppelt-Clients
Unk: Client-Detailsanzeige Korrektur
Unk: Korrekur eines Fehlers, der "zuletzt gesehen" eines Clients nicht aktualisierte, wenn dieser nur UDP nutzte
Unk: Übersetzungen der Bekannte-Clients-Liste erweitert
Unk: Korrektur eines Fehlers, der eine Quelle ewig beim Statusnachfragen ließ

----------------------
- 14. März 2003      -
----------------------
Ornis: Korrektur: Versionstatistiken für die Hybridversionen nun sichtbar
Ornis: Verzeichnisanzahl für das Senden des Paketes SHAREDDIRS korrigiert
Ornis: Entscheidung über das Packen vom Paket wurde Case sensitive von der Dateierweiterung gefällt - korrigiert
Ornis: Download-Tooltip korrigiert (eine Info war verloren)
Ornis: Kommandos an Kategorie "alle unkatalogisierten" werden nun auch entsprechend behandelt


v0.27a
----------------------
- 13. März 2003      -
----------------------
Ornis:Neue Optionen um die Logs mitzuspeichern
Unk: Kredit-System optional
Unk: Einfacher Erst-Start-Assistent
Unk: Weitere Protokolländerung für bessere Kompatibilität mit dem Hybriden
Team:viele kleine Fixes, Anpassungen & kleine grafische Aktualisierungen

----------------------
- 11. März 2003      -
----------------------
Ornis:Liste freigegebener Dateien: Linkkopieren nun auch bei Mehrfachauswahl
Ornis:Suchfenster: Eingabe von mehreren ED2k-Dateilinks zum Download möglich
Ornis:Option zum Überwachen der Zwischenablage auf ED2k-Dateilinks -> Abfrage ob diese zum Download hinzugefügt werden sollen
Ornis:Einstellungen: neue Sektion: Sicherheit (Filter,...) - neuer Filter für Kommentare
Ornis:neue Spalte "Verzeichnis" in Liste freigegebener Dateien
Unk: lMule wird nun erkannt
Unk: eMule v0.19 und früher bekommen eine geringere Warteschlangenbewertung. Dies soll deren Nutzer zu einem Upgrade bewegen, da diese alten Clients u.U. an falsche Ports senden.
Ornis:"Hotmenu" hinzugefügt, für schnellere Kontrolle via Tastatur. Drücke Alt+x !

----------------------
- 10. März 2003      -
----------------------
Ornis: Fertiggestellter Download in der Downloadliste wird bei Aktivierung geöffnet
Unk: Neue Liste "bekannte Clients" im Transferfenster
Unk: Uploadclients mit unbekanntem Dateinamen werden nicht entfernt- für bessere Kompatibilität mit dem Hybriden.
Unk: Liste der freigegebenen Dateien nutzt Warteschlange und Uploadliste, um einen Balken darzustellen, der anzeigt, wie verbreitet die Datei im Netzwerk ist.
Unk: Fehlerkorrektur im Assistenten
Ornis:Kommentaricon sollte nun mehr Uptodate sein [Moosetea]
Unk: Korrektur eines Bugs, der bei Internet-Verbindungsunterbrechung zum Crash führen konnte

----------------------
- 2. März 2003       -
----------------------
Ornis:Fix: Speichern der gesamten gesendeten Datenmenge einzelner Dateien nicht mehr auf 4GB limitiert
Ornis:Korrektur eines Fehlers, der die Vorschau von Videodateien mir großgeschriebener Erweiterung verhinderte
Ornis:Einstellungendialog etwas umorganisiert
Ornis:Neue Option, um das Bewertungs-/Kommentar-Icon in der Downloadliste ein-/auszuschalten

----------------------
- 1. März 2003      -
----------------------
Unk: Quellen die gerade nicht downloaden, werden nun seltener (1/10 der Zeit) aktualisiert [basierend auf Maella]
Unk: Name und Beschreibung von Servern werden nun aktualisiert. Maximale Nutzeranzahl ist nun in separater Spalte
Unk: Auswahlknopf-Fehler im Assisten korrigiert
Unk: wie eMule den Versionstyp austauscht wurde verändert
Ornis:Downloadliste kann nun in Kategorien organisiert werden (Downloadliste einteilen, unterschiedliche Eingangsverzeichnisse setzen, farbliche Markierung konfigurieren, Befehle auf alle Downloads in der Gruppe absetzen,...)
Ornis:Datums/Zeitformat kann in der preferences.ini geändert werden - strftime()-kompatible Formatierung!!!

----------------------
- 26. Februar 2003   -
----------------------
Ornis: Korrektur: Quellenaustausch war u.U. seltener
Ornis: gestoppte Downloads erhalten keine Quellen mehr
Unk: Korrektur eines Fehlers, der einen Upload länger als einen Chunk erlaubte (im kompletten Chunk-Modus)

----------------------
- 25. Februar 2003   -
----------------------
Unk: View transfering parts in uploadlist. (Lonestar)

----------------------
- 24. Februar 2003   -
----------------------
Ornis: mittlerer Mausklick auf ein Kommentar-Symbol öffnet die Kommentarliste
Unk:   Uploadbalken sind nun im 3D-Stil
Ornis: Korrektur in automatischer Versionsüberprüfung [thx bluecow]
Ornis: Anzeige des letzten Zeitpunktes wann für die Downloads jeweils der letzte Empfang einging (Tooltip, Downloadlisten-Spalte, Dateidetaildialog)

----------------------
- 21. Februar 2003   -
----------------------
Unk: Auto-Priorisierungs komplett erneuert. Download und Freigegebene Dateien sind nun komplett separat. Auto Priorität ist nun standardmäßig aktiv

----------------------
- 19. Februar 2003   -
----------------------
Unk: DownloadListCtrl. verbessert+Korrekturen (Maella)
Unk: Eingearbeitet: Abfrage der freigegebenen Datein von Hybrid-Clients. (Bluecow)
Unk: Aktualisiert die Warteschlange nicht dort, wo sie eh nicht sichtbar ist (zz)
Unk: Another Update on the Min to Tray Button. (Zegzav)
Ornis:Nachrichten-Benachrichtiger wurde erweitert, unterstützt nun frei definierbaren Skin, Schließ- & History-Funktion [enkeydev]
Ornis:Doppelklick auf eine Quelle in der Kommentarliste öffnen einen Nachrichten-Chat mit diesem Benutzer
Ornis:Fehlerkorrektur beim Limitieren der Downloadgeschwindigkeit während der Laufzeit und via Kommandozeile


v0.26d
----------------------
- 15. Februar 2003   -
----------------------
Unk: Fix: Warteschlangen-Rotation wurde korrgiert - einige Clients wurde sofort wieder aus der Uploadschlange gekickt
Unk: mehrer Optimierungen von BadWolf63,ichi
Unk: Darstellungsfehler des Knopfes für Minimieren zum Tray korrigiert (zegzav)
Unk: cDonkey ist nun auch in den Statistiken
Unk: Splitter-bar Position wird nun präziser gespeichert


v0.26c
----------------------
- 13. Februar 2003   -
----------------------
Unk: Hybriden-Erkennung geändert
Unk: Uploadslot Management etwas verändert - es sind davon sehr langsame und sehr schneller Verbindungen betroffen (Koop. mit VQB)
Unk: Einige Uploads waren viel zu lange im Chunk-Modus. Dies wird nun geprüft und vermieden.
Unk: Dateien im Auto-Modus bleiben nun nicht mehr beim Neustart hängen (jicxicmic)
Unk: Rundungsfehler korrigiert für Datenraten (Maella)
Unk: Verbindungsvorgang etwas verändert. eMule verbindet nun klüger bei "sicheres Verbinden" deaktiviert - um LowID zu vermeiden
Unk: Serverinformationen gehen nun nicht mehr beim Serverlistenupdate verloren
Ornis:Neuer Kommandozeilen-Befehl: "limits=up,down" (z.B.: "emule.exe limits=50,12") um die Limits für den Up- & Download zu setzen
Ornis:neue Option um die Transferraten in der Titelleiste von eMule anzeigen zu lassen
Ornis:mittlerer Mausknopf ruft die Detailanzeige des aktivierten Eintrags auf in Download-, Upload- & Queueliste
Ornis:Fix: Webservices in der Liste freigegebener Dateien funktioniert wieder

----------------------
- 11. Februar 2003   -
----------------------
Ornis:Fix: Statusbar-Icon erscheint wieder bei neuen Nachrichten 
Ornis:eine Reihe kleiner Korrekturen, sowohl GUI als auch funktionale [Teils von JonnyB]
Unk: automatisches Speichern der Serverliste und Freundesliste nun im akzeptablen Abstand
Unk: Quellenaustausch sendet nun nur betötigte Quellen zu einem Client!
Unk: weitere kleine GUI-Fixes
Unk: Korrektur ein paar weiterer Sicherheitslücken (teils von beef2k & bluecow & juanjo)
Unk: kleiner Fix bzgl. der Max.Verbindungen in den Einstellungen
Unk: Pause und Priorität werden nun wieder bei Programmende gesichert

----------------------
- 10. Februar 2003   -
----------------------
Ozon: Bugfix: ED2k Links werden nun auch für Dateien >2GB korrekt erstellt
Ornis:Darstellungsfehler im Kommentaranzeige-Fenster korrigiert
Ornis:Anzeige der Anzahl von Downloads über der Downloadliste
Ornis:Korrigiert: Speichern&Wiederherstellen der Spaltenreihenfolge der Downloadliste
Ornis:Filter für eingehende Nachrichten (Konfig. in Einstellungen/Benachrichtigung, Standard Filterbeispiel: "Your client has an infinite queue")


v0.26b
----------------------
- 8. Februar 2003    -
----------------------
Unk: Konvertierung vieler char[] in CStrings, um Pufferüberläufe zu vermeiden
Unk: Wenn ein Hashset Probleme bereitet, wird er neu angefragt
Ornis:Fix: Webservices im Suchfenster aufrufen
Ornis:Fix: Vorschau starten [jicxicmic]
Ozon: neu: kontinuierliches Backup für .part.met Dateien
Ornis:mehrere kleine GUI & andere Fixes
Ornis:IP-range Filter (für Blacklists) - cDonkey's filter-file-Format wird benutzt (Grundfiltering-mehr wird kommen) (mehr siehe FAQ!)
Ornis:MeineInfo zeigt nun auch IP & Port an

----------------------
- 7. Februar 2003    -
----------------------
Ozon: Netzung des macro THIS_FILE in allen Quellcodes, um Leaks im VS besser aufzuspüren (nicht entfernen!)
Unk:  Sicherheitslücke gestopft (bluecow/zegzav)
Unk:  Serverliste und Freundeslist werden nun auch zwischendurch gesichert
Ornis:Kommentardialog (Ansicht) umgestaltet (Listenansicht)

----------------------
- 6. Februar 2003    -
----------------------
Ozon: EMSOCKET_DEBUG definiert für EMSocket-logfile
Ozon: Veränderter Packalgorithmus für die meisten structs/classes (nicht die Kritischen, weiterhin 1 byte) zu 8 bytes.
(kann Performance verbessern...)
Ozon: Clients.met wird bei jedem Start von eMule gesichert
Ozon: Variablenumbenennung begonnen... (CAbstractFile, CClientCredits for now...)
Unk:  Statistiken haben nun einen Paketzähler, und einige kleine Fehlerkorrekturen

Fehlerkorrekturen, mit Hilfe von ZegZav, Bluecow, Ese Juani, jicxicmic
Optimierungen, mit Hilfe von ichi, Maella, zz


v0.26a
---------------
2. Februar 2003
---------------
Ornis: Crash behoben (Absturz nach Löschen des Serverlogs)
Unk: Sicherheitslücke gestopft (Danke beef2k)

---------------
1. Februar 2003
---------------
Unk: Neuer Algorithmus zur gleichmässigeren Verteilung der TCP Connections. Nützlich für verschiedene Dinge..
 -weniger Spitzenbelastung der CPU und der Bandbreite, wenn viele Quellen auf einmal angefragt werden müssen
 -Wenier Konflikte zwischen Source Exchange und UDP file reasks, daraus folgend weniger TCP Verbindungen sind nötig und damit weniger Overhead
Unk: IRC: Bug behoben "mögl. Absturz beim Verlassen eines Channels"
Unk: Die Länge der Queue ist nun einstellbar (min. 2000)
 Entgegen der üblichen Meinung hat die Grösse der Queue NICHTS mit dem Verbrauch an Bandbreite zu tun. Der Standardwert ist nun 5000)
Unk: Die Grösse der Download Buffer pro Datei sind nun einstellbar. Wenn Du einer der wenigen bist, die meinen ein Problem zu haben mit zu viel Festplattenzugriffen, setze den Wert niedriger.
Unk: Die Downloadprioritäten werden nun benutzt bei der Reihenfolge des Nachfragens bei Quellen.

---------------
31. Januar 2003
---------------
Unk: Einige Clients melden fälschlicherweise sie hatten eine Datei komplett. Einige Änderungen sollten dem entgegenwirken.
Unk: Der Queue Rank (QR) bei den neuen eDonkey/Overnet Hybriden wird nun erkannt und angezeigt
Unk: Protokoll-Fix: eMule rutscht nun nicht mehr ständig aus der Queue beim eDonkey/Obernet Hybriden (Anm. eDonkey hat das nicht absichtlich gemacht)
Unk: Beim Wechsel der IP muss man sich nun nicht mehr wieder hinten in der Queue anstellen :)
Unk: Nochmal am Sortieren der Downloadliste gearbeitet...
Unk: Quellen mit voller Queue werden nun behandelt wie "Keine benötigten Teile" (d.h. sie werden langsam durch andere ersetzt, sobald man die max. zulässige Anzahl der Quellen erreicht)

---------------
28. Januar 2003
---------------
Unk: Bugfix: eDonkey und eMule Versionen wurden manchmal falsch angezeigt
Unk: Die eDonkey/Overnet Hybriden werden nun erkannt, und auch in der Statistik aufgeführt
Ornis: Für das Fertigstellen eines Downloads wird nun ein eigener Thread benutzt (Danke Lord KiRon)
Ornis: Socket reading modifiziert (Danke Jordy)

---------------
24. Januar 2003
---------------
Ornis: Support für Opcode 0x48 (OP_FILEREQANSNOFILE) des eDOnkey Protokolls [references: DoubleT,eMule+/Tarod]
Ornis: Der zu verwendende Videoplayer für avi und mpg Dateien ist nun wählbar (bei VideoLAN kann das Backup der part Datei ausgeschaltet werden)
Unk: Komplettes Neuschreiben der Update Funktion der Queue und Uploadliste für weniger CPU Verbrauch.
Unk: Die Overhead Anzeige würde überarbeitet... Die Abschätzung der TCP/UDP Header ist entfallen, es werden nur noch die Nutzdaten angezeigt. Die Statistik wurde um einige Overhead Sachen erweitert.

---------------
21. Januar 2003
---------------
Ornis: Interne Handhabung der Quellen optimiert, weniger CPU Verbrauch
Ornis: diverse CPU Optimierungen (Stats, tray&maindlg, GUI) (Coop. mit Esejuani)
Ornis: Bei den shared files können nun mehrere Dateien für Befehle ausgewählt werden
Ornis: optionaler Update-Check (automatisch beim Start oder manuell)
Ornis: voll konfigurierbare Web-Services für Downloads (z.B. Fakecheck oder ähnliches)
Ozon: Crash behoben, wenn man den Statusbalken benutzen wollte befor er fertig erstellt war (AddLogLine)

---------------
20. Januar 2003
---------------
Unk: Protokoll-Erweiterung: Man kann nun sehen, welche Teile einer Datei der Downloader hat (wenn auch er eMule 0.26 oder höher benutzt)
Ornis: Dateien, für die ein Kommentar oder Bewertung vorliegt, haben nun ein Symbol vor dem Dateinamen in der Downloadliste (Grün/rot)
Ornis: Downloadliste: die Quellen können nun speziell gefiltert werden.. bitte lest die FAQ wie es funktioniert! :)  (Danke xrmb und Ese Juani)

---------------
19. Januar 2003
---------------
Unk: IRC: Crash beim Neuverbinden behoben
Unk: kleine Änderung in der Downloadliste...
Unk: Der Server eines anderen Clients wird nun zur Serverliste hinzugefügt sobald man das erste Mal mit ihm Verbindung aufnimmt.

---------------
18. Januar 2003
---------------
Ornis: Die Sprachen in der Sprachauswahlbox werden nun in der eigenen Sprache angezeigt (pooz)
Ornis: Behoben: wenn man die Sprache mehrmals änderte, wurden die Toolbar Buttons immer grösser (pooz)

.
.
.
ältere Einträge sind im englischen Changelog verfügbar.
